Welcome

Chameleon 2 Help Manual
Welcome

“This is amazing software”
Todd Wilbert, Past President, Professional School Photographers Association (PSPA - USA)

That is how Todd Wilbert summed up the Krasbit Chameleon Studio software when he first saw it at the Photo Marketing Association (PMA) trade show in Anaheim California in February 2010.

If you have purchased the software and are now taking the time to read the manual yourself, these chapters will show you how Krasbit Chameleon Studio 2 combines powerful graphic editing capabilities and database features into an easy to use application to speed up your product production workflow and provide your clients with customization options they have never had before. We truly believe this is the best production automation software available for photographers, designers and product customizers.

The entire Krasbit team congratulates you on your purchase and we always look forward to your product feedback.

Jaroslaw Kraska
President

©2016 Krasbit Technologies Inc.


About this Help Manual

About this Help Manual
Introduction > About this Help Manual

In this document, you will find all the information you need to use Krasbit Chameleon Studio 2 to revolutionize your business. This document is a user’s manual and a training program all combined into one.

We start you off with information on the basics of the application and we then run you through some typical workflows such as importing some data, managing your photos or artwork and producing your own personalized products. Every page of the application is then explained in detail. Once you are comfortable with the basic processes, you can then work with the advanced customizations to configure the system to your liking and develop your own product templates.

See Also
What's new in Version 2
Conventions in this Document


What's new in Version 2

What's new in Version 2
Introduction > What's new in Version 2

Based on client feedback, several new features have made their way into version 2 of Krasbit Chameleon Studio:

User Interface

The most striking change with version 2 is our new Apache Flex user interface. Krasbit Chameleon Studio no longer needs to be run within CorelDRAW (though CorelDRAW must be running in the background in order to generate products). Your work can now be done on a cleaner, simpler screen with essential buttons and settings only a click away. Modern navigation tools like drag and drop and accordion menus help make things more intuitive and speed up your workflow.

Networking

Krasbit Chameleon Studio 2 can now share rendering duties among computers running on the same network. This allows for “load balancing” or sharing of rendering work to help output large quantities of products faster.

Image Rendering Engine

A new rendering server, Chameleon® Renderer, takes all commands for image production and produces the required artwork in the background, allowing you to continue using Krasbit Chameleon Studio for other tasks. A new task bar icon provides insight on the status of product rendering. This feature allows you to keep using Krasbit Chameleon Studio while CorelDRAW renders images. In the past, you had to wait for the rendering to finish before you could resume work in the interface.

Batch processing

You can now produce multiple products for multiple items at once. In the background, Krasbit Chameleon Studio 2 will generate the rendered artwork, and, if connected to a printer, will auto print the products. Additionally, multiple products can be grouped into a “batch” and selected for rendering for any single item. By extension, the system can also automatically render multiple products for multiple items.

Auto e-mailing

You can now have any rendered order forms/catalogs auto-e-mailed to the item's contact e-mail address. This saves an enormous amount of time by avoiding having to manually reconcile rendered order form/catalog PDF's with the contact's e-mail information.

Templates

Krasbit Chameleon Studio 2 templates now support a "notes" page for storing information about the template, its capabilities and its designer.

Duplication

To speed up the development of new products, you can now “duplicate” existing products, connectors and SKUs and make modifications to these duplicated versions.

Multiple group images

Krasbit Chameleon Studio 2 now supports multiple group photos per group. This allows a photographer to take several poses and give users the option of choosing their preference. This enhancement also allows the creation of group level variables to collect any imagery or data for the group such as sponsor names and logos.

Enhanced color styles

Styles now have a second set of background fill and outline colors. This provides you with more flexibility in your artwork when you have groups or parent groups with more complex corporate identities.

See Also
About this Help Manual
Conventions in this Document


Conventions in this Document

Conventions in this Document
Introduction > Conventions in this Document

In this help document, we try to avoid technical jargon as much as possible, but we can’t get around it. We expect that you have some basic computer and graphic arts skills and understand words like pixel and cropping (if not, we do have an extensive glossary of terms at the end).

In order to stay consistent throughout, we will use the following conventions:

  • The word “Photographer”, "Artist" or "Designer" and the use of “he” applies to both male and female. “He” used only for brevity;
  • Left-clicking the mouse refers to pressing the mouse button configured as the primary controller. Right-clicking the mouse refers to pressing the mouse button configured as the secondary controller. This distinction is important for users who have configured their mouse for left-handed use (in which case a right-click is done on the left mouse button);
  • Courier font is used to denote directory locations such as media\styles\test;
  • Screens or views to which you can navigate look like the page name visible in the top right of your screen, such as Production Screen;
  • Tabs within pages are represented by blue backgrounds, such as Profiles;
  • Menus to navigate show the series of items that need to be clicked in sequence, such as Help>License Status;
  • Buttons to press have a dark background, such as Push Here
  • Important keywords are bolded;
  • Items that are defined in the Glossary are underlined in green;
  • Numbers are written using the period (.) to indicate the decimal point and the comma (,) as the thousands separator;
  • GS refers to "Green Screen", NGS to "Non Green Screen" and ALL refers to products or items that can use both Green Screen or Non Green Screen photography; and
  • G refers to "Group", PG refers to the "Parent Group" and SPG refers to the "Super Parent Group".

The character on the left is Ronnie Arbuckle. In this image, he is Captain of the Anytown Lions soccer team. You will see him and his team mates used throughout Krasbit Chameleon Studio 2 and this manual to demonstrate different concepts. He will appear on different teams/groups and in different scenarios.

For simplicity, all players have different numbers and hair colors. Coaches or group leaders also have a mustache and the letters CH in lieu of a number.

The Anytown Lions are a part of the Anytown Soccer League.

Icons used in this document

In order to draw attention to important information, provide tips or to steer you towards more resources, there are several icons that you should be familiar with.

Tip

Tips from the professionals who have done this before.

Checklist / Note

Add this item to your checklists to ensure optimum use of Krasbit Chameleon Studio 2.

Caution!

This icon indicates a potential hazard and gives steps on how to avoid it.

See Also
About this Help Manual
What's new in Version 2


Overview

Overview
Installation and Setup > Overview

Krasbit Chameleon Studio 2 is designed to run with CorelDRAW. CorelDRAW is a powerful graphics program that has evolved over the last 25 years to be a favorite among graphic artists worldwide. It made sense for us at Krasbit Technologies to use a tool that millions of people were already familiar with (rather than design our own graphics program) and extend it with powerful data integration capabilities and product specific templates.

There are several components to Krasbit Chameleon Studio 2 that will be installed during setup:

  • The Krasbit Chameleon Studio application for managing your workflow;
  • The database that stores all information on items, pricing information, product information, etc. By default, your system installs and connects to a SQLite database. Pro and Enterprise editions can connect to a networkable MySQL database. The MySQL server and databases are separate installs;
  • The product templates that are created with and can be edited by CorelDRAW (also installed automatically with Krasbit Chameleon Studio or through separate optional downloads);
  • The Krasbit Chameleon Renderer server that works in the background to produce products from the templates; and
  • Optional chroma keying software to do green screen (or white/blue screen) removals of backgrounds.

This chapter contains sections for installing CorelDRAW and then installing Krasbit Chameleon Studio 2. Information on installing the optional chroma keying software is available in the Configuring Chroma Key Software manual (provided if optional software has been purchased).

See Also
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Activation
Product Deactivation
Administrator Mode
Setup Wizard


System Requirements

System Requirements
Installation and Setup > System Requirements
Krasbit Chameleon Studio is a very data intensive application and requires that your computer have strong processing capabilities. The newer your hardware, the faster will be the rendering times for your order forms/catalogs and other products.

Required system configuration:
  • Windows 7 / 8 / 10;
  • Intel core i2 or greater (or processor equivalent to industry benchmark standards);
  • 6 GB RAM;
  • Screen resolution at least 1024x768 with 16.7 m colors;
  • 250 MB free hard disk space (additional space will be required if you acquire more product templates);
  • CD-ROM or DVD-ROM drive; and
  • USB port.

Recommended features:

  • Largest monitor possible. Krasbit Chameleon Studio can run under multiple monitors. Running the production screen under a monitor's portrait mode makes it easier to see long lists of data;
  • Touch screen monitor for use in situations where a keyboard or mouse may be difficult;
  • A Solid State Drive (SSD) hard drive is preferred due to its faster read/write times. Some computers are now being produced with two drives with an SSD being used to boot the system. CorelDRAW and Krasbit Chameleon Studio should be installed on the SSD if available. Alternatively, computers are being offered with Hybrid Hard Drives which combine SSD with conventional hard disk drives and offer overall performance improvements with less complexity; and
  • Wireless capabilities to accommodate wireless image transfer from camera, wireless printing.

Internet access:

  • Is required to activate Krasbit Chameleon Studio 2:
  • Is required to access and view instructional videos;
  • Is required to be notified of updates; and
  • Is required for technical support that uses desktop sharing.
See Also
Overview
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Activation
Product Deactivation
Administrator Mode
Setup Wizard


Installation - CorelDraw®

Installation - CorelDraw®
Installation and Setup > Installation - CorelDraw®

Krasbit Chameleon Studio 2 is available in either a boxed version or via download from the Krasbit Technologies site (www.krasbit.com) or other authorized resellers. Depending upon what version you have purchased, it may come bundled with a copy of CorelDRAW.

Regardless of which version purchased, CorelDRAW must be installed on your computer in order to perform product rendering. Krasbit Chameleon Studio 2 is designed to run with CorelDRAW X3 (with all updates), X4 (with all updates), X5 (with all updates), X6 (with all updates) and X7.

If your system is already running CorelDRAW, proceed with the installation of Krasbit Chameleon Studio 2 and the installer will detect your version of CorelDRAW. If CorelDRAW is not running on your system, the Krasbit Chameleon Studio 2 installer will include it as part of the installation routine.

For the most part, CorelDRAW will run quietly in the background while it renders your products. Unless you are editing or creating new product templates, you will not have a requirement to use this program.

Caution!

If you are using Windows 7, 8, 10, then CorelDRAW, Krasbit Chameleon Studio 2 and chameleon Renderer must be running in “Administrator” mode. If not, then the applications can not make changes to registry settings, write to certain directories or update certain files.

Learn more

See Administrator Mode for more information on ensuring your applications have the proper privilege level.

Caution!

You must be running a "factory" version of Windows 7 / 8 / 10. Krasbit Technologies is not responsible for technical support on non-standard, non-licensed, "beta" or "developer" versions of Windows.
See Also
Overview
System Requirements
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Activation
Product Deactivation
Administrator Mode
Setup Wizard


Installation - Krasbit Chameleon Studio

Installation - Krasbit Chameleon Studio
Installation and Setup > Installation - Krasbit Chameleon Studio

Krasbit Chameleon Studio 2 will install from the chameleon_setup.exe file. The installation process will detect the version of CorelDRAW you have on your system. It will also determine if you are running 32 or 64 bit Windows and will install the appropriate database drivers. Krasbit Chameleon Studio 2 supports both 32 and 64 bit computers.

The installation process will create the following directories on your system:

  • C:\program files\Krasbit\Chameleon 2.0. The following are installed here:
    • The executable (.exe) files to run Krasbit Chameleon Studio 2 and the renderer.
    • A folder called languages that contains editable .csv language files;
  • C:\chameleon\. The following are installed here:
    • A folder called media\archive that contains any photos that have been sent to the archive. This folder is initially empty;
    • A folder called media\cache that contains optimized images used for the production of order forms/catalogs;
    • A folder called media\custom that contains artwork or logos to customize the application to your business;
    • A folder called media\groups\1 that contains photos and logos for all sample groups and any subsequently created groups;
    • A folder called media\palettes that contains default and user generated color palettes;
    • A folder called media\photos\1 that contains photos for all sample items and any items subsequently added;
    • A folder called media\samples that contains silhouettes used on the production|profiles page to demonstrate the poses or layouts required for a product;
    • A folder called media\templates that contains all templates used for the production of products;
    • A folder called output in which all rendered products will appear;
    • A folder called training that contains Krasbit Chameleon Studio manuals and training files; and
    • A folder called monitored folders that contains subfolders used to store images for viewing in the Krasbit Chameleon Studio ribbons.
      • Archive folder is used to store images identified for archiving;
      • Cache folder is used to store thumbnails for use in the ribbons;
      • Exceptions folder is used to store images for processing at a later time;
      • Forkeying folder is a folder to store images that will be keyed by a 3rd party keying application;
      • Input folder is used to display the images that come from a tethered or wireless camera or a directory to be used as a source for images; and
      • Keyed folder stores images that have been keyed by a 3rd party keying application.

During the installation, you will be prompted for your license serial number. If you do not enter the license, the application will continue to run, but, a “Krasbit Chameleon Studio” watermark will appear on all rendered products. In addition, producing source CorelDRAW is disabled.

At the conclusion of a successful installation, you will have icons for Krasbit Chameleon Studio and Krasbit Renderer in your application list:

Tip

Note the shield icon placed over the Krasbit Chameleon Studio and Krasbit Renderer launch buttons. This indicates that the program will run in administrator mode. If you do not see the shield, follow the process at Administrator Mode for more information on ensuring your applications have the proper privilege level. Windows 8 does not display the shield icon.

Important Notice!

Your activation code can only be used on one work computer and one backup computer. If you wish to use a different computer, the application must be de-activated on the original computer.

Keep your license key personal. If anyone else should use it, you will no longer be able to run Krasbit Chameleon Studio.

Caution!

Upgrading Windows

If you plan to upgrade or re-install Windows, it is possible that doing so assigns a new Windows Serial Number to your computer. As a result, Krasbit Chameleon Studio will interpret this as you trying to run it on a new computer. To prevent this problem from occurring, you must first de-activate Krasbit Chameleon Studio before performing the Windows upgrade. Otherwise:

  • if you have already met your license limit, it will treat the upgraded Windows as a different computer and will not activate; or
  • if you have not met your license limit, it will prompt for your serial number and count one additional license towards your account.

Once you have upgraded or re-installed Windows, re-activate Krasbit Chameleon Studio.

Caution!

If you are using Windows 7, 8, 10, then CorelDRAW, Krasbit Chameleon Studio 2 and Krasbit Renderer must be running in “Administrator” mode. If not, then the applications can not make changes to your registry, write to certain directories or update files.

Learn more

See Administrator Mode for more information on ensuring your applications have the proper privilege level.

Caution!

You must be running a factory version of Windows 7 / 8 / 10. Beta or developer versions of Windows cannot be supported and Krasbit Technologies is not responsible for technical support on non-standard versions of Windows.
See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - MySQL Database
Product Trial
Product Activation
Product Deactivation
Administrator Mode
Setup Wizard


Product Trial

Product Trial
Installation and Setup > Product Trial

To allow you to take a test run of all of the features in Krasbit Chameleon Studio 2, a 30 day trial version is available from Krasbit.com and partner sites. This download may also include a trial of a graphic application such as CorelDRAW that is required for rendering products.

If you are satisfied with the Krasbit Chameleon Studio 2 trial, you can purchase a serial number to activate the system and preserve full functionality.

At the conclusion of the trial period, the application will run in "Restricted Mode" until such time as a valid activation serial number is provided. Restricted Mode has reduced functionality.

Restricted Mode functionality

This list shows the features that are changed when in Restricted Mode

  • Application is identified as "Not For Commercial Use";
  • Can not render files to CorelDRAW source format;
  • All output is flattened (no layers);
  • Cannot export or import CHML files;
  • Cannot connect to MySQL databases;
  • Cannot use batch products or order form/catalog feature;
  • Cannot render multi page products;
  • Cannot used defined secondary printers;
  • Cannot use custom watermarks;
  • Cannot use internal image editor;
  • Cannot use keyed ribbon;
  • Cannot use external drag and drop;
  • Cannot use filename format definitions;
  • Cannot output to optional directory sub folders;
  • Cannot auto e-mail order forms/catalogs; and
  • Cannot export to spreadsheet.

Caution!

An Internet connection is required whenever starting Krasbit Chameleon Studio 2 in Trial mode. If no connection is available, the system will start in Restricted Mode. If a connection becomes available later, restart Krasbit Chameleon Studio 2 to re-activate the trial. Licensed copies do not need an Internet connection at startup.

The following error messages may appear:

During the trial period, a working Internet connection is required to activate this product at startup. Please connect and try again.
Activated versions of the software do not require an Internet connection at startup.

Ensure you are properly connected to a wi-fi network or the network cable is properly inserted. After confirming your connection, restart Krasbit Chameleon Studio 2 to re-initiate the activation process. If you are within the 30 day trial period, the system will start in Trial mode. Otherwise, it will launch in Restricted mode.

The software trial period has expired. Enter a product activation serial number to continue. Serial numbers can be purchased from the krasbit.com website.

This message will appear at the conclusion of the 30 day trial. The system will start in Restricted Mode. Go to Help>License Status to enter a purchased license key.

See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Activation
Product Deactivation
Administrator Mode
Setup Wizard


Product Activation

Product Activation
Installation and Setup > Product Activation

When you license a software product from Krasbit Technologies, you are provided with a serial number that represents your license to use that software. Activation is the process by which Krasbit validates that your software and serial number are unique to you and that they are being used in accordance with the version of license you purchased (Lite, Pro, Enterprise or Academic). Activation is intended to protect your rights, as a consumer, to use the license to its full extent, and it is also intended to protect Krasbit's rights as a software developer. Only a properly activated license of Chameleon Studio entitles you to critical updates and technical support. Providing the optional registration information (name, e-mail and company) will help us to contact you in the event of critical updates.

During the Activation process, information about the following is sent to Krasbit via an Internet connection: your computer, the Krasbit software you are activating, the Krasbit serial number associated with that software, and your optional registration information. In addition, Krasbit receives the Internet Protocol (IP) address of your Internet connection. All the foregoing information is collectively referred to as the "Received Information" and is stored by Krasbit Technologies. Krasbit Technologies may use the Received Information to detect and prevent fraud and abuse of Krasbit Technologies products and services, such as the use of Krasbit Technologies software that is not validly licensed or that is not being used in accordance with a valid license.

To activate Krasbit Chameleon Studio 2, go to Help>License Status. Type in the product serial number or paste it by pressing the Paste button. Next, press Activate to start the activation process. You should see the following message:

Success

Krasbit chameleon has been successfully activated.
The Krasbit Chameleon Renderer will restart automatically. If the Renderer license information has not been updated, manually shut down and restart the Renderer and CorelDRAW.

OK

You will be returned to the home page and your license status will be updated in the top ribbon and the upper left tile. The Renderer will restart to reflect the new license status.

Product Upgrade

If you have licensed Krasbit Chameleon Studio 2 to either Lite or Pro Edition, it is possible to purchase an Edition upgrade. Your license status will be upgraded on the Krasbit Activation Server. Deactivate the software (see the section on product deactivation) and then re-activate using the same serial number. The system will now be set to the proper Edition (Lite/Pro/Enterprise). An Internet connect is required for the activation process.

Activation Errors

If Krasbit Chameleon Studio 2 fails to activate, either because it cannot connect to the Krasbit activation server over the Internet or because its use is not permitted, it may offer only limited functionality or not operate at all. Here are some common errors that may occur during the activation process.

Activation server is temporarily unavailable. Please try again later.

This error occurs when Krasbit Chameleon Studio 2 is connected to the Internet but is not able to communicate with the activation server. If your product has not been activated yet, it will continue to run in Trial Mode. If your trial has expired, then it will run in Restricted Mode.

Try again at a later time ensuring that your system has a proper Internet connection and verifying through a browser that you can connect to websites.

Cannot determine serial number’s license type. Contact Krasbit at support@krasbit.com for resolution.

The serial number entered is not valid. Verify the number typed in or use the Paste button to paste in the full number. Please contact Krasbit technical support at www.krasbit.com if the situation does not resolve itself.

Problem detected with multiple uses of serial number. The serial number has been rendered invalid. Contact Krasbit at support@krasbit.com for resolution.

This error message occurs if you attempt to activate Krasbit Chameleon Studio 2 on more computers than permitted by your license. Do one of the following:

•Deactivate the previous installation before you activate the new installation; or
•Purchase additional licenses if you want to run on additional computers simultaneously.

A problem has occurred. Chameleon Studio can not be activated.

Please contact Krasbit technical support at www.krasbit.com if this occurs.

See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Deactivation
Administrator Mode
Setup Wizard


Product Deactivation

Product Deactivation
Installation and Setup > Product Deactivation

The Krasbit Chameleon Studio 2 license you purchased entitles you to install the product on a certain number of computers. If you attempt to install on more computers than are permitted by your license, the activation server will not activate the product.

Before you can transfer your license to another computer you must "deactivate" your license. This is done by going to Help > License Status and clicking on Deactivate.

Caution!

Upgrading Windows

If you plan to upgrade or re-install Windows, it is possible that doing so assigns a new Windows Serial Number to your computer. As a result, Krasbit Chameleon Studio will see this new Windows serial number and assume you are trying to run it on a new computer. To prevent this problem from occurring, you must first de-activate Krasbit Chameleon Studio before performing the Windows upgrade. Otherwise:

  • if you have already met your license limit, it will treat the upgraded Windows as a different computer and will not activate; or
  • if you have not met your license limit, it will prompt for your serial number and count one additional license towards your account.

Once you have upgraded or re-installed Windows, re-activate Krasbit Chameleon Studio.

Deactivation Errors

Krasbit Chameleon Studio 2 could fail to deactivate, either because it cannot connect to the Krasbit activation server over the Internet or because its use is not permitted. Here are some common errors that may occur during the deactivation process.

A problem has occurred. The license information can not be deleted.

Please contact Krasbit technical support at www.krasbit.com if this occurs.

A problem has occurred. Chameleon Studio cannot be de-activated.

Please contact Krasbit technical support at www.krasbit.com if this occurs.

Deactivation has successfully completed. Chameleon Studio will now close.

This is not an error. However, you are now running a deactivated version of Krasbit Chameleon Studio. If you were running a trial and are within the trial period, the system will go to Trial mode. If you are outside the trial period, the system will revert to Restricted mode.
See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Activation
Administrator Mode
Setup Wizard


Administrator Mode

Administrator Mode
Installation and Setup > Administrator Mode

You should see a dialogue box similar to the following when starting CorelDRAW.

CorelDRAW startup warning

If not, then go to ‘Start” on your operating system and find the icon to launch CorelDRAW. Right-click and select "Properties". Next, select the “Compatibility” tab. You will see the following dialog box:

CorelDRAW compatibility properties

Select [Run this program as an administrator] and click OK. CorelDRAW will now start as required. Repeat the process later for Krasbit Chameleon Studio 2 and Krasbit Chameleon Renderer.

CorelDRAW compatibility properties

See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Activation
Product Deactivation
Setup Wizard


Setup Wizard

Setup Wizard
Installation and Setup > Setup Wizard

The Setup Wizard appears on screen the first time you start Krasbit Chameleon Studio 2. Its purpose is to collect all the necessary information to configure the system and get you going successfully. The Wizard will appear every time you start Krasbit Chameleon Studio 2 until such time as the "Do not show again" check box has been ticked.

The individual pages of the Setup Wizard are all accessible through the menu items at the top of the page. The Setup Wizard itself can be accessed any time by going to Tools>Settings>Setup Wizard.

The Wizard is composed of the following pages:

Application Settings

This page sets the application language and the production languages, the measurement system and the currency. More information is available here.

Workspace Settings

This page sets the database to be used and defines the various folders used for storing images. More information is available here.

CHML Import

A CHML file contains group, item, product, SKU, pricing and settings information. Krasbit Technologies has prepared CHML files for a variety of sample applications and these come pre-packaged with the setup files. Browse for available packages included with your purchase and select the required ones for installation.

Optional template packages and updates are also distributed via CHML files.

Company Logos

This tab collects your company logos and any linguistic variants. The logo is used on the homepage and is also available for use on products and order forms. This tab also stores a watermark, a QR code and a barcode that can be put on products. The QR and barcodes are optional.

Order Form

This question collects information on your company. This information is used to customize the order forms/catalogs and the application's interface.

Company e-mail

This is where you enter your e-mail system information so that Krasbit Chameleon Studio can automatically send order forms and catalogs. The page also stores the body of the e-mail. The e-mail body can be changed at any time to be tailored to the client's needs.

Renderer Settings

This tab prompts for your serial number to activate the application. If this is a trial, you can skip this section. However, at the conclusion of the 30 day trial, the system will run in Restricted mode unless a serial number is entered.

See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Installation - MySQL Database
Product Trial
Product Activation
Product Deactivation
Administrator Mode


Getting Started

Getting Started
Getting Started > Getting Started

The Getting Started section is a quick introduction to how Krasbit Chameleon Studio works.

Using data you have imported during the Setup Wizard, you will simulate three roles:

  • A sports photographer shooting basketball, soccer and martial arts;
  • A portrait photograher shooting dancers in front of a green screen; and
  • A technician creating machine components.

To simulate your role as a photographer, we will assume you are based in “Anytown” and working for the Anytown Photo Studio.

Anytown Photo Studio logo

For sports photography, there are two sport leagues in Anytown and each has one team associated with it.

Sport | League (Parent Group) | League (Parent Group) Logo | Team (Group) | Team (Group) Logo
Soccer | Anytown Soccer League |  | Anytown Lions |
Basketball | Anytown Basketball League |  | Anytown Cheetahs |

Krasbit Chameleon Studio comes pre-loaded with these groups for you to familiarize yourself with the structure of the application and to use training scenarios. The leagues and teams are displayed in the group hierarchy on the Production Screen:

Tip

The "teams" at the bottom of the hierarchy are called "groups" and the elements directly above them (in this case the "leagues") are called "parent groups". These two terms are very important and will be used throughout the manual.

Throughout this manual and in the training scenarios, you will be working with a player called Ronnie. He is easy to spot with his red hair and the number 12. If he is in a group that has positions, he will usually have the letter “C” to indicate he is the Captain.

Tip

Note that the team colors are reflected in the shirts, logos appear on the sleeves and players have their numbers on their chest in addition to any special designations (such as the “C” for Captain in the example below)

Ronnie Arbuckle - Captain of the Anytown Lions

You will find in the C:\chameleon\training folder all the artwork you need to create photo-gifting products for Ronnie and his team:

  • Team and league logos;
  • Sample photos of players in a variety of poses; and
  • Sample silhouettes.

See Also
A Typical Workflow


Workflows

Workflows
Getting Started > Workflows

A workflow is a sequence of steps that are performed to achieve a goal. Without being aware of it, you probably already have a workflow for the job you do:

  • Photographer: Collect client information, take photos, backup photos, edit photos, save photos, present photos to clients, take orders,make client products, deliver to client;
  • Sublimator: Collect client data, make custom products, print products, heat-press products, create packing slips, receipts and invoices,deliver to client;
  • Advertising Agency Worker: Collect variable data (prices, specials, products), add variable data to different ads, render ads in different sizes, resolutions and color spaces (print or online), send ads to different publishers.

Generally, photographic workflow has been defined as what happens after the photo is taken:

  • backing up the images;
  • color correcting, cropping and other adjustments;
  • tagging and identifying the images; and
  • storing in appropriate locations.

In the Krasbit Chameleon Studio context, we expand upon that and define workflow as the entire process of interacting with the client, how photos are taken or artwork and data are acquired, and what is then done with the art and data elements in terms of product fulfilment.

It is unlikely that your workflow is the same as someone else in your industry and your workflow may even change from one client to the next. In the table below, you can extract your workflow by connecting one item in each column to another item in the next column. The items highlighted in yellow are an example of a workflow for a youth sports photographer at a tournament.

Data | Computers | Group poses | Individual poses | Action images | Chromakey | Ordering Process | Printing | Photo gifting
Collect subject data beforehand Collect subject data during the shoot Collect subject data after the shoot Do not collect any data on subject | No computers on site One computer on site Network of computers on site | Shoot one group pose Shoot multiple group poses Do not shoot group poses | Shoot one individual pose Shoot multiple individual poses Do not shoot individual poses | Shoot action photos Do not shoot action photos | Shoot chromakey Do not shoot chromakey | Pre-pay Sell on site Provide order forms Sell on-line | print on site print at studio Send to external lab | Offer Photo gifting do not offer photo gifting

The following is a workflow for a photographer in a studio:

Data | Computers | Group poses | Individual poses | Action images | Chromakey | Ordering Process | Printing | Photo gifting
Collect subject data beforehand Collect subject data during the shoot Collect subject data after the shoot Do not collect any data on subject | No computers on site One computer on site Network of computers on site | Shoot one group pose Shoot multiple group poses Do not shoot group poses | Shoot one individual pose Shoot multiple individual poses Do not shoot individual poses | Shoot action photos Do not shoot action photos | Shoot chromakey Do not shoot chromakey | Pre-pay Sell on site Provide order forms Sell on-line | print on site print at studio Send to external lab | Offer Photo gifting do not offer photo gifting

Connecting different items from one column to the next offers over 10,000 combinations with just these variables. Krasbit Chameleon Studio has been designed to accommodate all workflows and reproduce the way you conduct business. It provides you with the flexibility to change your process based on the needs of the client or the available conditions.

In the following pages, we will show you examples of a "day in the life" of typical Krasbit Chameleon Studio users.


A Typical Workflow

A Typical Workflow
Getting Started > A Typical Workflow

This chapter will walk you through a typical way that Krasbit Chameleon Studio will be used in your day-to-day operation.

To start, click on View>Production. This takes you to the Production Screen where most of your time will be spent.

On the left of the screen you will see a list of all of the groups in the system.

Press on the [+] symbol to expand the group hierarchy. Drill down to the soccer section and expand the Anytown Soccer League to show the Anytown Lions. Click on the this team so it is highlighted in blue.

Now, notice the names of the players who are on the team appear on the right side. You should see five sample players, including Ronnie Arbuckle the team captain.

Click on Ronnie so that he is highlighted in blue.

After selecting Ronnie, click on the Products tab to view the available products that can be produced. You will see a list of all soccer related products. Select a product such an 8x10 photo. The top half of the screen contains products, the bottom half contains order forms/catalogs and batches (collections of products).

Note

The Lite edition does not contain batches or order forms/catalogs.

Next, click on the Profiles tab. This is the third step in producing products. You will a red tab with Ronnie's name in it. The tab is red because there is missing information. The system needs Ronnie's photos in order to produce the desired product. Any image or data profile that is incomplete will be highlighted in red or yellow (for optional profiles).

Click on the Input ribbon at the bottom of the page to see the images in the input directory. All the photos of the Anytown Lions soccer team should be there. Drag and drop the upper body image of Ronnie that matches this silhouette:

After connecting the image, Ronnie's tab should go from red to dark blue and the "GO" Button should now be green. All necessary data is complete and you are ready to render a product. Click the green GO button.

To the right of the screen, you will see the progress of your product in the Output Browser. If this is not visible, go to View>Output Browser to toggle it on. Your rendered product can be seen in the media/ouput folder.

That is it! You have rendered your first product in just a few seconds. The next chapters will go into greater detail on understanding the pages you navigated through and the entire production process.


Introduction to the Production Screen

Introduction to the Production Screen
Production Screen > Introduction to the Production Screen

This is where the magic happens.

Now that you have set up your copy of Krasbit Chameleon Studio, you will use the Production Screen during a product production run to connect items with their data and render your products.

The Production Screen contains ribbons, three tabs and the Output Browser:

Ribbons

A ribbon contains the images from a specified Windows directory. Several ribbons can be grouped together in a "tab navigator". Tab Navigators can be stacked one on top of the other.

The ribbons are used to easily display images from a variety of sources and connect them to the appropriate group or item.

More information is available here.

Groups Tab

This tab allows you to create a hierarchical structure for storing groups and their related items.

Note

Because Krasbit Chameleon Studio 2 has groups that can contain people or objects, we use the term "items" to refer to the contents of a group.

More information is available here.

Products Tab

This tab contains a list of all products that can be produced for items from the selected group. For Pro and Enterprise editions, this tab also contains a list of batch items (collection of products) and order forms.

Within the tab, you can also create, edit and delete products. With the Pro and Enterprise editions, you can also create, edit and delete order forms.

More information is available here.

Profiles Tab

When items and products have been selected for production, the Profiles tab is used to display all of the information and images required to produce the products. If information is missing, you can add it or correct it here. Once the necessary information is complete, the production of products is initiated here.

More information is available here.

Output Browser

The Output Browser is toggled on/off from the View>Output Browser menu. It appears on the right of the Production Screen and displays all rendered products.

More information is available here.

More detailed information on all of the screen elements is available in the following pages. The Production Screen is where you will be spending most of your time so a good understanding of it is necessary.

See Also
Ribbons
Archiving images
Groups Tab
Products Tab
Profiles Tab
Output Browser


Ribbons

Ribbons
Production Screen > Ribbons

The ribbons at the bottom of the Production Screen contain images from different Windows directories. Each ribbon is part of a "tab", and a collection of tabs are located on a "tab navigator".

In the example below, a "ribbon" of images show the content of the workspace defined "Input" directory. This ribbon belongs to the Input "Tab". Notice the currently displayed tab is in light blue and the number in brackets displays the numbers of images in the ribbon (16 in this case). The Input, Keyed and Exceptions tabs are part of a "Tab Navigator".

If you need to see the contents of multiple directories at once, two or more "Tab Navigators" can be stacked one on top of the other and tabs can be defined within each of the ribbons. The number of Tab Navigators is only limited by your available screen space.

There are several pre-defined tabs:

Input Tab

The Windows directory displayed in this tab is defined in the workspace. The Input tab is used to display the images that come from a tethered or wireless camera or a directory you want to use as a source for images. Any directory accessible from your computer can be used - it can be a local drive, a networked location or even a USB key or camera memory card.

The Input tab is one of the default tabs that appear when you start Krasbit Chameleon Studio or press View>Reset Ribbons.

Keyed Tab

The Windows directory displayed in this ribbon is defined in the workspace. The keyed tab displays the images that have been sent through a third party chromakeying application and have had their background "keyed". This ribbon is only available for the Pro and Enterprise editions.

This ribbon is used when your workflow involves green screen (chroma key) photography. The images with green (or blue or white) backgrounds appear in the input tab. Images that need to be keyed are dragged to the "keyed" tab and the backgrounds are removed. The keyed images are then displayed in this tab and they can then be used on the Profiles Tab to connect images to items.

Images can also be dragged to the ribbon from other applications. Drag the image to any location within the ribbon, click once to see a green circle next to the mouse icon, and then click again to finalize the drop.

The Keyed tab (Pro and Enterprise editions only) is one of the default tabs that appear when you start Krasbit Chameleon Studio or press View>Reset Ribbons.

Exceptions Tab

The Windows directory displayed in this ribbon is defined in the workspace. The Exceptions tab is used to "hold" images that can't be immediately processed but need to be looked at in greater detail later.

Example: you are photographing 100 items. This is a high volume event and you have limited time to process everyone. For one photo, you can not recognize the person and are unable to connect the photo to the person's information. Drag and drop that person's image to the Exceptions tab. At the conclusion of the shoot, work with the event organizers to go through the photos in the Exceptions tab and process them.

The Exceptions tab is one of the default tabs that appear when you start Krasbit Chameleon Studio or press View>Reset Ribbons.

Selected Group Member Images Tab

When images are connected to a item's profile, they are placed into a system generated Windows directory. This directory is in the media folder (defined in the workspace), in a sub-directory called "photos", another sub-directory named after the workspace ID (default "1"), and then in a further sub-directory named after the item's item_ID number. Example, Paul Martin has item ID number 2. The workspace you are working with has the default ID of "1". Any photos connected to him will appear in: media folder\photos\1\2.

The tab will be empty until you connect photos to the item. This can be done four ways:

  • Drag and drop images to a item using the "related images" column on the Groups tab;
  • Use the "profiles" on the Profiles tab to connect images to a connector and the item at the same time;
  • Add images manually to the item's Windows directory. In the above example, you can manually add images to media folder\photos\1\2 and these images will now be associated with Paul Martin; and
  • Drag and drop images from the Input tab, or any other tab, to the Selected Group Member Images tab.

Images can be in the Input tab and the Selected Group Member Images tab at the same time. In fact, images can be in multiple tabs at the same time. When drag and dropping between tabs, you can adjust the option to "move" or "copy" the image to suit your requirement if you need the images to appear in multiple locations. To do so, click the Options button on the left of the ribbon.

Caution!

It is important to understand the difference between Profile Images and Variable Images:

  • Variable Images can be imported and added to an item before any products are to be rendered; and
  • Profile Images are added at the time products are to be rendered.

Images can be manually added to an item's folder, but that doesn't mean that Krasbit Chameleon Studio recognizes these images as variables or profiles. To recognize the image as a variable, click on a group, display the list of items and browse or drag & drop for an image where there is an option to enter an image. This image will be connected to a item variable. Images that are connected to item variables can also be entered on the Profiles tab at the time of product rendering.

The prompt for profile images appears only on the Profiles tab and can only be entered when products have been selected.

Selected Group Images Tab

In the section above, you learned about a tab and its related Windows directory that contains photos for items in a group. A similar system exists for photos related to the group. Group photos are stored in a media folder\groups\workspace ID\group ID structure. Example, the Anytown Lions team, group ID 17, default workspace ID "1", has its photos at media folder\groups\1\17

There are four ways images can be added to a group's folder:

  • On the Groups tab, click the Groups down arrow and select to "Edit" the Group. Where there is an option to enter an image, click "browse" to search;
  • Use the "profiles" on the Profiles tab to connect images to a connector and the group at the same time;
  • Add images manually to the group's Windows directory. In the above example, you can manually add images to media folder\groups\1\17 and these images will now be associated with the Anytown Lions team; and
  • Drag and drop images from the Input tab, or any other tab, to the Selected Group Images tab.

Images can be in the Input tab and the Selected Group Images tab at the same time. The tab ribbons merely show the contents of a related Windows directory.

Caution!

It is important to understand the difference between Profile Images and Variable Images:

  • Variable Images can be imported and added to a group before any products are to be rendered; and
  • Profile Images are added at the time products are to be rendered.

Images can be manually added to a group's folder, but that doesn't mean that Krasbit Chameleon Studio recognizes these images as variables or profiles. To recognize the image as a variable, edit the group and browse for an image where there is an option to enter an image. This image will be connected to a group variable. Images that are connected to group variables can also be entered on the Profiles tab at the time of product rendering.

The prompt for profile images appears only on the Profiles tab and can only be entered when products have been selected.

Custom Tab

The tabs described above are all based on locations that have been defined in the workspace. If you need to view the contents of one or more Windows directories in a tab navigator, the solution is to use Custom tabs. These can be accessed by three methods. Click on the Options button on the left of the ribbon, then on [Ribbon Options]. Next, select one of these menu items:

  • Change to - Custom;
  • New Tab - Custom; or
  • New Tab Navigator - Custom.

You will then be prompted for a Windows directory location:

Bitmap images (.jpg, .png, camera RAW files, etc.) will automatically be displayed in the ribbon. Vector based images (such as Illustrator or CorelDRAW files) will only appear if the "Use Renderer to produce vector image thumbnails" is ticked on the Renderer Settings page.

To enable this, go to Tools>Settings>Renderer.

Ribbon Reset

Clicking on View>Reset Ribbon returns the tab navigators to the default state. This consists of one tab navigator with the Input tab, the Keyed tab (Pro and Enterprise edition only) and the Exceptions tab.

Thumbnail Operations

When moving a cursor over a ribbon's thumbnail image, the following icons appear:

Clicking on a thumbnail forces the icons to stay on that thumbnail. Once another thumbnail is clicked, the icons then remain on the next thumbnail.

Thumbnail rating

These icons are used to provide a rating to an image. This is required in order to sort thumbnails by the rating option.

The "Thumbs Down" icon assigns the rating of "Rejected Image" and grays out the image. This can be useful when reviewing several photos of a subject and having to arrive, by process of elimination, at a final image.

The "Thumbs Up" icon assigns the rating of "Excellent" and give the image a green background. This can be used to identify good images for future use.

The "Star" icon pops up a menu that is used to assign different ratings to an image. Images can be sorted by "rating" and this is the method by which they are rated. The available options are:

  • Clear Rating (this eliminates all rating information from the EXIF data);
  • Rejected Image (Similar to Thumbs Down);
  • Very Weak;
  • Weak;
  • Medium;
  • Good; and
  • Excellent (Similar to Thumbs Up).

Copy to Exceptions Folder

Clicking this icon copies an image to the Exceptions folder. The Exceptions tab does not need to be visible for this to happen. Using this icon, images will always be "copied" rather than "moved".

An image can also be copied or moved to the Exceptions folder by drag and dropping it to the Exceptions tab, if available. Whether the image is "copied" or "moved" depends upon the ribbon option:

Rotate image

These two icons are used to rotate an image by 90° to either the left or right. If a 180° turn is required, click one of the two icons twice.

If many images need to be rotated, consider clicking the Options button and then selecting a different orientation option under the Thumbnail Orientation heading.

Zoom Viewer

The thumbnails in the ribbon are quite small and provide limited detail. If a more detailed version of the image is required, the Zoom Viewer provides a full screen ribbon with larger images.

Clicking the right most of the two blue icons launches the full screen ribbon and displays all the images in the current ribbon. The number of images in the Zoom Viewer is shown in the header next to tab name (in this case "Input [36]"). The number of enlarged images to be displayed can be set to 1, 2 or 3. Images are then scrolled using the left and right arrows. To close the full screen Zoom Viewer, click on the red box with the black X:

If only a subset of all the images in the current ribbon is required, then images can be selectively identified for viewing in the full screen ribbon. This is done by "ticking" a special location at the top right of every thumbnail:

Once the required images are "ticked" (they do not need to be consecutive), click the Zoom Viewer for ticked items ( [image]) and only the selected images will appear in the full screen ribbon.

A similar header appears for the full screen Zoom Viewer but it contains one extra icon. There is a red square with a black X that also contains a checkmark. By clicking this, the Zoom Viewer is closed but all the "ticks" are also cancelled. If the other red box with black X is pressed, the Zoom Viewer closes but the ticked thumbnails remain "ticked".

Preview

This icon launches the default image viewer for the image's file type. To choose a different image viewer, choose a different default viewer in Windows for each file type.

Chameleon Image Editor

This icon launches the Chameleon Image Editor. This is a minimal feature editor that allows images to be cropped and adjusted. If more complicated image editing is required, the Preview icon should be used to launch your default image editing application.

Refresh

This icon re-generates a thumbnail of an image. If a refresh of all thumbnails in a ribbon is required, there is a ribbon refresh icon located on the top left of the ribbon.

Delete

This icon will delete the thumbnail and remove the image from the related Windows folder.

Options

On the extreme left of every ribbon is a vertical button titled Options. Every ribbon can have different options. Example, the Input ribbon can be sorted alphabetically in ascending order while the Exceptions folder can be sorted by timestamp in descending order. This section will explain the various options available for each ribbon.

Display File Info

Selecting this option will display the image's filename. When mousing over a thumbnail, the file size and image modification date are displayed.

Confirm on Image Delete

When an thumbnail is set to be deleted, this option give a last chance to confirm that the action is intended. Otherwise, the image will be deleted as soon as the delete icon ( [image]) is pressed.

Move Image (instead of Copy) on drag and drop operation

The options for every tab allow you to determine if an image is to be moved or copied when it is dragged and dropped to another tab or a profile location. There are pros and cons to each:

 | Pros | Cons
Moving | Moving items from the Input ribbon has the effect of removing them from the tab thereby leaving only items that need to be processed. This makes it easer to see what work is left to do and allows faster thumbnail generation/processing of the remaining images. | At the end of a photo shoot, you may wish to archive all of your images or take the entire contents of the Input ribbon and perform a backup. If the images have been moved to the item's directories, they are now spread out over multiple locations and are harder to backup.
Copying | Copying items puts them into multiple locations. This may facilitate retrieval and is also a bonus backup should one image or its directory become corrupted or accidentally deleted. | Copying images duplicates the amount of space required for storage. If you have very large image files, this could fill up your drive.

When an image is being moved, a green icon with an arrow appears. When the image is being copied, a green icon with a "+" symbol appears.

Use Thumbnail Recycler

If the ribbon contains a large number of photos, it is recommended to use the thumbnail recycler. It may take a bit longer to display the individual thumbnails, but more memory is available because the system is not storing thumbnails for all images at once.

Thumbnail Orientation

By default, the system is set to read the EXIF data of any image. This information is stored within the image file by modern digital cameras and contains details on how the image is to be oriented. Photos created by older cameras or scanners may not have this information.

To override the EXIF data, select "Ignore thumbnail rotation".

If images are consistently oriented in the wrong direction, the "Manual thumbnail rotation" may be used to adjust them.

Thumbnail Sorting

Images can be sorted in one of four ways:

  • EXIF data which refers to the image creation date stored within the images EXIF information;
  • Name;
  • File timestamp. This may differs from the EXIF creation data if the image has been modified and resaved with a different date; and
  • Rating.

Thumbnail Limiter

By limiting the number of thumbnails for which the system stores image information, the display of a ribbon's contents can be sped up. This is recommended for ribbons that contain a large number of image files.

The downside is that when scrolling through the ribbon contents, thumbnails need to be generated "on the fly" and there may be a slight delay.

Caution!

If you are defining a networked directory, bear in mind that the directory address is stored in the database and needs to be in such a form that it can be read from any computer on the network. If the input tab refers to a location on your c: drive and multiple computers use the same workspace (Pro and Enterprise editions), you should define the location as a network address.

Ex: use:

\\Samsung\c:\chameleon\input

Rather than

c:\chameleon\input

Tip

If the ribbons are not necessary to your workflow, you can hide them to create more space on the Production Screen. Click on View>Ribbons to toggle between making the ribbons visible or not.
See Also
Introduction to the Production Screen
Archiving images


Archiving images

Archiving images
Production Screen > Archiving images

Images to be processed are in the Input tab. When images have been connected to items or groups, they can then be moved to the archive folder. This has several advantages:

  • It cleans up the input folder for the next round of images. This makes it easier to process the subsequent groups;
  • It moves the images to another location that can be on another drive or in the cloud thereby providing an additional layer of backup; and
  • Archived items can be placed into different types of sub-folders that simplify future retrieval.

Moving images to the archive

Archiving can only be done from the input ribbon. To archive the images in the input folder, select the Options button at the left of the Input ribbon, choose the [Ribbon Options] pull down menu, select [Archive] and then [Move images to Archive]. This will move all images in the Input ribbon to your selected archive.

Archive locations

The archive location is defined in the workspace. You can however choose from four options that control archive sub-directories.

The four options are:

  • Use the archive location defined in the workspace (example: c:\a\archive\);

    Arhive top level

  • Use the archive location defined in the workspace but place the images into a sub-directory named after the currently selected group. Example: c:\a\archive\345 where "345" is the group ID of the currently selected group);

    Archive with group ID

  • Use the archive location defined in the workspace but place the images into a sub-directory that is a timestamp of when the archiving occurs. Example:

    Archive with timestamp

  • Use the archive location defined in the workspace but place the images into a sub-directory that is named after the currently selected group and a timestamp of when the archiving occurs.

    Archive with timestamp and group ID

Displaying archives

After sending images to archive locations, the archives are visible in Windows Explorer. The screen capture below shows three archives that have been created using the archive location options described above.

The archive directories are reproduced in Krasbit Chameleon Studio. Select the directory you wish to display.

To return to the input folder, select [Do Not Show Archived Images].

See Also
Ribbons


Groups Tab

Groups Tab
Production Screen > Groups Tab

The Groups tab can be accessed by clicking on View>Production Screen...

This area displays information on all groups and their related items.

Group Information

On the left side of the screen is the group information. It consists of a pull-down menu for managing the various groups and a graphical display of the group hierarchy.

Group Hierarchy

The group hierarchy list all the groups in a logically organized structure. This hierarchy can be constructed in any way. For example, sports teams may belong to a league which belongs to a conference. A class belongs to a school, that belongs to a school board that may belong to a district. How you structure this hierarchy is entirely up to you.

A concept that needs to be thoroughly understood is that of the "Group", "Parent Group" and "Super Parent Group" relationship. Using the above example, this is how Krasbit Chameleon Studio understands the different elements:

 | Sports | School | Industry
Group | Team | Class | Batch
Parent Group | League | School | Lot
Super Parent Group | Conference | School Board | Consignment

Every group has a color theme and a pricing level attached to it. If you want to create a product with a league color theme, you will render a "parent group" based product. To enable this, the "parent group" must have the correct color theme that represents the league.

Take the example of the governing body for Australian rules Football in the state of Victoria, Australia – AFL Victoria. In this organization, there are 115 leagues and under these are a total of 1942 clubs. Clearly, a Krasbit Chameleon Studio user needs a logical way to sort all of these clubs and the tens of thousands of players.

The teams are the lowest level of the hierarchy. Krasbit Chameleon Studio interprets a team as a "Group". The level above the team, in this case known in the sports world as a "league", is considered by Krasbit Chameleon Studio as the "Parent Group". AFL Victoria in this case is considered by Krasbit Chameleon Studio as the "Super Parent Group".

Group Options

The [Groups] pull down displays the number of groups in the system. The pull-down has several options:

  • Add - This adds a new group and has three options for where it can be placed:
    • Add New Item as Sub Item of Selected;
    • Add New Item After Selected; and
    • Add New Item Before Selected.
  • Delete - This deletes the selected group. When deleting a group, its related profiles are removed from the database (ex: translations). The related Windows directory that contains group photos and artwork is not removed;
  • Move Group - Clicking this opens a dialogue box with a duplicate of the hierarchical group structure. The group will be moved to a location under the group selected in the dialogue box;
  • Edit - This opens a dialogue box and allows the group data to be edited; and
  • Export - This takes the data from the selected group and exports it to either an Excel or CSV file.

Groups can be added, deleted, moved and edited as required. This menu also displays in square brackets the number of groups in the system.

Group Data

Every group has some common information:

  • Group Name - If only one production language has been selected, then the group name must only be provided once. If multiple production languages have been selected, then translations of the group name must be provided for selected languages. A group name cannot contain any of the following characters \ / : * ? " < > |
  • Color Style - Many product templates look to a group's color theme (style) for information regarding background and foreground colors and fonts to use. If no color theme is specified, the system's default color theme is used;
  • Price Level - Every product is linked to a price group that contains a low, standard and high price. The selection made here determines which of the three prices will appear on order forms or catalogs for members of the group. If no selection is made, the standard price level is assigned by default;
  • Contact ID - This is optional and serves only to connect a contact to the group for reference purposes;
  • Notes - This is optional and is merely a location to store additional information on the group;
  • Category ID - This is mandatory and requires you to select from pre-defined group categories. The group categories determine what additional information is collected for the group and what information is collected for the group members; and
  • Is divider - This determines if the group is merely a placeholder in the group hierarchy. For instance, you may have so many teams in a league that you need to divide them between "girls" and "boys" or "Saturday" and "Sunday". When entering "boys" and "girls" in the hierarchy, these groups are classified as "dividers" and do not have any items, color themes, pricing categories or other data associated with them. They serve merely to help visually separate the underlying groups.

Based on the Group Category, prompts for different additional information will appear. For more information on Group Categories, click here.

Dividers

A group can be defined as a "Divider". Notice below how the Anytown Panthers are defined as a "group" and the Anytown Football League is by extension then a "parent group".

Let us assume there are two Anytown Panther teams in the league - the Senior and the Junior version. We want to separate the two teams with an entry in the hierarchy but we want the Anytown Football League to continue to be the "parent group".

This is done by creating "Senior Division" and "Junior Division" groups and identifying them as "dividers". They have a place in the visible hierarchy but Krasbit Chameleon Studio does not treat them as part of the "group/parent group/super parent group" relationship. The Anytown Football League continues to be the "parent group" although there is a visible hierarchical level between it and the Anytown Panthers "group".

To create a divider, edit the group and select "Yes" for the "Is divider" entry.

Item Information

On the right side of the screen is the item information. It consists of a pull-down menu for managing the items and a data grid with the item information.

Note

Krasbit Chameleon Studio uses the terms "items" to refer to both persons and objects. This is because either a person or an object can belong to a group.

When a group is selected on the left side of the screen, the items in that group are displayed on the right side.

Item Options

The [Members or Items] pull down displays the number of items in the list. The pull-down has several options:

  • Add - This adds a new line to the data grid and allows editing of the item. However, if not all data columns are displayed (because they have been turned off or there is not enough room to display them), they can not be edited within the data grid;
  • Add and Edit - This opens a new window and allows all data fields related to the item to be edited;
  • Duplicate - This takes the currently selected item (at least one must be selected) and duplicates the language, Contact ID and notes. A new line is added to the data grid;
  • Duplicate and Edit - Similar to the "Duplicate" option, this copies the language, Contact ID and notes for an item but automatically opens up a dialogue box so all of the data related to the new item can be edited;
  • Delete - This deletes one or more selected items. When deleting an item, its related profiles are removed from the database. The related contact information is not removed. The related image directory is not removed;
  • Edit - This opens all selected items and allows their data to be edited; and
  • Displayed Columns - Every item has some common information that can be displayed in the data grid and depending upon the Group Category, other columns may be displayed. The blue check mark will indicate which items are displayed in the data columns.

Item Data

Every item has some common information:

  • Item ID - This is a unique number is assigned sequentially to every item;
  • Group ID - Every item belongs to a group. The group's ID is stored here;
  • Language - Select from the list of production languages;
  • Contact ID - Every item can be connected to a contact. Contact information is stored in a separate table because a contact can be connected to multiple items. Example: a family may have several children (items) enrolled in a sport. It makes sense to have a contact entry for the parents and connect that to all the children (items). This way, if the contact info needs to be updated, it is done only once; and
  • Notes - This is optional and is merely a location to store additional information on the item.

Every item has some optional information depending upon the Group Category defined for its group. As an example, a hockey team may record if a player shoots "left" or "right". A soccer team would not record this information. A baseball team would have statistics such as "Runner Batted In" that would not be collected for any other Group Categories. For more information on Group Categories, click here.

Displaying Data

Columns

The data columns are displayed based on what has been selected in the [Members or Items>Displayed Columns] pull-down. Only the "common" data item columns (item ID, group ID, language, contact ID and notes) can be re-organized by dragging and dropping the column header to a new location. Clicking a column forces the system to sort by the content in that column. Clicking again cycles between ascending and descending sort.

All optional columns are defined in the Group Category and given an index number which determines the order in which the columns appear. To change the order of these columns, the display index in the category variables must be changed. For more information on Group Categories, click here.

The "common" data columns can be re-organized left and right by dragging and dropping the column header to a new location. Clicking a column header forces the system to sort by the content in that column. Clicking again cycles between ascending and descending sort.

Remember Selected Items

For every group, Krasbit Chameleon Studio can remember the last items selected. Go to [Members or Items>Remember Selected Items] and toggle between "On" and "Off".

Try this: select an item, go to the Products tab and select several products and render them. Return to the Groups tab and you will see that the same item is still selected.

Furthermore, go to a different group, select some items and then go to the Products tab. You will see that a different product or group of products/batches/order forms are selected based on what was previously rendered for an item of that group.

If this feature is not required and you prefer that the product list be empty whenever going to the Products tab, then deselect this option in the Products menu.

Searching

Groups

For Groups, there is a search box that filters by a group's name. Begin typing and the group hierarchy will be reduced to only those groups that meet the search criteria. Click on the required group to begin working with it. When you are done with the selected group, click the white arrow that points to the left to return to viewing the full hierarchy. This method searches the group names but only in the current application language. Example, a group may have an English name of "White Team" and a French name of "Equipe Blanc". If your application language is designated as English, then a search of "White Team" (or partial search, ex: "Wh") would produce a result. In this case, searching for "Blanc" would produce no result.

If you know the Group ID, you can type "#" followed by the Group ID and this will filter the group list to just the desired group and its hierarchy. Example, if the Anytown Lions have group ID of "17", then typing "#17" in the Group search will display the Anytown Lions.

To search all language variants of a group name, type CTRL-F. Select the "Groups" option and enter either the group ID or a part of the group name. Click the Search button and all results will appear at the bottom. The same group may appear several times if it has group names in several languages that match the search criteria.

Items

For Items, there is a dedicated search box that filters on all columns. Begin typing and the list of items will begin to shorten as the filter becomes more restrictive. To cancel the filter, remove all text from the search box.

This Item search applies only to the currently selected group. To search Items across all groups, type CTRL-F. This will pop-up a search box that permits searches for groups and Items using either their ID number or by comparing text on any particular data column.

In order to search all items, regardless of their group, type CTRL-F. Select the "Items" option and then choose the Item ID or the variable you want to search by. Click the Search button and all results will appear at the bottom.

Multi-Select Mode

There are two ways to select multiple items:

Multi-select mode "On"

With multi-select mode set to "On", clicking on an item selects it, clicking again deselects it. There is no need to hold the CTRL or ALT key to select multiple Items. This mode is useful for touch screens where no keyboard is available.

The disadvantage to this option is that items can not be double-clicked for editing.

Multi-select mode "Off"

With multi-select mode set to "Off", clicking on an item selects it, but clicking another item deselects the first. This is typical Windows behavior. In order to select multiple items, the CTRL key must be pressed. As with Windows, pressing the ALT key selects a range of items.

The advantage to this option is that double-clicking for editing is enabled and data cells can be quickly adjusted or completed without having to resort to editing the entire item with a new screen.

Deselect All

To cancel the selection of all items, click the Deselect All button.

See Also
Introduction to the Production Screen
Ribbons
Products Tab
Profiles Tab
Output Browser


Products Tab

Products Tab
Production Screen > Products Tab

The Products tab can be accessed by clicking on View>Production Screen...

Krasbit Chameleon Studio uses the term "Products" (rather than "documents" or "images") to denote any file that can be rendered. Although Krasbit Chameleon Studio can produce "documents" such as PDF order forms, the "products" term is more encompassing in that it includes both documents and other files used for creating physical products.

Step 1 in the production process is to select Items (people or objects that are part of a group) followed by step 2 which is to select the products required for those items. Unless both "item(s)" and "product(s)" are selected, you can not move to the third step located on the Profiles tab.

Krasbit Chameleon Studio can select multiple items and multiple products and then render the combination. Example: You have a contract to produce a mouse pad and a coffee mug for an entire sports team of 10 players. Krasbit Chameleon Studio will then render 20 products (2 products times 10 players).

Product Information

This page displays available "products" at the top and available "batches" and "order forms" at the bottom. Note that "batches" and "order forms" are not available for the Lite Edition.

Products Options

Krasbit Chameleon Studio comes pre-loaded with sample products. These are listed in the Products tab and as much, or as little, information as required about a product can be displayed.

The [Products] pull-down menu displays the number of visible products:

The [Products] pull-down has several options:

  • Add - This adds a new line to the data grid and allows editing of the product. However, if not all data columns are displayed (because they have been turned off or there is not enough room to display them), they can not be edited within the data grid;
  • Add and Edit - This opens a new window and allows all data fields related to the product to be edited;
  • Duplicate - This takes the currently selected product (at least one must be selected), prompts for a new product ID and then duplicates every column. A new line is added to the data grid;
  • Duplicate and Edit - Similar to the "Duplicate" option, this prompts for a new product ID and then automatically opens up a dialogue box so all of the data related to the new product can be edited;
  • Delete - This deletes one or more selected products. When deleting a product, its related profiles are removed from the database (ex, translations). The related CorelDRAW product templates are not removed;
  • Edit - This opens all selected products and allows their data to be edited;
  • Delete - This deletes the selected product(s);
  • Filter - Applying one or more filters to the product list can reduce the number of displayed items to a more manageable level. Filters include:
    • Fulfillment. Every product has a related SKU and this SKU defines where the product is produced (ex: in-house, Fuji, CEWE, etc.). Use this filter to restrict the product list to one or more fulfilment providers. If a product does not have a SKU, it by extension does not have a fulfillment provider and therefore will not appear when any of the filters are applied;
    • Chromakey. A product can be defined as being a chromakey product (used with green screen photos), non-chromakey product or can be used with both. Use this filter to restrict the product list to show one of the options;
    • 3D. A product can be defined as being a 3D product or non-3D product. Use this filter to restrict the product list to show one of the two options or show all products;
    • After applying a filter, the new number of products displayed is indicated on the [Products] pull-down menu:

      .
  • Remember Selected Products - After selecting products and going to the Items or Profile tab, the system can choose to keep the products selected for when you return to the Products tab. Click this menu item to toggle the selection "On" or "Off"; and
  • Displayed Columns - Every product is defined with some common data (see next section). It is here that you can choose which data is displayed on screen.

Product Data

Every product has some common information that needs to be defined before creating a product:

  • Product ID - This is a unique identifier for every product. It can be plain text or a code. See the Naming Conventions page for additional information;
  • Alias - This is a short code or description created to identify the product on a printed order form. It is recommended that this be kept very short;
  • Group ID - Specify for what group this product is intended. Example: if creating a product that can be used for all sports, then add this to the "Sports" group. Every group under the "Sports" group will automatically display the product. If you have a product that is only useful to a basketball clientele, then select "Basketball" and all leagues and teams under that will have access to the product. Those groups in other sports will not display this product;
  • SKU ID - Select the SKU this product should be connected to. In so doing, you connect the product to printers and define its file type and file naming convention;
  • SKU IDs - Optional. Select SKUs if there are related products that should be grouped together on an order form. Example, if the main SKU ID is for an 8x10 photograph, the related SKUs could be for an 8x10 glossy, an 8x10 matte, an 8x10 with white border, and 8x10 with black border, etc. These related products appear together on the order form;
  • Name in [production language] - The system prompts for a product name in every production language selected on the Application Settings page. This is required because an order form can be printed in any of the production languages and they must have appropriate product names. See the Naming Conventions page for additional information. If your company is only operating in one language and items will never be assigned a language, then use the "Global" description only;
  • Description in [production language] - This is a description that can be used for personal purposes or also to be printed on order forms and catalogs next to a product's preview image. If your company is only operating in one language and items will never be assigned a language, then use the "Global" description only;
  • Product's Template File Path - This is a link to the CorelDRAW file used to render the product. See the Naming Conventions page for additional information on how to name CorelDRAW templates;
  • Product Demo File Path - This is a link to the CorelDRAW file used to create a product preview. There are two ways that a product preview can be created:
    • Using a page titled "Mockup" page in the product template. The contents of this page are treated as the preview and are used for the order form or when instructing the renderer to create a preview image; or
    • Using a specified "Product Demo" file. This works similar to a "Mockup" page but has the advantage that many products can link to this file so if a change is required, it only needs to be applied to the "product demo" file rather than the mockup page for every single product. If multiple products will have the same preview image, then it is recommended to link to a "product demo" file instead of using mockup pages;
  • Connector Indexes - This is the collection of data items required to fill in the product template. Depending upon what information the product template requires, this is how the system is instructed to prompt for that information;
  • Effect Type - Optional. In concert with the "Product Demo" file, this "Effect" determines how an image is modified to fit into the demo file. A "Product Demo" file must specified for the effect to work. The default setting is "none". Effect options include:
    • puzzle - This takes a product and slices it to represent a puzzle. The effect is not editable for size;
    • container - This take a product and places it into the object specified in the Product Demo file path;
    • mug - This takes a rendered product and places the image onto a white coffee mug;
    • mug2 - This takes a rendered product, splits the image in two and places the two images onto a white coffee mug;
    • mug3 - This takes a rendered product, splits the image in three and places the three images onto a white coffee mug. It is designed to provide a panoramic view of all sides of a mug;and
    • canvas3D - This takes an image intended for a canvas wrap and gives it a 3D relief.
      These effects are not editable;
  • Price ID - Optional. This links to an entry on the pricing table. A product price must be pre-established. Example, all 8x10 products will link to an 8x10 price. This has the advantage of having to only update pricing information in one location;
  • Product Price - Optional. If this is a unique product and will be the only one with a particular price, enter a number here. Unlike using a Price ID, there are no price levels through this method. Regardless of what price level a group is set to, the product will always have this price. It takes precedence over the Price ID;
  • Chroma key - Optional. There is a filter on the product data grid display that permits filtering by chromakey images, non-chromakey images or all images. Making a selection here can be useful if you will have a large number of products and need to sort the chromakey products from the non-chromakey products;
  • 3D - Optional. There is a filter on the product data grid display that permits filtering by 3D products, non 3D products or all products. Making a selection here can be useful if you will have a large number of 3D products and need to sort the 3D products from the non-3D products; and
  • Level - Optional. Some products are intended for items in a group, others for items in a parent group. Some products may use a color theme from a group, other products may use a color theme from a parent group. To differentiate these products, they can be classified by level and then filtered in the data grid display. Default setting is empty but can be set to G (Group), PG (Parent Group), SPG (Super Parent Group) or SSPG (Super Super Parent Group).

Batch Product and Order Form Information

For Pro and Enterprise editions, the bottom half of the page displays Batches and Order Forms/catalogs.

A batch is merely a collection of products. The advantage to having a batch is that it allows multiple products to be sent for rendering with just one click. If you offer "packages" that are a collection of several products, the batches can be structured to match the packages. You could therefore have a batch called "Package A" and another one called "Package B" that match what is in your catalogs or promotional material.

An Order Form or Catalog is a PDF document that can be one or more pages and is used to display products. It creates a "preview" of each product using the artwork from the product's "mockup" page. It then summarizes all of the listed products on the final page and provides pricing information based on the group's price level. This is an excellent tool for displaying the wide variety of products you can quickly and easily create using Krasbit Chameleon Studio.

The information that must be collected for Batches and Order Forms/Catalogs is slightly different than products.

Batch Data

Every batch has some common information that needs to be defined:

  • Product ID - This is a unique identifier for every batch. It can be plain text or a code. The default batches use some codes defined in the conventions chapter of this document:
    • GS refers to "Green Screen", NGS to "Non Green Screen" and ALL refers to products that can use both Green Screen or Non Green Screen photography; and
    • G refers to "Group", PG refers to the "Parent Group" and SPG refers to the "Super Parent Group".
  • Alias - Not required unless you want to use it on the data grid to help with sorting batches and order forms;
  • Group ID - Specify for what group this batch is intended. Example: if creating a product that can be used for all sports, then add this to the "Sports" group. Every group under the "Sports" group will automatically display the product. If you have a batch that is only useful to a basketball clientele, then select "Basketball" and all leagues and teams under that will have access to the batch. Those groups in other sports will not display this batch;
  • SKU ID - Not Required;
  • Name in [production language] - The system prompts for a batch name in every production language selected on the Application Settings page. This is required so that the batch is visible in plain language on the data grid;
  • Product's Template File Path - Not Required;
  • Ordering Template File File Path - Not Required;
  • Template Dimensions - Not Required;
  • Product Indices - This is where you select all the products that are to be part of the batch;
  • Additional Indexes of Products - Not Required;
  • Price ID - Not Required;
  • Product Price - Not Required; and
  • Chromakey/3d/Level - Not Required. There is no filtering available for the batches so there is no need to classify them using this criteria.

Order Form/Catalog Data

Every order form/catalog has some common information that needs to be defined:

  • Product ID - This is a unique identifier for every order form. It can be plain text or a code. The default order forms use some codes defined in the conventions chapter of this document:
    • GS refers to "Green Screen", NGS to "Non Green Screen" and ALL refers to products that can use both Green Screen or Non Green Screen photography; and
    • G refers to "Group", PG refers to the "Parent Group" and SPG refers to the "Super Parent Group".
  • Alias - Not required unless you want to use it on the data grid to help with sorting batches and order forms;
  • Group ID - Specify for what group this order form is intended. Example: if creating an order form that can be used for all sports, then add this to the "Sports" group. Every group under the "Sports" group will automatically display the order form. If you have an order form that is only useful to a basketball clientele, then select "Basketball" and all leagues and teams under that will have access to the order form. Those groups in other sports will not display this order form;
  • SKU ID - Select the SKU this order form should be connected to. In so doing, you connect the product to printers and define its file type and file naming convention and have more control over the rendered PDF file;
  • Name in [production language] - The system prompts for a product name in every production language selected on the Application Settings page. This is required because an order form can be printed in any of the production languages and they must have appropriate product names;
  • Product's Template File Path - This is a link to the CorelDRAW file used for the first part of the order form;
  • Ordering Template File Path - This is a link to the CorelDRAW file used for the last page of the order form which contains the company information and product listing with pricing;
  • Template Dimensions - Indicate if the template is to use A4 or US Letter size. Based upon your preference for Metric or Imperial units, the order forms can be filtered to show only the ones you are capable of printing;
  • Product Indices - This is the list of products that will appear on the order form. The order in which they appear is very important as there is a link between the order and the object names on the order form template. The space reserved for "Product 1" on the template will be the first product in this list. The space reserved for "Product 2" on the template will be filed with the second product in this list, etc;
  • Price ID - Not Required;
  • Product Price - Not Required; and
  • Chromakey/3d/Level - Not Required. There is no filtering available for the order forms so there is no need to classify them using this criteria.

Displaying Data

Columns

The data columns on display are based on what has been selected in the [Products>Displayed Columns] or [Batch Products and Order Forms>Displayed Columns] pull-down. Columns can be turned on and off using this menu.

The columns can be re-organized left and right by dragging and dropping the column header to a new location. Clicking a column header forces the system to sort by the content in that column. Clicking again cycles between ascending and descending sort.

Remember Selected Products

For every group, Krasbit Chameleon Studio remembers the last product selected. In the Pro and Enterprise editions, it will also remember the last batches and order forms/catalogs selected.

Try this: select an item, go to the Products tab and select several products. Return to the Groups tab, select different items and then return to the Products tab. You will see that the same products are still selected.

Furthermore, go to a different group, select some items and then go to the Products tab. You will see that a different product or group of products/batches/order forms are selected based on what was previously rendered for an item of that group.

If this feature is not required and you prefer that the product list be empty whenever going to the Products tab, then deselect this option in the Products menu.

Searching

For products, order forms/catalogs and batches, there are search boxes that filters by a product/order form/catalog/batch's name (if multiple production languages are specified, the filter works on all variants of the group name). Begin typing and the group hierarchy will be reduced to only those products that meet the search criteria.

This method searches the product names but only in the currently displayed production languages. Example, a product may have an English name of "Bottle" and a French name of "Bouteille". If your "displayed columns" shows only English product names and descriptions, then searching for "Bouteille" will yield nothing. Displaying the French product names and descriptions would bring up all products with the word "Bouteille".

Multi-Select Mode

There are two ways to select multiple product/batches/order forms:

Multi-select mode "On"

With multi-select mode set to "On", clicking on a product/batch/order form/catalog selects it, clicking again deselects it. There is no need to hold the CTRL or ALT key to select multiple Items. This mode is useful for touch screens where no keyboard is available.

The disadvantage to this option is that products/batches/order forms/catalogs can not be double-clicked for editing.

Multi-select mode "Off"

With multi-select mode set to "Off", clicking on a product/batch/order form/catalogs selects it, but clicking another product/batch/order form deselects the first. This is typical Windows behavior. In order to select multiple items, the CTRL key must be pressed. As with Windows, pressing the ALT key selects a range of product/batches/order forms.

The advantage to this option is that double-clicking for editing is enabled and data cells can be quickly adjusted or completed without having to resort to editing the entire product/batch/order form with a new screen.

Deselect All

To cancel the selection of all products/batches/order forms/catalogs, click the Deselect All button. For Pro and Enterprise editions, note that there are two Deselect All buttons - one for "products", the other for "batches and order forms".

See Also
Introduction to the Production Screen
Ribbons
Groups Tab
Profiles Tab
Output Browser


Profiles Tab

Profiles Tab
Production Screen > Profiles Tab

The Profiles tab can be accessed by clicking on View>Production Screen...

A lot of information is required to produce products. This information is stored with the groups, with the individual items and also with the products. There can be dozens of data fields that need to be filled in and the Profiles tab is used to summarize this information.

The Profiles tab is grayed out until such time as at least one item and one product are selected. When one or more items and one or more products have been selected, then the profiles tab becomes active and displays a separate sub-tab for every item.

Profiles Tab Page Components

There is a wealth of information about your products displayed on this page. The following sections will break down all of the displayed information.

Item Tabs

At the top of the profile section are one or more tabs that show the item(s) for which products are being produced.

In this first example, a product is being produced for only Ronnie Arbuckle. Notice his name is across the tab. [11/11] indicates that of the 11 items of data required to create the product, all 11 items are there.

The information displayed in the tab, in this case the last name and first name, are determined on the Categories and Variables screen. When defining the Category Variables, change the "Include in Profile Header" to "Yes" to include it in the tab. As many variables as you need can be displayed but bear in mind that the available space for display will be reduced if multiple items are selected.

Tip

If the "Include in Profile Header" is not visible, click on the down arrow in the Category Variables bar and select "Displayed Columns". Ensure that "Include in Profile Header" is ticked.

In the following example, multiple players from the Anytown Lions have been selected. Notice how a tab has been created for each one. When there is missing data, be it a photo or text, the tab turns red and the numbers in the brackets show how many items are missing (example, in the case of Mario Rossi, he has only 10 out of 11 profiles).

Missing Profiles

In the case below, three players are all missing one piece of data each. Their tabs are colored red because their profiles are not complete. Clicking on the player's tab opens up a datagrid with the 11 profiles. In the case of Mario Rossi, the missing item is highlighted in red. Missing mandatory items are always highlighted in red.

Profiles can be defined as "Mandatory" or "Optional". See the section on Connectors and how to define them.

When an optional item is missing, it is highlighted in yellow:

An example of this would be a sport player's number. Players in a recreational league may not have numbers or it is simply a sport that does not use them (example, synchronized swimming, cheerleading, etc.). When it is known that the connector may often be empty, it is best to set it to "optional" so that the profile totals are not affected. For instance, if the player in the above example was missing a number, but all the other profiles were complete, their tab would not be red because all mandatory profiles are complete.

Missing Profiles Totals

At the bottom of the page is a total of the required profiles to produce all products for all items.

In the example above, there is a total of 35 profiles displayed. One of them is optional. Therefore, there are only 34 mandatory profiles. In this case, only 19 of the 34 profiles have been completed. For this reason, the "GO" button is colored red.

It is possible to press the "GO" button and begin rendering products, however, the products will be missing text or images. Once all 34 mandatory profiles are filled in, the "GO" button will turn green indicating that the product has all of the information required.

If there are 3 items with 7 mandatory profiles each, the total at the bottom of the page will show 21 "Profiles displayed" and 21 "Total mandatory profiles". If there are missing profiles, look to the tabs at the top of the page to see which item is missing information - this can be determined by looking for the tabs that are colored red.

Simplifying the Display

Several filter techniques have been created to reduce the quantity of information displayed.

Editable Profiles

There are some connectors that are a combination of data from other connectors. As an example, a connector that create's a user's full name uses the information from a connector that retrieves the first name and another one that retrieves the last name. Notice in the image below how the full name is on a different gray background - this is because it can not be edited. To change the full name, either the first or the last name must be changed and the full name is then automatically updated.

The full name is an example of a non-editable profile.

Ticking the "Show only editable profiles" will remove profile entries such as the "full name" example above.

The result would then look like this:

Profile Filter

If you are producing many products at once, chances are that there will be many profiles displayed and you will need to scroll through them. There is a way to reduce this list using the profile filter:

  • Missing Profiles. Selecting this option displays the optional and mandatory profiles that are missing information (“Missing Profiles” is a subset of “All Profiles”). To minimize items on the production screen, this should be your preferred option;
  • Ready Profiles. Selecting this option displays the optional and mandatory profiles that have complete information (“Ready Profiles” is a subset of “All Profiles”); or
  • All Profiles. Selecting this option displays all profiles that are required to render the selected product. It displays them whether they are complete or empty.

Note that the connectors displayed for “Missing Profiles” plus the connectors displayed for “Ready Profiles” equals the number of connectors displayed for “All Profiles”.

Also note that when the "Show only editable profiles" is ticked, this will have an impact on the number of profiles displayed in the "Missing" and "Ready".

Profile Order

The profiles are, by default, ordered in such a manner that those most likely to require attention are placed at the top of the screen and those least likely to require any attention are at the bottom. This is done to minimize the need for scrolling and thereby speed up the production process.

Profiles are sorted by specifying a "Display Index" for every connector and then sorting the profiles by the "Display Index".

To learn more about connectors and their Display Index, click here.

Go Button

Generally, if all of your information has been entered properly into Krasbit Chameleon Studio, the only thing you need to do on the Profiles tab is push the green GO button.

Once the button is pushed, all the product information is sent to the database and read by the Krasbit Chameleon Renderer. The Krasbit Chameleon Renderer then opens the appropriate templates in CorelDRAW to produce the final products. The rendering status is visible in the tray at the bottom right of your screen:

  • Searching for new products to render;
  • Rendering product;
  • Connecting to database;
  • Connected to database;
  • Disconnected from database.

Mousing over the icon will provide additional information.

Rendering status is also visible in the Output Browser and on the Renderer screen.

See Also
Introduction to the Production Screen
Ribbons
Groups Tab
Products Tab
Output Browser


Output Browser

Output Browser
Production Screen > Output Browser

The products rendered by Krasbit Chameleon Studio are displayed in the "Output Browser".

The Output Browser can be accessed by clicking on View>Production Screen... and selecting View>Output Browser. To turn the Output Browser "Off", go again to View>Output Browser and this will toggle the display "Off".

When products are rendered, the default Windows location for output is C:\chameleon\output. The workspace definition allows you to set the output folder and provides options on how this folder is sub-divided. In the case of player Paul Martin (item ID "2"), member of the Anytown Lions (group ID 17), member of the Anytown Soccer League (group ID 9) and with default workspace ID of "1", you have seven options for where the rendered output is stored. These options are:

Output subfolder based on: | Example output location
only workspace ID subfolder | C:\chameleon\output\1\
group ID | C:\chameleon\output\1\groups\17
parent group ID | C:\chameleon\output\1\groups\9
target output printer | C:\chameleon\output\1\printers\Ricoh
target output printer and group ID | C:\chameleon\output\1\printers\Ricoh\groups\17
user ID | C:\chameleon\output\1\items\2
custom | C:\custom - this can be any location specified in the workspace definition

The Output Browser is designed to view all rendered products regardless of what directory they are located in.

Browser list

The Output Browser displays all the rendered products that are stored in the database's Output table. Below is an example of several files that have been rendered for player #12, Ronnie Arbuckle.

The list automatically refreshes itself and displays the status of any file sent for rendering:

  • This icon indicates that the file is queued for rendering;
  • This icon indicates that the file is currently being processed by the Krasbit Chameleon Renderer;
  • This icon indicates that the file has been successfully processed;
  • This icon indicates that there was a problem with the rendering of the file.

The data displayed includes:

  • The output ID number of each product including the time it was sent for rendering (note: the date display format is controlled by your Windows settings and may differ from the samples shown here that use the Metric date format);
  • Caution icon if there was a warning or error in the product rendering. Mousing over the icon provides information on the warning(s) and error(s);
  • Item ID number followed by the item's language [image] (if entered) and the related contact information [image];
  • Group ID and group name in the application's language; and
  • Product name in the application's language.

There are several icons around the rendered image's thumbnail. The following icons are always visible:

  • This icon provides all of the rendered products information as it is stored in the database;
  • This icon deletes the rendered product's information in the output table of the database and removes it from the Output Browser display. It does not actually delete the image file;
  • This icon causes the image to be re-rendered using the original data stored in the output table of the database;
  • This icon causes the image to be re-rendered using the current product profiles. If you have made changes in the item or group's profile or product definition (a person's name has changed, referencing a different product template, connecting to a different SKU, etc), the rendered image may be different.

The following icons appear on the rendered image's thumbnail when the mouse pointer passes over:

  • This icon refreshes the thumbnail;
  • In a multi-page image, this arrow is used to navigate backwards between the pages. In this case, the icon is grayed out indicating that there are no images before the displayed thumbnail;
  • In a multi-page image, this arrow is used to navigate forward between the pages. In this case, the icon is bright signaling that it can be pressed and there are more images;
  • This icon opens the Windows folder in which the rendered product resides;
  • This icon opens the source file of the rendered image. If the source file was not generated, this icon is grayed out. To create a source file, go to Tools>Settings>Renderer... and check the "Create source CorelDRAW file" option;
  • This icon opens the product's preview image using your default image viewing application for the selected file type. Product previews can include text descriptions, extra effects and objects to help a client better understand the way the final product will be constructed - an example would be a 3D coffee mug image with artwork generated on it. If a preview was not generated, this icon is grayed out. To create preview files, go to Tools>Settings>Renderer... and check the "Create product preview file" box ;
  • This icon opens the image using your default image viewing application for the selected file type; and
  • This icon sends the selected file to print.

Special Display situation

The Renderer Settings page has options to produce product previews and product source files. If these are selected, then the Output Browser will display and make accessible the product previews and product source files.

Depending upon the template configuration (single page/multi-page, with mockup page/without mockup page) and the product definition (specifying a preview template/no preview template specified, specifying an effect/no effect), the manner in which the files and the previews are displayed will vary. The following table summarizes the various combinations and the results.

 | Render product only | Render product and preview | Render product and source
Single page template, no mockup, no preview page, no effect | One thumbnail of product | One product thumbnail | One product thumbnail. Source button active to retrieve source file.
Single page template, mockup, no preview page, no effect | One thumbnail of product | One product thumbnail, one preview thumbnail and preview accessible through "view Preview Image" button | One product thumbnail. Source button active to retrieve source file.
Single page template, no mockup, effect | One thumbnail of product | One product thumbnail, no preview thumbnail but preview accessible through "View Preview Image" button | One product thumbnail. Source button active to retrieve source file.
Single page template, mockup and effect | One thumbnail of product | One product thumbnail, no preview thumbnail but preview accessible through "View Preview Image" button | One product thumbnail. Source button active to retrieve source file.
Multi-page template, no mockup, no effect | One thumbnail for every page of template | One product thumbnail for every product page of template, one preview thumbnail for every page of template | One product thumbnail. Source button active to retrieve source file.
Multi-page template, mockup, no effect | One thumbnail for every page of template | One product thumbnail for every product page of template, on preview thumbnail based on mockup page and preview accessible through "view Preview Image" button | One product thumbnail. Source button active to retrieve source file.
Multi-page template, no mockup, effect | One thumbnail for every page of template | One product thumbnail for every product page of template, one preview thumbnail for every page of template | One product thumbnail. Source button active to retrieve source file.
Multi-page template, mockup and effect | One thumbnail for every page of template | One product thumbnail for every product page of template, one preview thumbnail for every page of template | One product thumbnail. Source button active to retrieve source file.
Multi-page template rendered to PDF | One thumbnail of PDF product | One thumbnail of PDF product, one preview file | One product thumbnail. Source button active to retrieve source file.

Tip

In the Renderer Settings, you have the option to create a preview image at the same time as the requested rendered image. If your templates have a preview page and you have chosen to create preview images, they will be displayed in the Output Browser by clicking on the blue multi-page arrows.

Tip

A product can have multiple mockup pages and therefore produce multiple product previews. These are viewed by pressing the "forward" and "back" arrows. When pressing the preview image icon ( [image]), only the currently displayed preview will be opened.

When an effect is specified for the product, then only one preview is created. This preview is accessible directly by clicking on the [image] product preview icon without having to scroll through all images using the arrows.

Options

The Options button opens up a section of the Output Browser that controls how the information on rendered products is displayed.

Filters

The filters tab is used to reduce the number of displayed items. Notice at the top of the Output Browser there is a number within square brackets. This number indicates the total number of displayed products in the list. As you apply filters, this number will change.

Chameleon Host:

Krasbit Chameleon Studio 2 can be networked with many computers using the same database (Enterprise Edition only). Use this pull down menu to filter the displayed items by selecting which host was used to produce the rendered items. Note, the term "host" is used to define both a computer and a version of Krasbit Chameleon Studio. Although you may have only one computer, you may have several hosts in the pull down menu if you have upgraded through several versions of Krasbit Chameleon Studio. The "All" option exists to display the items produced by all hosts connected to the database. The "This Instance Only" option will display only products produced on the current computer with the current version of Krasbit Chameleon Studio.

An example where this is useful is when three computers (A, B and C) are connected to the same database. A 1000 products were produced in one day by all three computers and this makes for a very long list in the Output Browser. You need to look at the products produced on computer C to verify that the operator, a trainee, is doing things correctly. Use the filter to select "computer C" and now only the rendered items initiated from this computer will be displayed.

Renderer Host:

Since Krasbit Chameleon Studio 2 can be networked (Enterprise Edition only), any renderer connected to the database can be used to create products. This feature helps to speed up product production by using all available networked renderers to create the products that are in the output queue. For every rendered item, Krasbit Chameleon Studio records which Renderer produced it. The pull down menu displays the list of all Renderer Hosts that have been used for product production (they do not need to be networked or connected at that instant). Note, the term "host" is used to define both a computer and a version of the Krasbit Chameleon Renderer. Although you may have only one computer running one copy of the Krasbit Chameleon Renderer, you may have several hosts in the pull down menu if you have upgraded through several versions of the Krasbit Chameleon Renderer. The "All" option exists to display the items produced by all hosts connected to the database. The "This Instance Only" option will display only products produced on the current computer with the current version of the Krasbit Chameleon Renderer.

An example where this is useful is where products are assembled using computer A but three computers (A, B and C) are used to simultaneously render all of the products. After the production run, you discover that computer B did not have a particular font installed whereas A and C did have the required font. All the rendered products from computer B had an unrequested font substitution take place. Using the Renderer Host filter, you can find which products were rendered on computer B and select these to be redone.

Product Filter

The Product Filter is used to restrict the list of rendered images to only the selected products. Use the CTRL key to individually select multiple products or the SHIFT key to select a range of products.

To eliminate product filtering, click the Clear All Selections button.

Sorting Options

By default, the list of rendered images will be displayed in descending order (latest rendered item at the top) sorted by the output ID (the sequential number automatically assigned to a new rendered image).

Sort Order

Select either "Ascending" or "Descending" using the radio buttons to control the order in which the rendered images appear.

Sort by

Krasbit Chameleon Studio can sort the rendered images by the following information:

  • Output ID - The Output ID is the default sort setting. Every rendered image has a sequential number assigned to it by Krasbit Chameleon Studio . This option will sort by the assigned number.
  • Language - Every item in a group can be assigned a language. If none is assigned, no information is sent to the Krasbit Chameleon Renderer and the language display is blank. If all rendered products have no language, they are then sorted by the default secondary sort method of Output ID.
  • Group ID - Every item belongs to a group. This group information is sent to the Krasbit Chameleon Renderer and all rendered items can be sorted by group ID. This can be useful for viewing all images related to a class or team.
  • Item ID - Every item has a unique system generated ID. Use this sort method to group all rendered images belong to items.
  • File Timestamp - When the Krasbit Chameleon Renderer produces an image, the file has a timestamp associated with it. Because multiple Renderers may be producing files and the images take different lengths of time to render, the sort order of the timestamps is not necessarily the same as the Output ID order. Additionally, if an icons is clicked to re-render a product, it will preserve its Output ID number but will have a new timestamp. This is another situation where the timestamp order and the Output ID order will be different.
  • Status - Status refers to either "Output Waiting to be Processed", "Output Completed", "Output in Production" or "Output Failure". This sort technique can be used to isolate any products that failed and need to be re-rendered.
  • Product ID - Every product has a unique Product ID, either system generated or named by a product developer.
  • Contact ID - Every item can have a related contact which has a unique system generated Contact ID. If the rendered products are not associated with any contacts, the list will be sorted by the default secondary sort method of Output ID.

Limit

The displayed list of rendered images may be very long. In order to limit it to a reasonable amount, a calendaring feature is available to choose a date range for which rendered images should be visible.

  • Newer than - Pick a day to display all rendered images that were created before this date. Use the left and right arrow buttons to advance the calendar by one month.
  • Older than - Pick a day to display all rendered images that were created after this date. Use the left and right arrow buttons to advance the calendar by one month.

Search

Clicking on the Search tab invalidates all "filters", "sort orders" and "limits" and replaces the list contents with the search result.

Search can be done on one criteria or a combination of the following:

  • Output ID - This search looks only for exact matches. Example, entering the number "2" will not return any rendered products with Output ID "25" or "112" as a result.
  • Status - This menu contains the four status options. Only one can be searched at a time. This can be useful for identifying products that have failed and need to be re-rendered or displaying a list of all products that are awaiting production.
  • Item ID - This search looks only for exact matches. Example, entering the number "2" will return rendered products from Item ID "2" but not return any rendered products belonging to Item ID "25" or "112".
  • Contact ID - This search looks only for exact matches. Example, entering the number "2" will not return any rendered products belonging Contact ID "25" or "112" as a result.
  • Contact Name - This searches both the first and last names of the contact in addition to their company name. This search will only be successful if the item was connected to a contact. Partial name searching is possible; example: entering "Ma" will return rendered products belonging to "Mary", "Marie" and "Bob Mackenzie".
  • E-Mail - This search will work with partial matches. Example, entering "gmail.com" would return all products linked to a gmail.com address.
  • Group ID - This search looks only for exact matches. Example, entering the number "2" will return rendered products from Group ID "2" but not return any rendered products belonging to Group ID "25" or "112".
  • Name - This searches the group names but only in the current application language. Example, a group may have an English name of "White Team" and a French name of "Equipe Blanc". If your application language is designated as English, then a search of "White Team" (or partial search, ex: "Wh") would produce a result. In this case, searching for "Blanc" would produce no result. If your application language were designated as French, then searching for "Equipe Blanc" would produce results while a search for "White Team" would not.
  • Custom SQL Code - If you are familiar with the SQL programming language, then you can enter "Where" queries here. Example: where group_id=919

Clicking the Search button will activate the search. Clicking Clear All cancels all search entries and empties the results list.

Refresh Mode

This part appears at the top of the options. There is a setting to adjust the interval (in seconds) between list refreshes. The lower the number, the more often the system will be refreshed and represent accurately the status of all products. However, this is a drain on computer resources so tests need to be made to find the right balance for your system's capabilities.

The Output Browser built into the Krasbit Chameleon Renderer has an "automatic" mode that refreshes the display as soon as a product is rendered. This feature is not available in the Studio Output Browser and is grayed out.

See Also
Introduction to the Production Screen
Ribbons
Groups Tab
Products Tab
Profiles Tab


Introduction to the Inventory Screen

Introduction to the Inventory Screen
Inventory Screen > Introduction to the Inventory Screen

The Inventory Screen is used to configure all products. It consists of four components:

Product Definitions

Every product that Krasbit Chameleon Studio can produce is stored here. This section creates, edits, duplicates and deletes products.

More information is available here.

Price Definitions

This section creates price groups that are attached to products.

More information is available here.

SKUs (Stock Keeping Units)

Every product has a SKU. The SKU stores information on the type of file to produce, filename format and what printers are to be used. This section creates, edits, duplicates and deletes SKUs.

More information is available here.

Connectors

Connectors are the code that link data within Krasbit Chameleon Studio (such as text, media, styles) to objects in a CorelDRAW template. This section creates, edits, duplicates and deletes connectors.

More information is available here.

More detailed information on all of the components is available in the following pages. The Inventory Screen is used initially to set up the products and is not generally used during the production process.

See Also
Products
Prices
Stock Keeping Units (SKU)

Connectors

Connectors

©2016 Krasbit Technologies Inc.


Products

Products
Inventory Screen > Products

Products can be viewed on both the Inventory screen or the Products tab of the Production Screen.

Since this manual has already explained products on the Products tab of the Production Screen, we link you back there to learn how to create, edit and delete products.

The only differences between the two pages are summarized here:

 | Inventory screen | Production Screen/Products Tab
Products, batches and order forms | All products, batches and order forms are in the same table. | Products appear in one section, batches and order forms are in another section.
Group specific products | The inventory screen displays all products, regardless of what group they belong to. | The products tab will only show products, batches and order forms related to the selected group.

See Also
Introduction to the Inventory Screen
Prices
Stock Keeping Units (SKU)

Connectors

Connectors

©2016 Krasbit Technologies Inc.


Prices

Prices
Inventory Screen > Prices

Prices can be accessed by clicking on View>Inventory Screen....

There are two ways to assign a price to a product:

  • Hard code the price in the product definition; or
  • Connect a price group to the product definition.

There are situations where you may need to change your prices or offer different pricing for different groups. A price group is created for a category of similar products to easily change prices. As an example, if you have 20 different products that are based on an 8x10 photo and they all have the same price, you have two options:

  • Hard code the price for every 8x10 product; or
  • Connect a price group to each 8x10 product.

If you need to raise your prices by 10%, the following will happen:

  • If the prices are hard coded, then each of the 20 product definitions must be updated with the new price; or
  • If a price group was connected to each of the 20 products, then only the price group must be adjusted and all products will reflect the new price.

Price groups also contain three different prices: low, standard and high. When creating a group, you can specify if the low, standard or high price applies to the group. Any order form created for an item in that group will then use the appropriate price. As an example, all 8x10 photo are connected to a price group that has a low price of $15, standard price of $20 and high price of $25.

  • Group A is defined with a price level of low. Any order form produced for a member of this group will show a price of $15 for any 8x10 photo;
  • Group B is defined with a price level of high. Any order form produced for a member of this group will show a price of $25 for any 8x10 photo;

If a group does not define a price level, the default setting of "standard" is used.

Page Components

In the pricing section, the header indicates the number of price groups available:

On the pull down menu, you can choose to:

  • Add a new price group;
  • Delete an existing price group;
  • Edit an existing price group;
  • Duplicate an existing price group; or
  • Control the displayed columns.

The Displayed Columns options selects what table elements are displayed. Ensure all columns are selected before adding new price groups.

A search feature permits quick filtering of the table and reduces the displayed list to those prices that match the entered text.

Add Price Groups

Select Add a new price group and a new line appears on the price group table. The Price ID is fixed and system generated - it can not be edited. Add the name of your price group and the low, standard and high prices. Select your currency.

Tip

If your currency is not listed, go to Edit>Table>Currencies and create a new currency.

Delete an Existing Price Group

Select one or more lines in the table and then click on the menu and Delete to eliminate the price groups.

Edit an Existing Price Group

Select one or more lines in the table and then click on the menu and Edit. A new window will appear displaying all the data for all the selected price groups. This method is good when there is a need to compare different price groups.

Alternatively, all data (with the exception of the Price ID) can be edited by simply double clicking any item in the grid.

Duplicate an Existing Price Group

Select only one line in the table and then click on the menu and Duplicate. A new line will appear which requires a name for the new price group.

See Also
Introduction to the Inventory Screen
Products
Stock Keeping Units (SKU)

Connectors

Connectors

©2016 Krasbit Technologies Inc.


Stock Keeping Units (SKU)

Stock Keeping Units (SKU)
Inventory Screen > Stock Keeping Units (SKU)

Stock Keeping Units (SKUs) can be accessed by clicking on View>Inventory Screen....

Every product created within Krasbit Chameleon Studio should be linked to a SKU. This is because the SKU contains information on the fulfillment provider, the printer to use, the product file format, dimensions and other import information for rendering the final product.

Caution!

If a product is not connected to a SKU, then the rendered product will be in the default .jpg format and use the default file name format.

The above information could be defined for each product, but that would be a lot of extra work and needlessly fill up the database with repetitive information if many of the products are similar. Consequently, Krasbit Chameleon Studio stores the information in a SKU and links a product to the SKU.

For example: you produce an 8x10 photo product with a blue background, one with a black background and an 8x10 photo with a red background. All of these products are produced the same way, from the same materials and using the same printers and file formats and they cost the same therefore they should all link to the same SKU. If ever a change is required because the printer or some other information has changed, only one update is required to the SKU instead of making the change three times on three products.

SKU Data

Every SKU has some common information that should be defined before creating a product:

  • SKU ID - This is a system generated number;
  • Name in [production language] - The system prompts for a SKU name in every production language selected on the Application Settings page;
  • SKU Code - This is a unique identifier for every product. It can be plain text or a code;
  • Fulfillment ID - This links to a pre-defined fulfillment partner name;
  • Metric Dimension - This display's the product's dimension in Metric units. If the application settings are set to display Metric, then these dimensions will appear on the order form;
  • Imperial (US) Dimension - This display's the product's dimension in Imperial (US) units. If the application settings are set to display Imperial (US), then these dimensions will appear on the order form;
  • Price from Fulfillment partner - This is a reference location to store the price a fulfillment provider charges you to ensure you in turn charge your clients more;
  • Currency ID - This links to a pre-defined currency which you use to purchase the products. Note: This is different than the currency specified on the price groups for the products you sell; and
  • Format - This links to information that defines how the product is rendered. This is detailed in the next section.

Product Format

During the SKU creation process, a dialogue appears for formatting the SKU.

Post Render Operations

This refers to what is done after a product is rendered. The product could be stored as a file, sent to an office printer or sent to a mobile printer.

Flatten and crop image

When rendering PDF order forms or other formats that mix bitmapped and vector output (files such as .cdr, .psd, .ai), you have the option to convert vectors to bitmaps and merge them with the bitmap background.

Pros Cons
This reduces file size by eliminating portions of image layers that are hidden under other image layers. In addition, text or vector items are merged with the bitmap background thereby eliminating more information and potentially reducing the file size further. Files that have been flattened are more likely to print as desired (there is no risk of the printer misaligning images or having issues with layer sequence, transparencies or shadow effects) and also print faster since no processing is done at the printer.

Vector text or images have a better resolution and crispness. If text legibility is a requirement, then do not flatten the text, (or use smart flattening - see next section).

File size may actually be increased if vector shapes are converted to large bitmaps. Experiment with your output to see what works best.

As an example, assume each of the square images below is 1MB in size for a total of 3 MB:

Three sample images - 3 MB

If the images are placed one on top of the other and then rendered to a PDF or PhotoShop file (any file that has layers), the file size of the following will continue to be 3 MB as the images are fully preserved in their layers:

Three sample images - unflattened - 3 MB

If the flattening option is activated, the output will look the same but the images have been merged and the file size is down to approximately 2 MB, since the total area has been reduced by a third.

Three sample images - flattened - 2 MB

Flattening also reduces the resolution to the required amount. This means that the flattened image above, at 300 dpi and the size presented, is actually 60 kb in size. This is a substantial savings. Flattening should be used if there are many overlapping images and if the native images sizes are larger than the containers they are placed in.

Flattening can also reduce preprocessing time before a printer starts printing.

Cropping ensures that the file size is restricted to the page dimensions. If cropping is not selected and the template's artwork goes beyond the border of the page, then the full artwork will be used for the final rendered image.

Color mode

Color mode selection is available when flattening is selected. Because your assembled product template may contain RGB and CMYK images, the system needs to know what color space the final output will be. This selector provides four options for the output product's color:

  • RGB - used when the output is destined for on-screen presentation or for printing by systems that are used to printing photo files (ex: files that come directly from a camera);
  • CMYK - used when the output is destined for print. Commercial printers generally expect CMYK color mode;
  • Grayscale - used for on-screen or print output. Ideal for black and white printers; and
  • Black and White - used for on-screen or print output. Ideal for black and white printers such as label makers.

Resolution (DPI)

Resolution selection is available when flattening is selected. This sets the resolution for flattened images. By default, most products being rendered for printing will use 300 dpi. Products destined for on screen use generally have a 72 dpi resolution. Higher quality printers may require 600, 1200 dpi or greater resolution.

Prints destined for dye-sublimation products (where considerable quality is lost in the sublimation process) can tolerate lower resolutions. Always test your rendered files with a variety of resolutions before going into production.

Anti-aliasing type

Anti-aliasing type is available when flattening is selected. This is a process used to blend the boundary pixels of a graphic. This reduces the aesthetically jarring effect of the sharp, step-like boundaries that appear in the aliased graphic (on the left) in the example below. Anti-aliasing is often used when vector graphics are converted to bitmaps and ensures there is a smooth transition with a bitmapped background.

Example shows non-anti-aliased text on the left and anti-aliased text on the right. Notice how the different colors of the anti-aliased version trick the eye into seeing a smoother image.

Option | Description | When to use
No anti-aliasing | This produces rougher edges and diagonal lines but is faster and takes less processing power and memory. | Should be avoided as it can create moiré patterns or rough looking edges on shapes and text. It is however recommended where artwork is developed for pixel precision and the developer wants the sharpest possible boundaries.
Normal anti-aliasing | This collects data points at a normal resolution and attempts to produce a good compromise between visual clarity and speed/processing. | This is recommended when vector images are converted to bitmaps. Also recommended for text.
Super sampling | In general, super sampling is a technique of collecting data points at a greater resolution (usually by a power of two) than the final data resolution. These data points are then combined (down-sampled) to the desired resolution, often just by a simple average. The combined data points have less visible aliasing artifacts (or moiré patterns). | The resulting image from super sampling may seem softer, and should also appear more realistic. However, while useful for photo-like images, this method may actually worsen the appearance of some types of line art or diagrams (making the image appear fuzzy), especially where most lines are horizontal or vertical.

Smart flattening

A file's size is reduced (example, a PDF order form page) if any overlapping bitmap elements on it are merged into one single bitmap - this is desirable. However, if text or vector art is converted to a bitmap and merged with the background, there is then a loss of quality in the text or vector art and the text is no longer selectable - this may be undesirable. The solution to this is the "smart flattening" feature developed by Krasbit. This process allows you to specify in the product template what elements (be they bitmap or vector) will be merged with a bitmapped background (flattened) and which items (such as text or vector shapes) remain unaffected. There are times where you may wish for artwork or logos to be flattened (so that they can not be extracted or copied) or maintained in their vector form (sharpness, extractability). Another example would be to flatten backgrounds to reduce file size but keep text as fonts so that it can be selected and copied.

To enable smart flattening, you must ensure your product template is properly configured. To do this:

  • Open your template in CorelDRAW;
  • Launch the Krasbit Template Utilities by clicking this icon [image] ;
  • Select the objects to mark or unmark for flattening; and
  • Click the appropriate icon in the Krasbit Template Utilities dialogue box.

The icons are described below.

Icon | Description
 | This icon provides information on a selected object.
 | This icon unmarks an object for flattening.
 | This icon marks an object for flattening.
 | This icon clears all object information.
 | This icon attaches a name to an object.
 | This icon clears any attached names from an object.

Convert text to curves

This converts fonts to graphical curves that define the outline of a character. You will not be able to select text and edit it anymore if converted to curves. However, curves will always display the same way as they are not dependent on any fonts being installed on someone's computer. If you are using unconventional fonts (such as barcodes) and your PDF, PhotoShop, Illustrator or CorelDRAW file will be widely distributed, it is recommended to convert text to curves.

If you have chosen "Flatten and Crop image" but have not selected "Smart Flattening", then the "convert text to curves feature" is not available as all text will be flattened. The table below summarizes the conditions necessary for "Convert text to curves" to be available.

Flatten and crop image | Smart flattening | Convert text to curves
 |  | Available as an option
 |  | Not available as an option
 | Not available as an option | Available as an option

Post render main printer

This section defaults to "Do Not Print" - this means that the product will be rendered and the electronic file saved in the output directory, but it will not be automatically sent to a printer.

The workspace provides an option to store the rendered images in a sub-directory named after the printer. This can be a convenient tool for storing all files to be sent to a photo printer in one directory, and all files to be sent to a dye-sublimation printer in another directory. To simplify this concept even further, printer aliases can be produced at Edit>Tables>Printers. As an example, you could create a printer alias named "mug" and an alias named "8x10". By selecting the output sub-directory option of "Target output printer" or "Target output printer and group ID", all of the rendered coffee mug products will be in a sub-directory called "mugs" and all the 8x10 photos in a sub-directory called "8x10". Since the aliases are not actually printers, nothing will be printed.

The menu contains all the printers that the current computer is connected to in addition to the printer aliases that you define. If the database was opened on another computer, it will also contain the list of printers accessible by the other computer.

Tip

If many different computers will be sharing the database, all printer addresses should be in a networkable format such as \\HP-ENVY\PowerDriver R SG7100DN (Ceramic). This will ensure that all renderers on the network can access the defined printers.

Post render mobile printer

This section is very similar to the Post render main printer but it allows you to specify a second printer for use when you are away from your office or lab.

Go to Tools>Settings>Renderer... and you will see the following option:

Lets say you have a very large photo printing system in your lab, but you bring a portable photo printer while shooting away events. It would be a lot of work to update every SKU to switch which printer to use. With Krasbit Chameleon Studio, you can specify one printer for the lab and one for mobile events and simply change the Renderer setting from "Print on main printer" to "Print on mobile printer". Now, all the SKUs will use the mobile printer.

If you use the same printer in your office/studio as you do when mobile, then set the same printer for Post render main printer and Post render mobile printer .

Export file format

Your products can be rendered and saved in may different file formats. For every format, the system is set to render using the "global export settings" which are a series of stored export options. If you need to adjust the output, use the "local export settings" option and adjust the parameters as necessary.

The file format selection also permits selection of the final product resolution. This sets the resolution for any images, vector based shapes or fonts from the product template.

File name format

Filename formats define how a rendered product is to be named. This has several advantages for finding files, sorting them or making them importable into other systems.

A section dedicated to describing file name formats can be found here.

Caution!

If the products associated with this SKU have more than one output page, ensure that you add %n to the file name format in order to number the pages. Otherwise, every page that is rendered will overwrite the previous one since they have the same name.

See Also
Introduction to the Inventory Screen
Products
Prices

Connectors

Connectors

©2016 Krasbit Technologies Inc.


Connectors

Connectors
Inventory Screen > Connectors > Connectors

Connectors can be accessed by clicking on View>Inventory Screen.... They are located on the lower left of the Inventory Screen.

Connectors are the link that take data, media or styles from within Krasbit Chameleon Studio and place them into the appropriate objects in a CorelDRAW template. They are what help the system get the right information into the right place.

As an example, connectors are used to get the correct group and player image, logo and name into the template on the left to produce the final artwork on the right.

Connectors are an essential component of the production process. The following sections describe in greater detail how t

See Also
Connector Components
Connector ID
Connector Name
Template Object Name
Priority
Default Value
Display Index
Optional Connectors


Connector Components

Connector Components
Inventory Screen > Connectors > Connector Components

A Connectors is created with the following parts:

  • Connector ID
  • Connector Name (in production language)
  • Template Object Name
  • Priority
  • Connector Type
    • CaseGroupName
    • CasePage
    • Color
    • FillColor
    • Int and uint
    • OutlineColor
    • Path_custom
    • Path_group
    • Path_photo
    • Path_sample
    • Text
    • Textstyle
    • Special
  • Equation (see Connector Type for more information)
  • Default Value
  • Display Index
  • Is Optional

A sample image can be associated to each connector on the Profiles tab. The connector image is not defined on the Inventory Screen. A separate editing table is used for this purpose and is described in greater detail here.

See Also
Casegroupname Connector
Casepage Connector
Color Connector
Fillcolor Connector
Int and uint Connector
Outlinecolor Connector
Path_custom Connector
Path_group Connector
Path_photo Connector
Path_sample Connector
Text Connector
Textstyle Connector
Special Connectors
Priority
Default Value
Display Index
Optional Connectors


Connector ID

Connector ID
Inventory Screen > Connectors > Connector ID

When creating a connector on the Inventory Screen, the system prompts for a unique name that is used to differentiate the connectors. Any connectors you create can be named in any way that you require but the names cannot have spaces. They can use any Unicode alphanumeric characters (a-z, A-Z, 0-9) along with underscores and dashes.

Connectors supplied by Krasbit Technologies follow a naming convention. The first part of the connector name refers to its purpose:

  • CONTACT - These are used for retrieving contact information and place them into text object in CorelDRAW templates such as shipping labels or administrative letters;
  • FIL - These are used for filing template objects with colors. These colors can come from pre-defined styles, from user preferences or default colors;
  • GRC - These refer to Group Cases. They are conditional statements such as if gender equals male, then color equals blue whereas if gender equals female, then color equals pink. The result of the conditional statement determines what artwork or text is used in the CorelDRAW template;
  • IDX - These refer to style indexes and the levels they are attached to. IDX_G_001 tells the system to use styles from the Group level whereas IDX_PG_001 tells the system to use Parent Group level style information. You will not need to create any more of these and should not delete the current ones. Only one IDX connector can be attached to a product;
  • IMG - These are image files that are attached to Profile Variables or Profile Fields (these can be at either the item or group level) and then placed into image objects in the artwork template;
  • LBL - These connectors are used as labels and retrieve pre-translated information from the Predefined Constants table.
  • TSL - These connectors extract style information and are used to format various objects in the CorelDRAW template;
  • TXT - These are text connectors used to import text strings and place them into text objects in the artwork template;
  • TXB - These are text connectors used to import text strings but whose ultimate purpose is to display the text as a barcode; and
  • VAR - These are variables based on data related to groups or items. Generally, a VAR connector is used to put data into another connector. An example of this would be combining a VAR connector that finds a persons first name with a VAR connector that finds a person's last name in a new connector that puts the full name text string into a text object in the CorelDRAW template.

The second part of the connector (optional) refers to who it applies to:

  • G - Applies to a Group level object;
  • PG - Applies to a Parent Group level object;
  • SPG - Applies to a Super Parent Group level object;
  • U - Applies to a "User" or "item";
  • PH - Applies to "PHotographer" which means your company;

Finally, the last part of the connector (optional) is a sequential system to distinguish similar entries:

  • 001,002,003 - a numbering system can be used;
  • A, B, C - a letter system can be used.

Some connector supplied by Krasbit have the following codes as part of the connector:

  • GS - Used for connectors linked to Green Screen images
  • NGS - Used for connectors linked to Non Green Screen
  • ALL - Used for connectors that are linked to either Green Screen and Non Green Screen images

Caution!

Once created, the connector ID can not be changed. If you need to change it, duplicate the connector, supply a new connector ID, and then delete the original. This is done intentionally to prevent the possibility of two connectors having the same ID.

See Also
Connector Components
Connector Name
Template Object Name
Priority
Default Value
Display Index
Optional Connectors


Connector Name

Connector Name
Inventory Screen > Connectors > Connector Name

When creating a connector on the Inventory Screen, the system prompts for a connector name in every production language selected on the Application Settings page. This is required so that the name of the connector can be displayed in plain text on the Profiles tab. The name displayed will be the currently selected application language.

Any alphanumeric character, including spaces, can be used for this name.

Tip

If creating many connectors, their names should start with a common word so the connectors can be grouped together when sorted alphabetically.

Other supporting information can be placed in brackets at the end.

See Also
Connector Components
Connector ID
Template Object Name
Priority
Default Value
Display Index
Optional Connectors


Template Object Name

Template Object Name
Inventory Screen > Connectors > Template Object Name

When creating a connector, the system prompts for a Template Object Name. The connector will "connect" data or media from Krasbit Chameleon Studio to an object with that name in the CorelDRAW template.

In the connector below, the Template Object Name is "imgLogo001". This means that whatever logo the system retrieves using the equation, it will be put into an CorelDRAW template object called "imgLogo001".

Everything created on a CorelDRAW template is termed an object. Using the "Object Manager" in CorelDRAW, one can see a list of all the objects - including the imgLogo001 object:

These objects can be renamed by right clicking on them and choosing "rename".

The Template Object Name must be reproduced exactly in the CorelDRAW template, including all capitalization. The name should not have any spaces and can use any alphanumeric character.

Several connectors can reference the same CorelDRAW object. For instance, a template object named "txtName" could have these connector types providing input:

  • textstyle - Provides the style information (font, colors); and
  • text - Provides the text.

As a result, the template object named "txtName" will be filled with text and this text will be formatted.

Another example would be a template object named "imgPhoto001" designed to receive a photo that could have these connector types:

  • path_photo - Provides an image from an item's photo directory; and
  • outlinecolor - Provides the color to be used for the border of the photo.

As a result, the template object named "imgPhoto001" will be filled with an image and will have a border of a defined color.

See Also
Connector Components
Connector ID
Connector Name
Priority
Default Value
Display Index
Optional Connectors


Priority

Priority
Inventory Screen > Connectors > Priority

When creating a connector, the system prompts for a "priority" number. This number determines the sequence in which connectors are processed.

  • Priority 0 is executed first and retrieves data that is in the Krasbit Chameleon Studio settings or Predefined Constants. This information is not editable on the Profiles tab.
  • Priority 1 is executed second and retrieves data from the items and groups or from the Profiles tab.
  • Priority 2 connectors will not be run until priority 0 and 1 are done. Example, a connector that joins an item's first name and last name must ensure that those connectors (the ones retrieving the first and last names) are processed first (priority 1) before it can put the two together (priority 2).

If you have a connector that relies on information from other connectors, it should be set to Priority 2. If you create a connector that uses the information from a connector that is set to Priority 2, then you must create it with a higher priority such as 3. There is no upper limit to the priority but the number must be an integer.

Priority 1 connectors are the only ones that can be edited on the Profiles tab.

See Also
Connector Components
Connector ID
Connector Name
Template Object Name
Default Value
Display Index
Optional Connectors


Casegroupname Connector

Casegroupname Connector
Inventory Screen > Connectors > Connector Types > Casegroupname Connector

A casegroup is used to check the value of a variable and then come up with another value. This final value is sent to a template object that has multiple options. Ex: a variable can have values "1", "2" or "3". The case group looks at the variable's value and if it is "1", adopts a new value of "red". If the variable is "2", then the casegroup's value is now "blue". If the variable is "3", then the casegroup is now "green". This final information is sent to the casegroup template object which now produces either a red, blue or green object.

Situations where this could be used:

  • You have a gender based artwork. If gender is "Female", then the groupcase specifies object "pink square". If gender is "Male", then the groupcase specifies object "blue square". If gender is "Unknown", then the groupcase specifies object "green square". The matching template object would then produce either a "pink square", a "blue square" or a "green square";
  • You have age based artwork. If an age variable is "Child", then the groupcase could specify object "Teddy Bear". If an age variable is "Adult", then the groupcase could specify object "Sports Car". The matching template object would then produce either a "Teddy Bear" or a "Sports Car";
  • You have country based artwork. If the country variable is "USA", then the groupcase specifies object "American Flag". If the country variable is "Australia", then the groupcase specifies object "Australian Flag". The matching template object would then produce either the American or Australian flag;
  • You want to display a gold, silver or bronze medal on a photo depending upon what a player won at an event. A new variable could contain "g", "s", "b" for the medals or "n" for none. The groupcase then sends "Gold", "Silver", "Bronze" or "Nil" to the appropriate template object.
  • You have language based artwork or text. If the language variable is "EN", then the groupcase specifies object "Hello". If the language variable is "FR", then the groupcase specifies object "Bonjour". The matching template object would then produce the image or the text object in the appropriate language;
  • If information for something is required, you want to determine if anything has been entered into the Krasbit Chameleon Studio database. The casegroup can test if the variable or profile is empty or contains information. It will then return a value that is interpreted by the CorelDRAW template object.
Appearance on Profile Page

The connector appears as a greyed out box. Since the casegroup result is a calculated one, it can not be edited.
Related Template Object

If the value obtained from the casegroup is going to be used in another connector equation and is not required in the CorelDRAW Template, then no template object must be specified.

If the value obtained from the casegroup is going to be used in the CorelDRAW Template, then a template object must be specified and an object with that name must be in the template. The object in the template must be configured as a "group" that contains the various options of the casegroup.

As an example, the template object called "grpCaseSize" is sent the value of a t-shirt size. If that value is "small", then the object group called "small" is used while "large" and "medium" are not. In this case, the Photo_001 object associated with the "small" group is filled in with a photo and the "Curve" object is rendered. The Photo_001 connector must be added to the product for this groupcase to work properly (otherwise, the Photo_001 object will be empty).

Caution!

A casegroup connector may require that other connectors be defined and attached to the product. In the example above, the connector that defines Photo_001 as a template object must be attached to the product for the casegroup to work.

Caution!

Caseroup template object names are case sensitive - they must be spelled out exactly as they are in the connector. Otherwise, the casegroup will not work.
Function within CorelDRAW Template | The Template Object is given the value of the connector and then makes a decision about what subordinate grouped object will be displayed.
Priority

Priority of this connector should be 2 or higher. Since the casegroup relies on other variables, these other variables must be processed first.

In the event any of the variables the casegroup is processing have priority 2, then the priority of this casegroup connector must be raised to a higher number.
Equation

The casegroup equations follow this format:

CASEGROUP(@VAR_U_003,en=hello,fr=bonjour,es=ola,null=hi,=hi)

In this case, the equation uses variable VAR_U_003 which tracks an item's language. Any variable can be substituted for @VAR_U_003. If the value of @VAR_U_003 is "en", then "hello" will be sent to the related template object.

Caution!

Note the inclusion of the "null" and empty option in the event that no language is recorded for the item. In this case, if no language is specified, the value "hi" is returned. Wherever there is the possibility that nothing will be entered, there should always be an option for an empty entry. Different databases (ex: SQLite or MySQL) interpret the groupcase instructions in their own way. To ensure compatibility between different databases, use both the "null" and the "empty" instructions (null=hi,=hi).

Another example:

CASEGROUP(@TXT_U_003,null=Empty,=Empty,%=Background)

In this case, the equation uses @TXT_U_003 which is a text string. If there is no text, it sends "Empty" to the template object. If there is some text, denoted by the "%" symbol, then the word "Background" is sent to the template object, likely to create a background object for the text.

Another example:

A CorelDRAW template is used to place a photo on a t-shirt. The photo must be a different size based on the size of the t-shirt. You have created a variable called VAR_SHIRT_SIZE that prompts for the client's shirt size and you can enter either S, M or L (small, medium or large) as an option.

A casegroupname connector with the following equation is created:

CASEGROUP(@VAR_SHIRT_SIZE,S=small,M=medium,L=large)

If the t-shirt's size has been recorded as "S", then the value "small" is sent to the related template object name.

In this case, we will supply a template object name of grpCaseSize. Within CorelDRAW, the template object appears like this:

If the grpCaseSize value is "small", then the small "Photo_001" object is filled with the photo. The other "Photo_001" objects (which are larger) are not filled.
Defaults | Defaults cannot be specified for casegroups. If the casegroup does not send a value to the CorelDRAW template, no objects are selected.
Is Optional | This connector can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Casepage Connector

Casepage Connector
Inventory Screen > Connectors > Connector Types > Casepage Connector

A CASEPAGE is used to check the value of a variable and then comes up with another value. This final value is sent to a CorelDRAW template which then renders products only on pages that have then name determined by the CASEPAGE. Ex: a variable can have values "1", "2" or "3". The CASEPAGE looks at the variable's value and if it is "1", then CorelDRAW will render all pages named "1". If the variable is "2", then CorelDRAW will render all pages named "2" and so on.

Note

The Lite Edition can not render multi page products. Only the first page matching the CASEPAGE equation will be rendered. There is no limit to the number of pages rendered for Pro and Enterprise Editions.

Situations where this could be used:

  • You create sublimated clothing of different sizes. A CorelDRAW template contains different sized shirts on different pages. Some shirts have extra parts and take up 2 or more pages for each size. Using a casepage and looking at a variable that contains an item's size, the appropriate pages of the template are rendered.
  • You create wedding albums. Some pages of a CorelDRAW template are named "groom", some are named "bride", some are named "all". You need to make different albums for all participants. The casepage looks at a variable that has as options the words groom/bride/all and then determines which pages are rendered for the album.
  • You have a brochure template where text in a different language appears on each page. The first page is name English, the second page is name French, the third page is named German. The casepage connector can look at an item's language and then render the appropriate page.
Appearance on Profile Page

The connector appears as a greyed out box. Since the casegroup result is a calculated one, it can not be edited.
Related Template Object

No Related Template Object needs to be specified as the casepage does not work with Template Objects.

Function within CorelDRAW Template | The casepage determines which pages of the CorelDRAW template are rendered.
Priority

Priority of this connector should be 2 or higher. Since the casegroup relies on other variables, these other variables must be processed first.

In the event any of the variables the casegroup is processing have priority 2, then the priority of this casegroup connector must be raised to a higher number.
Equation

The casepage equations follow this format:

CASEPAGE(@VAR_U_023,ys=youth,ym=youth,yl=youth,as=adult,am=adult,al=adult)

In this case, the equation uses variable VAR_U_023 which tracks an item's shirt size (youth small, youth medium, youth large, adult small, adult medium, adult large). If the value of @VAR_U_023 is any of the youth sizes, then all pages in the CorelDRAW template named "youth" will be rendered. Any variable can be substituted for @VAR_U_003.

Tip

Multiple CASEPAGE connectors can be used for one product. Example: you create sublimatable clothing and for a particular style, you have different sized shirts, pants and socks in one CorelDRAW template. You can have a CASEPAGE connector for the size of the shirt, a CASEPAGE connector for the pants and a CASEPAGE connector for the socks. The appropriate pages for shirts, pants and socks will be rendered.

Caution!

The CASEPAGE equation is case sensitive. This means that if the result of a CASEPAGE equation is "youth", but the page in the CorelDRAW template is named "Youth", then nothing will be rendered.

Caution!

If more than one page is to be rendered, ensure that the product's filename uses either the %n code to number the pages or the %t code to add a timestamp otherwise each newly rendered page will overwrite the previous one.
Defaults | Defaults cannot be specified for casepages. If the casepage does not send a value to the CorelDRAW template, no pages are rendered.
Is Optional | This connector can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Color Connector

Color Connector
Inventory Screen > Connectors > Connector Types > Color Connector

These connectors obtain a color, either from a style or some other location, and transmit the color information in RGB, CMYK or Grayscale to their related CorelDRAW template object in order to fill it with that color and to apply the same color to the outline. The "color" connector performs the job of both the "fillcolor" and "outlinecolor" connectors in that it applies the color information to both the inside and outline of the object.

Appearance on Profile Page

The connector's appearance changes depending upon the "priority" that it has been assigned.

A color connector with priority "1" can be editable on the Profiles tab and has this appearance:

Editing can be done with the eyedropper or color picker tool.

A color connector with a priority other than "1" is not editable on the Profiles tab and has this grayed-out appearance:
Related Template Object | A Template Object name must be specified.
Function within CorelDRAW Template | The Template Object is given the color value of the connector and it is then filled with that color and the color is applied to the outline.
Priority

There are two options with this connector:

  • Setting the priority to "1" enables editing of the color on the Profiles tab;
  • Setting the priority to any other number prevents the color from being edited on the Profiles tab.
Equation

The color equations can have several formats:

CASECOLOR(@VAR_U_003,1=RGB:255:0:0,2=CMYK:85:67:25:34,3=GRAY:65,null=GRAY:100,=GRAY:100)

In this example, the equation uses a CASECOLOR which is similar to the CASEGROUP discussed previously. It looks at the value of a variable, in this case @VAR_U_003, and then determines a related color. In the example above, if @VAR_U_003 equals "2", then the color sent to the template object is RGB:255:0:0. Any RGB, CMYK or GRAY value can be defined.

Exceptionally in this case, since the @VAR_U_003 connector must be resolved first, the number of the priority of the color connector when using this equation must be higher than the priority of the VAR_U_003 connector. Example, if the priority for @VAR_U_003 is "2", then the priority of the color connector must be "3" or higher (otherwise, @VAR_U_003 will not have been calculated yet when the CASECOLOR equation is run).

If the CASECOLOR connector must be editable on the Profiles page, it must have a priority of "1". This means that @VAR_U_003 must have a lower priority and be set to "0" or a negative number.

Caution!

Note the inclusion of the "null" and "empty" option in the event that no number is recorded for the @VAR_U_003 variable. In this case, if no value exists, the color GRAY:100 is returned. Wherever there is the possibility that nothing will be entered, there should always be an option for an empty entry.

COLORTHEME(@IDX_G_001,fill_color2)

In this case, the equation is relying on an IDX connector to determine what group level to take style information from. Every group in the hierarchy can have a style associated with it. By specifying IDX_G_001, fill_color2 information will be taken from the group's (G) style. By substituting IDX_PG_001, the information is taken from the Parent Group's (PG) style. Finally, if IDX_SPG_001 is used, then color information is taken from the Super Parent Group's (SPG) style. From the example above, fill_color2 can be replaced with any of the 10 color definitions available for a style.

There are four main style colors:

  • fill_color1;
  • fill_color2;
  • fill_color3; and
  • fill_color4.

In addition, the style defines three different texts that also have two color definitions each:

  • Text that contains text_color and has an outline defined by text_outline;
  • Link that contains link_color and has an outline defined by link_outline; and
  • Number that contains number_color and has an outline defined by number_outline.

Any one of the 10 colors defined in the color style can be used in the equation.

COLORTHEMEINDEX(49,fill_color1)

In this case, a direct reference is made to a color style and one of its component. The connector is looking at the color style with ID 49, and it is retrieving the color value defined for fill_color1. From the example above, fill_color1 can be replaced with any of the 10 color definitions available for a style.

There are four main style colors:

  • fill_color1;
  • fill_color2;
  • fill_color3; and
  • fill_color4.

Or any one of the six colors related to text definitions:

  • Text that contains text_color and has an outline defined by text_outline;
  • Link that contains link_color and has an outline defined by link_outline; and
  • Number that contains number_color and has an outline defined by number_outline.

This equation can be used to retrieve colors from a style, regardless of what color style has been assigned to a Group, Parent Group or Super Parent Group.

Go to Edit>Styles... to view the available color styles and obtain the style ID number required. It is located to the left of the style name.

PROFILEFIELD(item,@item_id)

In this case, you are prompted to select a color on the Production Screen/Profiles Tab using an eyedropper or color definition tool. This color is now associated with this item (student, player, parts, etc). This color is then sent to all related objects in the CorelDRAW template.

This equation is used when a color needs to be associated one-time with an item. An example would be to pick a color on an athlete's uniform and use this color as a border or a title for a photo print. In the example below, the selected color is applied to the title, the art on the bottom right and even small elements like the bracket in the text at the bottom.

Caution!

If using the PROFILEFIELD(item,@item_id) equation, the priority of the connector must be set to "1" so that the color is selectable on the Production Screen/Profiles Tab.

PROFILEFIELD(group,@group_id)

In this case, you are prompted to select a color on the Production Screen/Profiles Tab using a color picker or color definition tool. This color is now associated with the group (class, team, part collection, etc). This color is then sent to all related objects in the CorelDRAW template.

This equation is used when a color needs to be associated one-time with a group. An example would be to pick a prominent color from a group photo and use this color as the border for a photo print.

Caution!

If using the PROFILEFIELD(item,@item_id) equation, the priority of the connector must be set to "1" so that the color is selectable on the Production Screen/Profiles Tab.

Defaults A default value for a color can be specified. It is either an RGB, CMYK or GRAY color definition in these formats:

  • RGB:126:126:126 where the numbers range from 0 to 255
  • CMYK:50:50:50:50 where the numbers range from 0 to 100
  • GRAY:126 where the number ranges from 0 to 255
Is Optional | This connector can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Fillcolor Connector

Fillcolor Connector
Inventory Screen > Connectors > Connector Types > Fillcolor Connector

These connectors obtain a color, either from a style or some other location, and transmit the color information in RGB, CMYK or Grayscale to their related CorelDRAW template object in order to fill it with that color.

The "fillcolor" connector type is essentially the same as the "color" connector except that it applies the color only to the inside of a CorelDRAW object. See the "color" connector description for more information.

Tip

This connector is used to "fill" the inside of an object with a color. There are four colors defined within every style whose purpose is to "fill" objects. However, any color defined within a style can be used to fill an object. Example, the color within a style that defines number_outline could be used for the purpose of filling an object.


Int and uint Connector

Int and uint Connector
Inventory Screen > Connectors > Connector Types > Int and uint Connector

These connectors obtain a number and transmit the information to their related CorelDRAW template object in order to fill it with that number.

An "int" number refers to an integer and it can be a zero or a negative/positive number with no decimal places. A connector of this type could be used to store stock inventory (where a negative number would indicate a back order).

A "uint" number refers to an integer that can be a zero or a positive number with no decimal places. Uint does not store negative numbers. A connector of this type could be used to store a sport player's team number.

If a number contains dashes or special characters, then a "text" connector should be used.

Appearance on Profile Page

The connector's appearance changes depending upon the "priority" that it has been assigned.

A connector with priority "1" can be editable on the Profiles tab and has this appearance:

Note the up and down arrows to the right of the data entry box. Because these connectors are of type "int" or "uint", they can only be increased/decreased by integer numbers.

A connector with a priority other than "1" is not editable on the Profiles tab and has this grayed-out appearance:
Related Template Object | A Template Object name must be specified.
Function within CorelDRAW Template | The Template Object is given the numerical value of the connector and it is then filled with that number.
Priority

There are two options with this connector:

  • Setting the priority to "1" enables editing of the connector on the profiles tab;
  • Setting the priority to any other number prevents the connector from being edited on the Profiles tab.
Equation

The equations can have several formats:

PROFILEFIELD(item,@item_id)

In this case, you are prompted to select a number on the Production Screen/Profiles Tab. This number is now associated with this item (student, player, parts, etc). This number is then sent to all related objects in the CorelDRAW template.

PROFILEFIELD(group,@group_id)

In this case, you are prompted to select a number on the Production Screen/Profiles Tab. This number is now associated with the group (class, team, inventory, etc). This number is then sent to all related objects in the CorelDRAW template.

PROFILEVARIABLE(ITEM_NUMBER,@item_id)

In this case, a variable called "ITEM_NUMBER" was created on the Categories and Variables Screen. It was created as a uint or int variable. The connector provides a method to take the data collected for a variable and send it to a CorelDRAW template object.

Caution!

It is very important that the "variable type" of a variable match the "connector type". In some cases, nothing will happen as in the case where a variable is specified to be a number and the connector is a text field - this is permissible as numbers are a subset of text. In the case where the variable is an "int" number (negative, zero and positive integers) and the connector is a "uint" (zero and positive integers only), this could create problems as it could introduce negative numbers where there should be none.

Defaults | A default value for a number can be specified. Negative numbers should not be specified for uint connectors.
Is Optional | This connector can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Outlinecolor Connector

Outlinecolor Connector
Inventory Screen > Connectors > Connector Types > Outlinecolor Connector

These connectors obtain a color, either from a style or some other location, and transmit the color information in RGB, CMYK or Grayscale to their related CorelDRAW template object in order to outline it with that color.

The "outlinecolor" connector type is essentially the same as the "color" connector except that it applies the color only to the outline of a CorelDRAW object. See the "color" connector description for more information.

Tip

This connector is used to "outline" the perimeter of an object with a color. There are four colors defined within every style whose purpose is to "outline" objects. However, any color defined within a style can be used to outline an object. Example, the color within a style that defines number_outline could be used for the purpose of outlining an object.


Path_custom Connector

Path_custom Connector
Inventory Screen > Connectors > Connector Types > Path_custom Connector

These connectors are used to retrieve photos, images or artwork stored in the media/custom/workspace directory.

Note

There are three path types:

  • path_custom - retrieves photos, images or artwork stored in the custom directory (media/custom/workspace). This directory is used to store company branding logos, watermarks, UPC and QR codes;
  • path_group - retrieves photos, images or artwork stored in the groups directory (media/groups/workspace). This directory is used to store photos/images/artwork related to groups (whether the group is G, PG or eSPG can be specified in the connector equation) such as class/team photos or group logos. The directory is subdvided into further directories named after the group's "group ID"; and
  • Path_photo - retrieves photos, images or artwork stored in the photos directory (media/photos/workspace). This directory is used to store photos/images/artwork related to items (people or objects). The directory is subdvided into further directories named after the item's "item ID".

An example of a path_custom connector would be retrieving the company logo that has been stored when you customized the system with your branding.

There are four connectors that come pre-installed and should not be deleted. Their template object names should also not be changed:

Appearance on Profile Page

Connectors of type "path_custom" are set to priority of "0". This means they are not editable on the Profiles tab and they have a grayed out appearance:

The profile values (the photos, images or artwork) can not be changed on the Profiles tab. To make changes, go to Edit>Company Profile>Branding and update the information there.
Related Template Object

A Template Object name must be specified. Factory supplied connectors of type path_custom connect to Template Objects that begin with "img".
Function within CorelDRAW Template | The Template Object is filled with the photo, logo or artwork retrieved by the connector. This object should ideally have the same aspect ratio as the photos, logos or artwork that it will contain. The Krasbit Template Utilities within CorelDRAW can be used to specify how the photo, logo or artwork fills the Template Object.
Priority

The priority of this connector should always be 0. It is system level information and should be processed first.
Equation

The equations can have several formats:

TABLECOLUMN(settings,setting,idkey,imgOwnerLogo_@lang)

This connector is the only one of the pre-installed set that uses a language reference. In this case, using the "@lang" will retrieve the logo that was defined for the application language in use. Changing the connector to "@clang" will retrieve the company logo that is based on the language of the item. These logos are added at Edit>Company Profile>Branding.

Example: you have an English and a French version of your company logo. You want to use the English one for English volleyball players, and you want to use the French logo for French volleyball players. Use @clang at the end of the connector to retrieve the logo related to the player's language.

TABLECOLUMN(settings,setting,idkey,imgOwnerLogoQR)

This connector retrieves the QR code that is defined at Edit>Company Profile>Branding.

TABLECOLUMN(settings,setting,idkey,imgOwnerLogoUPC)

This connector retrieves the UPC code that is defined at Edit>Company Profile>Branding.

TABLECOLUMN(settings,setting,idkey,imgWatermark)

This connector retrieves the Watermark that is defined at Edit>Company Profile>Branding.
Defaults | Krasbit Chameleon Studio 2 comes pre-loaded with logos, QR & UPC Codes and watermarks for the Anytown Photo Studio. Replace these with your own artwork by clicking on Edit>Company Profile>Branding. A default cannot be specified in the connector definition.
Is Optional | These connectors can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.

Tip

The company logos that these connector retrieve should rarely change. The Display Index should be set to a high number so that these connectors appear at the bottom of the screen as they are less important than connectors that have information that needs to be updated on the Profiles tab.


Path_group Connector

Path_group Connector
Inventory Screen > Connectors > Connector Types > Path_group Connector

These connectors deal with photos, images, logos and artwork for groups.

Note

There are three path types:

  • path_custom - retrieves photos, images or artwork stored in the custom directory (media/custom/workspace). This directory is used to store company branding logos, watermarks, UPC and QR codes;
  • path_group - retrieves photos, images or artwork stored in the groups directory (media/groups/workspace). This directory is used to store photos/images/artwork related to groups (whether the group is G, PG or eSPG can be specified in the connector equation) such as class/team photos or group logos. The directory is subdvided into further directories named after the group's "group ID"; and
  • Path_photo - retrieves photos, images or artwork stored in the photos directory (media/photos/workspace). This directory is used to store photos/images/artwork related to items (people or objects). The directory is subdvided into further directories named after the item's "item ID".

Appearance on Profile Page

Connectors of type "path_group" are generally set to priority of "1" and are therefore editable on the Profiles tab:

The profile values (the photos, logos or artwork) can be changed on the Profiles tab by clicking the Browse button or dragging and dropping from the ribbons or an external application.
Related Template Object | A Template Object name must be specified. Factory supplied connectors of type path_group connect to Template Objects that begin with "img".
Function within CorelDRAW Template | The Template Object is filled with the photo, logo or artwork retrieved by the connector. This object should ideally have the same aspect ratio as the photos, logos or artwork that it will contain. The Krasbit Template Utilities within CorelDRAW can be used to specify how the photo, logo or artwork fills the Template Object.
Priority

The priority of this connector should always be 1. This enables the connector to be editable on the Profiles tab.
Equation

There are two ways to retrieve group images: either by connecting to a variable that is of type path_group, or connecting to a profile that has media associated with it.

Variable Method

As an example, the GROUP_LOGO_001 variable exists on the Categories and Variables Screen. It is a variable of type path_group set to be on the "group" level. If this is associated with a group, then a logo can be connected to the group. The following equations can then retrieve that logo and send it to an object in the CorelDRAW template.

PROFILEVARIABLE(GROUP_LOGO_001,@group_id)

The same equation can be used to retrieve a logo attached to the Parent Group by adding <<1

PROFILEVARIABLE(GROUP_LOGO_001,@group_id<<1)

Extending this concept, the equation can retrieve the logo attached to the Super Parent group by adding <<2

PROFILEVARIABLE(GROUP_LOGO_001,@group_id<<2)

If a variable such as SPONSOR_LOGO was created (type is path_group) and connected to a Parent Group, the equation to retrieve it is:

PROFILEVARIABLE(SPONSOR_LOGO,@group_id<<1)

Profile Method

Images are connected to profiles on the Profiles tab when producing products. The images are stored in the media/groups/workspace directory in a subdirectory consisting of the group ID number. Krasbit Chameleon Studio will remember the profiles for future use. The following equation will prompt for a logo or image on the Profiles tab and send it to the CorelDRAW template.

PROFILEFIELD(group,@group_id)

The same equation can be used to retrieve fields at the Parent Group and Super Parent Group level by adding <<1 and <<2 such as in this example:

PROFILEFIELD(group,@group_id<<1)

Product Based Profile Method

Assume you created a photo product for use with sports photography. If photographing a soccer player, you want a stadium background. If photographing a hockey player, you want an ice rink background. One way to do this would be to create two different products and have each reference a different CorelDRAW template containing a different background photo. Alternatively, one can create two different products, reference the same CorelDRAW template, but have the background change based on the group to which the product belongs.

This means that the photo product connected to a soccer group would use an image stored against the soccer group, and the photo product connected to a hockey group would use an image stored against the hockey group. This is accomplished through the use of an "igroup_id".

In the following equation:

PROFILEFIELD(group,@igroup_id)

Krasbit Chameleon Studio prompts for an image and then stores it in the media/groups/workspace folder that is related to the group to which the product has been assigned. If the product has been assigned to group 23 which represents "soccer", then the background image being prompted for will be stored in media/groups/workspace/23.

The <<1 and <<2 formatting to move up a group or two can also be applied to these formulas.

The PROFILEVARIABLE method is generally used for item and group photos, such as for teams or school classes. The PROFILEFIELD method with "igroup" is used for foreground and background artwork on products that will change between different groups. For example, you can have a product template that is designed for sports. A connector such as IMG_GF_001 is used to prompt for foreground images and the profile for a basketball group could have an image of a basketball, the profile for a soccer group could have an image of a soccer ball. This allows the same template to be customized for different sports.

The Variable method prompts for images on the Groups and Profiles tab, the Profile method prompts for images on the Profiles tab only.
Defaults | A default value cannot be specified.
Is Optional | These connectors can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Path_photo Connector

Path_photo Connector
Inventory Screen > Connectors > Connector Types > Path_photo Connector

These connectors deal with images, logos and photos for items.

Note

There are four path types:

  • path_custom - retrieves photos, images or artwork stored in the custom directory (media/custom/workspace). This directory is used to store company branding logos, watermarks, UPC and QR codes;
  • path_group - retrieves photos, images or artwork stored in the groups directory (media/groups/workspace). This directory is used to store photos/images/artwork related to groups (whether the group is G, PG or eSPG can be specified in the connector equation) such as class/team photos or group logos. The directory is subdvided into further directories named after the group's "group ID"; and
  • Path_photo - retrieves photos, images or artwork stored in the photos directory (media/photos/workspace). This directory is used to store photos/images/artwork related to items (people or objects). The directory is subdvided into further directories named after the item's "item ID".

Appearance on Profile Page

Connectors of type "path_photo" are generally set to priority of "1" and are therefore editable on the Profiles tab:

The profile values (the photos, logos or artwork) can be changed on the Profiles tab by clicking the Browse button or dragging and dropping from the ribbons or an external application.
Related Template Object | A Template Object name must be specified. Factory supplied connectors of type path_photo connect to Template Objects that begin with "img".
Function within CorelDRAW Template | The Template Object is filled with the photo, logo or artwork retrieved by the connector. This object should ideally have the same aspect ratio as the photos, logos or artwork that it will contain. The Krasbit Template Utilities within CorelDRAW can be used to specify how the photo, logo or artwork fills the Template Object.
Priority

The priority of this connector should always be 1. This enables the connector to be editable on the Profiles tab.
Equation

There are two ways to retrieve item images: either by connecting to a variable that is of type path_photo, or connecting to a profile that has media associated with it.

Variable Method

As an example, the ITEM_PHOTO_001 variable exists on the Categories and Variables Screen. It is a variable of type path_photo set to be on "item" level. If this is associated with an item, then a photo can be connected to the item. The following equations can then retrieve that photo and send it to an object in the CorelDRAW template.

PROFILEVARIABLE(ITEM_PHOTO_001,@item_id)

Profile Method

Images are connected to profiles on the Profiles tab when producing products. The images are stored in the media/photos/workspace directory in a subdirectory consisting of the item ID number. Krasbit Chameleon Studio will remember the profiles for future use. The following equation will prompt for a photo on the Profiles tab and send it to the CorelDRAW template.

PROFILEFIELD(item,@item_id)

Both the Variable and Profile method are acceptable ways to collect and store media for items.

The variable method requires that a path_photo variable first be created and connected to the appropriate group category. It has the advantage that the photo can be connected to the item on the Groups and Profiles tab.

The Profile method collects the media on only the Profiles tab.
Defaults | A default value cannot be specified.
Is Optional | These connectors can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Path_sample Connector

Path_sample Connector
Inventory Screen > Connectors > Connector Types > Path_sample Connector

Not currently in use.


Text Connector

Text Connector
Inventory Screen > Connectors > Connector Types > Text Connector

These connectors deal with text from various sources in Krasbit Chameleon Studio. There are many different ways to collect text and send it to the CorelDRAW template. Note that the different methods have varying requirements for the priority number.

Appearance on Profile Page

The connector's appearance changes depending upon the "priority" that it has been assigned.

A connector with priority "1" can be editable on the Profiles tab and has this appearance:

Some text connectors are the result of joining other text variables and are not editable (see grayed out background below of the TXT_U_001 connector). The full name below is derived by combining the first and last name in a connector and it is not editable. To edit the full name, the individual elements (first and last name) must be edited.
Related Template Object | A Template Object name must be specified.
Function within CorelDRAW Template | The Template Object is given the text value of the connector and it is then filled with that text.
Priority

There are two options with this connector:

  • Setting the priority to "1" enables editing of the connector on the Profiles tab;
  • Setting the priority to any other number prevents the connector from being edited on the Profiles tab.
Equation

The equations can have several formats:

PROFILEFIELD(item,@item_id)

The priority for these connectors must be 1 to enable it to be edited on the Profiles tab. Otherwise, no data entry is possible.

In this case, you are prompted to add a text on the Production Screen/Profiles Tab using a blank text box. This text is then sent to all related object in the CorelDRAW template.

This equation is useful when there is a requirement for text that cannot be imported or gathered in advance of an event. This information is entered at the time a product is about to be rendered. An example would be a runner's final marathon time or the medal type an athlete won at the end of the event.

If creating player trading cards, certain information like a player's height and weight or who their favorite professional player is are examples information that is usually not gathered in advance and is only provided if the player is ordering a product. When rendering the product, Krasbit Chameleon Studio will prompt for this information.

PROFILEVARIABLE(GROUP_VARIABLETEXT1,@group_id)

The priority for these connectors can be any number. If it is required to edit it on the Profiles tab, it should be set to 1.

As an example, the GROUP_VARIABLETEXT1 variable (type = text) exists on the Categories and Variables Screen. If this is associated with a group, then a text can be connected to the group. The preceding equation can then retrieve that text and send it to an object in the CorelDRAW template.

The same equation can be used to retrieve the text attached to the Parent Group by adding <<1

PROFILEVARIABLE(GROUP_VARIABLETEXT1,@group_id<<1)

Extending this concept, the equation can retrieve the text attached to the Super Parent group by adding <<2

PROFILEVARIABLE(GROUP_VARIABLETEXT1,@group_id<<2)

By default, Krasbit Chameleon Studio will retrieve the text in the application language. If you have defined several production languages, the addition of @clang will retrieve the text in the item's language. For instance, you have defined these texts for GROUP_VARIABLETEXT1:

If your application language is English (en), then Krasbit Chameleon Studio would use "Winter Season". If @clang has been added to the equation and if the item has language "French" (fr), then PROFILEVARIABLE(GROUP_VARIABLETEXT1,@group_id,@clang) will send "Saison Hivernale" to the CorelDRAW template. If the item has no language defined, then the application language text ("en" in this case) is used and "Winter Season" is sent to the template.

Variables at the item level can also be used. The following is an example:

PROFILEVARIABLE(ITEM_FIRSTNAME,@item_id)

Consult the variables section of the Categories and Variables Screen to see all the available variables (of type text, number, date, variable character, int/uint or enum) you can use.

The Predefined Constants section of the Categories and Variables Screen has the ability to store text translations for future retrieval. Assume that English, French and German are defined as production languages. Further assume that you have a title on a sport player trading card that you want to have appear in the player's (item) language. In this case, the title is "Who is your favourite player?". The Predefined Constants would be set up like this:

The equation is TRANSLATION(enums,enum_name,QUESTION_FAVORITE_PLAYER,@clang)

The priority for these connectors can be any number but should be set to 1 if it is necessary to edit on the Profiles tab.

The system will look at the item's language and then retrieve the appropriate translation for the "QUESTION_FAVORITE_PLAYER" predefined constant. If no language is specified for the item, then the application language is used. The application language value becomes the default value unless a default value is defined in the connector definition.

JOINTEXT(EXCLUSIVE INTERVIEW:,@SPACE,@VAR_U_001,@SPACE,@VAR_U_002)

Jointext is used to put text and variables together. The preceding is an example where some fixed text (EXCLUSIVE INTERVIEW:) is followed by a space, then the first name and then the last name of an item.

All data elements must be preceded by and followed by a comma. To produce a comma as part of the final text, use ,@CHR44_, (preceded by and followed by a comma).

Note the use of @SPACE to insert a space. There are several similar codes to be used for other typographic effects:

  • @lang - application language as set in the application settings ([Tools>Settings>Application]);
  • @clang - item language, as set on Production Screen/Groups Tab, if no item language specified, then application language is used;
  • @item_id - the item's item_id number;
  • @product_id - the product's product_id name;
  • @CHR44_ - comma, note the underscore character after the number;
  • @SPACE - space;
  • @TAB - tab;
  • @CR - Carriage Return;
  • @LF - Line Feed;
  • @CRLF - Carriage Return and Line Feed (Windows line break)
  • @group_id<<n - the group ID of the item. Adding "<<" followed by the number 1 provides the Parent Group. Other numbers go higher up the group hierarchy; and
  • @ + any defined variables, for example @ITEM_LASTNAME - Krasbit Chameleon Studio will retrieve the value of variable @ITEM_LASTNAME if it exists, if it does not exist, then it will use "@ITEM_LASTNAME" as a text entry.

TABLECOLUMN(settings,setting,idkey,txtWebHomePage_@lang)

TABLECOLUMN(settings,setting,idkey,txtWebHomePage_@clang)

This method is used to extract text from a table in the database. In the example above, the information is taken from the "settings" table. The system looks at the table and extracts your website's homepage - the way you entered it into the branding at Edit>Company Profile>Branding.

The connector can use either "@lang" or "@clang". The former will use the web page entered for the application language, the latter for the item's production language.

TABLECOLUMN(items,notes,item_id,@item_id)

In the example above, the information is taken from the "Items" table. The system looks at the table and extracts the information in the notes field for the item with a certain item_id. The item ID used is the one defined at the last part of the equation.

The same process can be applied to finding information in the groups table.

TABLECOLUMN(groups,price_level,group_id,@group_id)

In the above equation, the connector looks at the groups table and for the group_id provided, it finds the related price level. This is the information the connector stores and passes on to the CorelDRAW template.

Every item in a group can have a related contact. For printing shipping labels or invoices, this contact information must be sent to a CorelDRAW template. The TABLECOLUMN method is used in a two stage process:

First, a priority 0 connector is created:

This connector takes the item ID, and then looks up the corresponding contact_id on the items table. It stores this value. Note there is no Template Object specified as this information is not sent to a CorelDRAW template.

Next, connectors are created that rely on the contact ID information from the CONTACT_CONTACT_ID connector:

These connectors must have priority 1 or higher - they must be resolved after the priority 0 connector has executed and found its information.

In each of these connectors, the system looks at the contacts table, and for the specified contact_id (provided by KRA_ITEM_CONTACT_ID), it returns the appropriate information (billing city, billing state, billing ZIP/Postal Code).

CASETEXT(@VAR_U_003,en=Players,fr=Joueurs,pl=Gracze,=Players,Null=Players)

Previously, you read about CASEGROUPS, CASEPAGE and CASECOLOR equations. The CASETEXT connector is similar in that it checks a variable's value and then returns an answer. In the above example, VAR_U_003 corresponds to an item's language. If the language is English and VAR_U_003 is "en", then the value sent to the CorelDRAW template is "Players". If the language is French, then the value sent is "Joueurs".

Any variable can be used and any options tested. If the variable is not using predefined constants, then the equation should have an option for when the variable is empty. In this example, In the event no language is specified the following texts ensures that a value is sent to the template: "=Players,Null=Players". Something similar is required in your equation if there is the possibility that the variable could be empty or not matching the available options in the equation.
Defaults | A default value can be specified.
Is Optional | This connector can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Textstyle Connector

Textstyle Connector
Inventory Screen > Connectors > Connector Types > Textstyle Connector

The color style page stores text formatting information for three types of text:

  • Text - this is used for any text associated with the style;
  • Number - this is used for any numbers, such as a sport player's uniform; and
  • Link - this is used for all website addresses or promotional text.

A fillcolor and outlinecolor connector each retrieve only color information from a style. A textstyle connector can retrieve the font, fill color, outline color and outline width information for any color style and transmit all this information to a text object in a CorelDRAW template.

Appearance on Profile Page

Textstyles should be set to priority "2" and are therefore not editable on the Profiles tab.

The textstyle connector displays the fill and outline color, the font and the font outline width.
Related Template Object | A Template Object name must be specified.
Function within CorelDRAW Template | The Template Object is given the text formatting information to change any text. The connector information takes precedence over any formatting applied within the CorelDRAW template.
Priority

There are two options with this connector:

  • Setting the priority to "1" enables editing of the connector on the profiles tab;
  • Setting the priority to any other number prevents the connector from being edited on the Profiles tab.
Equation

A textstyle connector equation has this format:

TEXTSTYLE(@IDX_G_001,text)

The IDX_G_001 connector is used to indicate that the style attached to the Group is to be used. This can be substituted with IDX_PG_001 to use the Parent Group or with IDX_SPG_001 to use the Super Parent Group's style.

Caution!

If using a Textstyle connector, it is mandatory that either the IDX_G_001, IDX_PG_001 or IDX_SPG_001 connectors be attached to the product. This is required so that the textstyle connector knows which style to reference for its font information.

The "text" portion of the equation can be replaced with "number" or "link" to send either the Text Style, Number Style or the Link Style information to the object in the CorelDRAW template.

A special case of the TEXTSTYLE equation is one referring to your company's color style. This color style is the first one in the style list (color style #1).

  • PTEXTSTYLE(text) - sends the photograher's text style (font, colors, outline width) to the CorelDRAW template;
  • PTEXTSTYLE(number) - sends the photograher's number style (font, colors, outline width) to the CorelDRAW template; and
  • PTEXTSTYLE(link) - sends the photograher's link style (font, colors, outline width) to the CorelDRAW template;
Defaults | A default value cannot be specified.
Is Optional | This connector can be made optional. See Profiles Tab for more information on the benefits of setting connectors to be optional.


Special Connectors

Special Connectors
Inventory Screen > Connectors > Connector Types > Special Connectors

There are three connectors that are factory supplied and should never be deleted:

  • IDX_G_001 (used for linking to the Group level style information);
  • IDX_PG_001 (used for linking to the Parent Group level style information); and
  • IDX_SPG_001 (used for linking to the Super Parent Group level style information).

These connectors are pre-defined and are used to indicate to Krasbit Chameleon Studio what style is associated with a group level (Group, Parent Group, Super Parent Group). This connector is mandatory in every product definition where style information attached to a group is used. These are essentially uint connectors that collect a positive number (the number associated with a style).

Appearance on Profile Page

The connector's appearance changes depending upon the "priority" that it has been assigned.

A uint connector with a priority other than "1" is not editable on the Profiles tab and has this grayed-out appearance (this is the factory setting as these connectors are usually not changed on the Profiles tab):

A uint connector with priority "1" can be editable on the Profiles tab and has this appearance:

Making a change to the style number on the Profiles tab will update the group's style information for future use. Because these special connectors are of type "uint", they can only be increased/decreased by integer numbers. Do not select zero or negative numbers as these do not reference any styles.
Related Template Object | There is no related template object required. This connector is used to tell Krasbit Chameleon Studio what style it should retrieved for different group levels (Group, Parent Group, Super Parent Group).
Function within CorelDRAW Template | Template Objects are given the style information related to the appropriate group.
Priority

There are two options with this connector:

  • Setting the priority to "1" enables editing of the style index on the Profiles tab;
  • Setting the priority to any other number locks prevents the style index from being edited on the Profiles tab.
Equation

The IDX equations can have several formats:

TABLECOLUMN(groups,ct_id,group_id,@group_id)

This equation retrieves the style number associated with the Group (G).

TABLECOLUMN(groups,ct_id,group_id,@group_id<<1)

This equation retrieves the style number associated with the Parent Group (PG) (one higher than the Group in the Group hierarchy).

TABLECOLUMN(groups,ct_id,group_id,@group_id<<2)

This equation retrieves the style number associated with the Super Parent Group (SPG) (two higher than the Group).

If you are working with other group levels beyond G, PG and SPG, simply substitute the appropriate number to indicate how many levels above the group you require the system to retrieve the style information. Bear in mind that any groups identified as "dividers" are not counted as part of the hierarchy.

Caution!

A negative number can not be used to specify lower groups in the hierarchy. As a group may contain several subgroups, there is no way for Krasbit Chameleon Studio to know which subgroup's style to use.
Defaults

A default style value can be specified. Here is the priority order of styles

  • If a style has been specified for a group, this will be used.
  • If no style has been specified for a group and a connector has a default style value, the connector default is used.
  • If the group does not have a style associated with it and the connector does not have a default, then the default style defined on the Color Styles page is used.

If a group does not have a style associated with it and no default style has been specified for the connector, a red border will appear on the connector entry on the Profiles tab. The color information of the default color style will be transmitted to the CorelDRAW template.

If a non-existent style is referenced (example, a valid style is chosen for a group but that style is subsequently deleted), then the colors of the default style will be substituted. Font information from the default style is not transmitted and will appear as a red error on the Profiles tab.
Is Optional | When this connector is used, it is always mandatory. If style information based on group levels is required, this connector is mandatory and it must reference an existing style. Failure to add this connector to the product definition will leave Krasbit Chameleon Studio without information on what style (Group's style, Parent Group's style, etc.) to use for colors or fonts.


Default Value

Default Value
Inventory Screen > Connectors > Default Value

When creating a connector on the Inventory Screen, the system prompts for a connector's default value. A default value can be provided to save time entering information on the Profiles tab.

Example, if a connector prompts to know if a hockey player shoots "left" or "right", the default could be set to "right" as this is the way most players shoot. The value only needs to be changed when a player shoots left.

Default values can be entered for these types of connectors:

  • Color
  • FillColor
  • Int and uint
  • OutlineColor
  • Text

See Also
Connector Components
Connector ID
Connector Name
Template Object Name
Priority
Display Index
Optional Connectors


Display Index

Display Index
Inventory Screen > Connectors > Display Index

When creating a connector on the Inventory Screen, the system prompts for a Display Index. This Display Index determines the order in which connectors appear on the Profiles tab.

Every new connector is assigned the default Display Index value of 100. Based on how important the connector is, this Display Index should be adjusted up or down to control the position of the connector on the screen. Ideally, connectors that are likely to change often should have lower numeric values so that they appear at the top of the screen. This way, when viewing the Profiles tab, the connectors that are subject to change or require input are at the top and this reduces the requirement to scroll down the page.

The ordering priority of factory supplied connectors is based on the likelihood that information will change from one item to the next. Those connector likely to change often and requiring some form of input are placed at the top of the page and have a low Display Index while those that will never change are at the bottom of the page and have a high Display Index.

Connectors for Items have the lowest Display Index and are followed by connectors for groups, followed by parent group, super parent group, template items and finally your company info (which will likely never change).

The following table shows the default profile index:

Profile Index | Connector | Description
110 | IMG_U_001 | All 001 images (All, GS, NGS and ID card)
120 | IMG_U_002 | All 002 images (All, GS, NGS and ID card)
130 | IMG_U_003 | All 003 images (All, GS, NGS and ID card)
140 to 180 | IMG_U_004 to 008 | All 004 to 008 images (All, GS, NGS)
190 | IMG_PRF_001 | User’s photo preference 1. These connectors are another series of images that can be connected to an item (user).
19 | IMG_PRF_002 | User’s photo preference 2
201-204 | FIL_PRF_001 to FIL_PRF_004 | User’s color preference 1 to 4. These are colors assigned to an item that are not related to any pre-defined styles.
210 | IMG_G_001 | All 001 group photos
220 | IMG_G_002 | All 002 group photos
230 | IMG_G_003 | All 003 group photos
250 | IMG_L_G | All group level logos
260 | IMG_L_PG | All parent group level logos
270 | IMG_L_SPG | All super parent group level logos
310-311 | VAR_U_001, VAR_U_002 | User’s first and last name
315 | TXT_U_001, TXT_U_002, TXT_U_003, TXB_U_001 | Various combinations of first and last name
320 |  | Contact information
330 |  | Contact billing information
340 |  | Contact shipping information
350 | TXT_U_005, TXT_U_007, TXT_U_008, VAR_U_003, VAR_U_005, VAR_U_006, VAR_U_007 | User’s position, number and age
355 | GRC_003, TXT_U_004 | Position and number based groupcases
350 | Connectors beginning with VAR | Other user variables
360 | GRC_001, GRC_002, GRC_003, GRC_004 | Custom jointexts, groupcases based on above variables.
380 |  | Other user profile fields
390 | IMG_AD_G_001, IMG_AD_PG_001, IMG_AD_SPG_001 | Sponsor artwork at G, PG and SPG level
410 | TXT_G_002 | Group name
420 | TXT_G_001, TXT_G_003, TXT_G_004 | Group home page, variable text 1 & 2
430 | TXT_PG_002 | Parent Group name
440 | TXT_PG_001, TXT_PG_003, TXT_PG_004 | Parent Group home page, variable text 1 & 2
450 | TXT_SPG_002 | Super Parent Group name
460 | TXT_SPG_001, TXT_SPG_003, TXT_SPG_004 | Super Parent Group home page, variable text 1 & 2
470 | TXT_GPG_001 | Jointexts based on G, PG and SPG info
500 | IDX_G_001 | Group Style
510 | FIL_G_001, FIL_CCG_001 | FillColor 1 based on group, fixed theme or groupcases
520 | FIL_G_002, FIL_CCG_002 | FillColor 2 based on group, fixed theme or groupcases
530 | FIL_G_003, FIL_CCG_003 | FillColor 3 based on group, fixed theme or groupcases
540 | FIL_G_004, FIL_CCG_004 | FillColor 4 based on group, fixed theme or groupcases
590 | TSL_G_001 to TSL_G_012 | Text styles based on G (Group)
600 | IDX_PG_001 | Parent Group Style
610 | FIL_PG_001 | FillColor 1 based on PG, fixed theme or groupcases
620 | FIL_PG_002 | FillColor 2 based on PG, fixed theme or groupcases
630 | FIL_PG_003 | FillColor 3 based on PG, fixed theme or groupcases
640 | FIL_PG_004 | FillColor 4 based on PG, fixed theme or groupcases
69 | TSL_PG_001 to TSL_PG_012 | Text styles based on PG (Parent Group)
700 | IDX_SPG_001 | Super Parent Group Style
710 | FIL_SPG_001 | FillColor 1 based on SPG, fixed theme or groupcases
720 | FIL_SPG_002 | FillColor 2 based on SPG, fixed theme or groupcases
730 | FIL_SPG_003 | FillColor 3 based on SPG, fixed theme or groupcases
740 | FIL_SPG_004 | FillColor 4 based on SPG, fixed theme or groupcases
790 | TSL_SPG_001 to TSL_SPG_012 | Text styles based on SPG (Super Parent Group)
800 | IMG_P * 001 | Foreground images 1
810 | IMG_P * 001 | Background images 1
820 | IMG_P * 002 | Background images 2
830 | IMG_P * 003 | Background images 3
840 | IMG_P * 004 | Background images 4
870 | IMG_P_F001, IMG_P_F002 | Foreground images
910 | IMG_PH_001 | Company logo
920 | IMG_PH_002 | Company QR Code
930 | IMG_PH_003 | CompanyUPC Code
930 | IMG_PH_004 | Company Watermark
950 | TXT_PH_001, TXT_PH_002 | Company Web Address
960 | TSL_PH_001 | Style for Company Web address

See Also
Connector Components
Connector ID
Connector Name
Template Object Name
Priority
Default Value
Optional Connectors


Optional Connectors

Optional Connectors
Inventory Screen > Connectors > Optional Connectors

When creating a connector on the Inventory Screen, the system prompts if this connector should be considered "optional".

By default, connectors are not optional. The information or object they collect is required otherwise the product will be missing text or media. However, there are certain connectors that can not be filled in and it is better to specify that they are optional. An example would be asking for a sport player's number. For certain sports, it is almost certain that every player will have a number. For others, such as synchronized swimming or cheerleading, the participants would not have a number and the system should be configured to not expect one.

Here is an example of an optional connector on the Profiles tab of the Production Screen.

Notice the following:

  • 2/2 next to Ronnie Arbuckle's name in the top ribbon. This indicates that he has 2 out of 2 mandatory profiles complete;
  • System generated (Optional) text added after the connector ID; and
  • The "GO" button is green since there is nothing mandatory missing.

Next is the same connector which is not set to "optional".

Notice the following:

  • 2/3 next to Ronnie Arbuckle's name in the top ribbon. The ribbon is also red. This indicates that a mandatory profile is missing;
  • The (Optional) text has not been added after the connector ID; and
  • The "GO" button is red since the system is missing mandatory information.

See Also
Connector Components
Connector ID
Connector Name
Template Object Name
Priority
Default Value
Display Index


Understanding Sample Images

Understanding Sample Images
Inventory Screen > Sample Images > Understanding Sample Images

Sample Images are used by Krasbit Chameleon Studio on the Profiles tab to aid in describing the information a connector requires.

In the example below, seeing the sample head shot or group shot makes the "drag and drop" operation much faster than having to read and interpret the "Connector Details". The group shot is dropped next to the group shot sample image, the head shot is put next to the head shot sample image and so on.

In the example below, the sample images also indicate if the image to be connected should have a transparent background or not (as indicated by the checkered pattern in the background vs. a solid background). The group photo sample image has a diagonal separator between a solid background and a checkered pattern - this is to indicate that the supplied group photo can have either background type.

In the example below, a photographer requires five photos for producing an order form - a full body shot, an upper body shot and a framed shot with space above and to the right in addition to two group photos. The sample images make it easier to drag and drop the proper images next to each connector. The sample images also indicate the required orientation of the photos (Portrait or Landscape).

In the example below, an artist needs to connect three pieces of artwork. Sample images can be virtually anything that helps to explain the purpose of the connector.

Sample images can even be used to provide additional guidance for text connectors such as in the example below.

Format

Sample images can be any bitmap format. They are resized to fit in a container that is 120 by 120 pixels.

Images that have a transparency layer (ex: PNG format) will have a checkered background.

Image Storage

Artwork to be used as Sample Images can be located anywhere on your system. When they are brought into Krasbit Chameleon Studio, they are then stored in the media/samples folder. Multiple sample images can be used for a connector depending upon the item's language and/or, the group the item is in.

See Also
Product Group Specific Sample Images
Language Specific Sample Images
Creating and Duplicating Sample Images
Deleting Sample Images
Sample Image Tips and Cautions


Product Group Specific Sample Images

Product Group Specific Sample Images
Inventory Screen > Sample Images > Product Group Specific Sample Images

A "Sample Image" that is specified for a connector can be restricted to work with a specific product's group and its sub-groups.

As an example, for a connector dealing with a sport player's standard photo pose (IMG_U_001_GS) and his group photo (IMG_G_001_ALL), there can be a different sample images defined for a product connected to the "soccer" group and for a product connected to the "volleyball" group. In the example below, the "Sample Images" are soccer themed (note the soccer ball and the green grass for the group photo).

In the example below, the sample images (for the same connectors as above) are volleyball themed (note the volleyball and the indoor wooden court for the group photo).

Product Group Specific Logic

Multiple "Sample Image" entries can be created for a connector. It is important to understand how having multiple entries works.

No Definition

When creating a "Sample Image" definition, if no group is specified, the "Sample Image" will display identically for all instances of its related connector regardless of what group the product is attached to.

Single Group Definition

When a group is specified in a "Sample Image" definition, the "Sample Image" will appear in products for that group and all groups that are subordinate to it. As an example, if a volleyball style "Sample Image" for connector IMG_U_001_GS is assigned to group 141 (Volleyball), any products assigned to group 141 that contain connector IMG_U_001_GS will display the volleyball style "Sample Image".

All other products assigned to a different group will not display a "Sample Image" for connector IMG_U_001_GS. A blank black square will appear in lieu.

Example, a product has been created and assigned to group 143 (Anytown Leopards). Although this group is subordinate to the "Volleyball" group, it does not inherit the "Sample Image" that was assigned to group 141. A new "Sample Image" definition is required that defines the "Sample Image" to be used for connector IMG_U_001_GS for a product assigned to group 143.

Multiple Parallel Group Definitions

Assume the hierarchy below:

If "Sample Image A" is attached to the Volleyball group and "Sample Image B" is attached to the Football group for the same connector, then all Volleyball products will display "Sample Image A" and all Football products will display "Sample Image B" for the connector (Assuming of course that the products are connected to either the "Volleyball" or "Football" groups, not some other group higher or lower in the hierarchy). Baseball and soccer teams will not display any "Sample Images" for this connector as none have been defined.

Duplicate Definitions

In the event of duplicate "Sample Image" definitions using identical groups and connectors but different images, the first definition on the list will be used.

See Also
Understanding Sample Images
Language Specific Sample Images
Creating and Duplicating Sample Images
Deleting Sample Images
Sample Image Tips and Cautions


Language Specific Sample Images

Language Specific Sample Images
Inventory Screen > Sample Images > Language Specific Sample Images

A "Sample Image" that is specified for a connector can be restricted to work with items of a certain language.

Language specific sample images can also be mixed with Product Group IDs to limit sample images to both an item's language and the product being rendered.

Language Specific Logic

Multiple "Sample Image" entries can be created for a connector. It is important to understand how having multiple entries works.

Default Definition

When creating a "Sample Image" definition, the English language is specified by default. The "Sample Image" will display identically for all instances of its related connector regardless of the language of the item for which a product is being created.

Single Group Definition

When a connector has only one "Sample Image" definition and the language specified is something other than English, the "Sample Image" will appear only whenever an item with the same language is using the connector. If an item with a different language is being used, then no "Sample Image" will be displayed.

Multiple Parallel Group Definitions

In the example below are three sample images associated with a group logo connector (note: no group has been specified). If the item is English, the first description image is used. If the item is French, then the second one is used and finally if the item is German, then the last description image is used:

If an item is set to a language not defined here (say Spanish), then the sample image specified for English will be displayed for this connector.

Duplicate Definitions

In the event of duplicate "Sample Image" definitions using identical languages and connectors but different images, the first definition on the list will be used.

See Also
Understanding Sample Images
Product Group Specific Sample Images
Creating and Duplicating Sample Images
Deleting Sample Images
Sample Image Tips and Cautions


Creating and Duplicating Sample Images

Creating and Duplicating Sample Images
Inventory Screen > Sample Images > Creating and Duplicating Sample Images

Sample Images are not part of a connector's definition but they are an important adjunct. They are created on their own table accessible by clicking on Edit>Table>Sample Images.

To create a new sample image:

  1. Click on Add New;
  2. Select the connector the sample image is to be attached to;
  3. Optionally, select a group related to the product in which the connector is used;
  4. Optionally, select a language for which the sample image is to be used; and
  5. Select the image to be used.

Repeat this process for additional sample images. Or, use the Duplicate button to produce similar sample image definitions.

See Also
Understanding Sample Images
Product Group Specific Sample Images
Language Specific Sample Images
Deleting Sample Images
Sample Image Tips and Cautions


Deleting Sample Images

Deleting Sample Images
Inventory Screen > Sample Images > Deleting Sample Images

To access the Sample Image list, click on Edit>Table>Sample Images.

To delete a sample image:

  • Select the sample image to be deleted;
  • To select multiple sample images, use the CTRL or SHIFT key;
  • click the Delete to delete the sample image(s);

See Also
Understanding Sample Images
Product Group Specific Sample Images
Language Specific Sample Images
Creating and Duplicating Sample Images
Sample Image Tips and Cautions


Sample Image Tips and Cautions

Sample Image Tips and Cautions
Inventory Screen > Sample Images > Sample Image Tips and Cautions

Any artwork can be used to create a "sample image" but some suggestions are listed here.

Tip

Sample images can contain descriptive text to explain the purpose of the connector or provide tips or cautions to the user. You are not limited to only having imagery.

The example below shows how text is used to illustrate the purpose of the connector. The user is also told that he/she must select a photo that has space at the top and on the right.

Tip

To have the sample image completely fill up the available space and have a cleaner interface, crop it to a square. This will prevent any checkerboard background from appearing. Set the background color to RGB 34:34:34 (#222222) to blend with the application's background. Notice how the sample images below blend in with the background:

Tip

When used for photography, sample images should reflect the orientation required of any media attached to the connector. Distinguish between Portrait and Landscape or indicate that orientation is not an issue.

Caution!

Use sample images sparingly for text connectors. Using a sample image for a text connector will enlarge the vertical space required to view all connectors on the Profiles tab. This will necessitate more scrolling to view all connectors.

Text connectors without sample images:

Text connectors with sample images:
See Also
Understanding Sample Images
Product Group Specific Sample Images
Language Specific Sample Images
Creating and Duplicating Sample Images
Deleting Sample Images


Introduction to the Categories and Variables Screen

Introduction to the Categories and Variables Screen
Categories and Variables Screen > Introduction to the Categories and Variables Screen

You may be a photographer, a graphic artist, a picture framer or an advertiser. Many different professions use Krasbit Chameleon Studio and everything they collect and produce is different from other users. Recognizing this, we built flexibility into the system for you to work with any type of group, and collect whatever information you need in order to produce the type of custom products required.

Lets assume you want to produce some player trading cards for a volleyball team. Some volleyball stats include:

  • Aces per set;
  • Hitting percentage;
  • Assists per set;
  • Kills per set;
  • Digs per set;
  • Blocks per set; and
  • Points per set.

This is a lot of information and you will need to collect and store it somehow for the cards. Now lets assume the next day you are working with a Karate club and you want to customize products with the student's belt color. This is some more custom information you need to collect and store. Creating categories and variables will help with this task for every different type of group you create.

The Categories and Variables Screen is made up of four parts:

  • Predefined Constants - these are values that are used in pull down menus for certain variables;
  • Variables - these store different pieces of information on items or groups;
  • Group Categories - these are types of groups that contain different variables; and
  • Category Variables - this is where variables are connected to groups and you define what information is collected for different kinds of groups.

More detailed information is on the following pages.

See Also
Predefined Constants
Variables
Group Categories
Category Variables
Categories and Variables Cautions


Predefined Constants

Predefined Constants
Categories and Variables Screen > Predefined Constants

Predefined constants can be accessed by clicking on View>Categories and Variables....

Predefined constants are small texts that are available to be put into a pull down menu for use with Variables.

Example. You want to track what color belt a Karate student has - the belt color will be the "variable". To do this, create Predefined Constants for white, yellow, gold, orange, green, blue, purple, brown, red and black.

  1. Click on [Predefined Constants>Add] to create a new predefined constant. Enter a unique Enum ID - this can be any text but should not have any spaces. It is good practice to use a prefix to tie together all related items. For the Karate example, you could use "Karate_White" as the ID for the white belt;
  2. Enter a name in your application language. Spaces and any other characters can be used. In this example, you would simply enter "White". If you are working with multiple production languages, enter the appropriate translations; and
  3. Repeat the process for all other Karate belt colors.

Tip

Predefined Constants are also a way to store data in different languages for future retrieval by Text connectors.

Tip

If you are working with several production languages, click on the down arrow of the Variables menu, and then ensure all other language columns are displayed so that they can be edited.

See Also
Introduction to the Categories and Variables Screen
Variables
Group Categories
Category Variables
Categories and Variables Cautions


Variables

Variables
Categories and Variables Screen > Variables

Variables can be accessed by clicking on View>Categories and Variables....

Variables can be created to store information for both groups and items. Using the Karate example from previous sections, we will create one variable to store a Karate student (item) belt color and another variable to store the Dojo's (group) Karate Association.

Click on [Variables>Add] to create a new variable.

Variable ID

Enter a unique Variable ID - this can be any text but should not have any spaces. It is good practice to use a prefix such as GROUP_ or ITEM_ to distinguish between variables that will be used to store group or item information. For the Karate example, create one variable called ITEM_BELT_COLOR and another called GROUP_KARATE_ASSOCIATION.

Name in [production language]

Enter a name for this variable. Spaces and any other characters can be used. In these examples, you would use "Belt Color" for the first variable and "Karate Association" for the second variable.

Variable Type, Translatable and Default Value

The explanation for Variable type, whether it is translatable or not and has a default value are grouped together here because these three items are strongly related.

There are several Variable Types to choose from:

Boolean [boolean]

This type of variable will only accept "Yes" or "No" as an answer. A checkbox with the words "Yes" and "No" will appear. To switch from one choice to another, deselect the current choice and then click on the other one. A "Yes" is stored as a "1" in the database. A "No" is stored as a "0" in the database. This is important to note if creating any CaseGroup, CaseLayer or CasePage connectors and checking the value of the variable.

This variable is not translatable.

This variable can be attached to groups and to items.

A default value can be set. Choose whether "Yes" or "No" will appear by default.

Custom File Path [path_custom]

This variable will accept image files for photo, logos or other designs and store them in the "custom" directory. A square image placeholder will appear where an image can be dragged and dropped. Alternatively, a browse button can be clicked and an image can be imported.

This variable is not translatable.

This variable can be attached to groups and to items.

A default value cannot be set.

Date [date]

This variable will accept only a date. When entering information on the group edit or item edit page, a calendar will appear from which a date can be selected. If importing data, it needs to be in the metric YYYY-MM-DD format.

If date information needs to be displayed in another format, example, "Sunday, May 20th", then the variable should be set to "Text" so that any format can be entered.

This variable is not translatable.

This variable can be attached to groups and to items.

A default value can be set.

Enum [enum]

This variable will accept as options only Predefined Constants. A pull down menu will appear populated with the chosen Predefined Constants.

This variable is translatable. The Predefined Constants must have translations for the available production languages.

This variable can be attached to groups and to items.

A default value can be set. It has to be one of the Predefined Constants that was selected as an option for the variable.

Integer [int]

This variable will only accept numbers without decimal places. The number can be positive or negative. A box with arrows permits the number to be raised or lowered in increments of one. If any decimals are imported via spreadsheet, they will be truncated.

The variable is not translatable.

This variable can be attached to groups and to items.

A default value can be set. It has to be a positive or negative integer.

Unsigned Integer [uint]

This variable will only accept positive numbers without decimal places. A box with arrows permits the number to be raised or lowered in increments of one, however, it will never go lower than zero. If any decimals are imported via spreadsheet, they will be truncated. An example where this would be used could be to record age (never a negative number) or a sport player's number.

The variable is not translatable.

This variable can be attached to groups and to items.

A default value can be set. It has to be a positive or negative integer.

Number [number]

This variable will accept numbers with decimal places. A negative sign and a period for decimal place can be typed but any other alpha characters are disabled.

The variable is not translatable.

This variable can be attached to groups and to items.

A default value can be set. It has to be a number.

Path Group [path_group]

This variable will accept image files for photos, logos or other designs and store them in the group directory related to the group. A square image placeholder will appear where an image can be dragged and dropped. Alternatively, a browse button can be clicked and an image can be imported.

The variable is not translatable.

This variable can only be attached to groups.

A default value cannot be set.

Path Photo [path_photo]

This variable will accept image files for photo, logos or other designs and store them in the photo directory related to the item. A square image placeholder will appear where an image can be dragged and dropped. Alternatively, a browse button can be clicked and an image can be imported.

The variable is not translatable.

This variable can only be attached to items.

A default value cannot be set.

Text [text]

This type of variable accepts any typed text of any length. A box appears in which text can be freely typed.

The variable is translatable for group level variables only.

  • If the variable is group level and is set "yes" for translation, then you will be prompted for the translations when editing the group.
  • If the variable is item level and is set "yes" for translation, this will have no impact on the display of item information.

This variable can be attached to groups and to items. Translations apply only to groups.

A default value can be set.

Variable Character [varchar]

This is similar to the Text variable but a restriction can be placed on the length of the text that is accepted. If text is imported and exceeds the specified allowed length, it will be truncated.

The variable is translatable for group level variables only.

  • If the variable is group level and is set "yes" for translation, then you will be prompted for the translations when editing the group.
  • If the variable is item level and is set "yes" for translation, this will have no impact on the display of item information.

This variable can be attached to groups and to items. Translations apply only to groups.

A default value can be set. If it exceeds the specified length, it will be truncated.

In the case of the belt colors, select "Enum" as the variable type. A list of all the Predefined Constants will appear. Hold the CTRL key down and click on all the Predefined Constants you previously created for the different belt colors (see Predefined Constants page).

If you are working in several production languages and have provided translations for the colors, select "Yes" for the Translatable column.

Since the belt color is an Item level variable, select "Yes" for the Item Level column.

Finally, you can select a default value from all of the predefined constants. In this case, the majority of students may be "White" belt so it may be worthwhile to select "White" as the default. This will save time later on the Groups tab page by not having to change the majority of the entries.

In the case of the GROUP_KARATE_ASSOCIATION variable, set it to variable type "text" to allow any value to be typed in. If you know in advance all of the Karate Associations that could be used, you could create a series of Predefined Constants and then set the variable type to "enum" just as you did for the belt color. If you will be printing the Karate Associations into a very small area on a product, you may consider using varchar to limit the number of characters to ensure the name will fit into the assigned space on the product template.

If using a variable type of "text", set Translatable to match your requirements ("Yes", if you are working in several production languages, otherwise "No"). For Item Level set this also to "No" (since this is a group level variable). Finally, if you expect one Karate Association to be dominant among the groups, you could type this in to the Default Value column.

If you are working with several production languages, click on the down arrow of the Variables menu, and then ensure all other language columns are displayed so that they can be edited.
See Also
Introduction to the Categories and Variables Screen
Predefined Constants
Group Categories
Category Variables
Categories and Variables Cautions


Group Categories

Group Categories
Categories and Variables Screen > Group Categories

Group Categories can be accessed by clicking on View>Categories and Variables....

Group Categories define the types of groups that exist in your group hierarchy.

A Karate club has a need to store information on students' belt colors. For this reason we previously created the ITEM_BELT_COLOR variable.

We want the contents of this variable to be displayed on the Groups tab whenever a Karate club is being viewed. The display should look like this:

However, if you are a photographer and the next day you are going to shoot some basketball teams, the data you need to collect for these groups will be different and you will want to display this different information on the Groups tab. The solution to this is the creation of Group Categories.

The Karate Club is one Group Category while basketball is another Group Category. For the Karate Group Category, you want to collect belt colors and display this on the Groups tab. For the basketball group category, you want to collect different information such as a player's numbers, position, age and gender. When viewing a basketball group, the display will look like this:

Notice how the column headers are different. Through the creation of group categories and assigning variables to the group categories, you can control precisely what columns are displayed.

Click on [Categories>Add] to create a new Group Category. You will need to enter a Category ID that must be different from the other existing Category IDs. It should not contain any spaces. Next, provide a plain language name for the category using any alphanumeric characters.

In the next section you will see how Variables are connected to Group Categories.

See Also
Introduction to the Categories and Variables Screen
Predefined Constants
Variables
Category Variables
Categories and Variables Cautions


Category Variables

Category Variables
Categories and Variables Screen > Category Variables

Category Variables can be accessed by clicking on View>Categories and Variables....

The Category Variables section is a list of variables and what Group Categories they belong to.

Now that you have created Group Categories, you want to specify which variables are to be collected for which Group Categories.

To do this,

  1. Click on [Category Variable>Add] and begin by selecting the Category ID of the Group Category you want to define;
  2. Select a Variable ID that is to be part of this Group Category;
  3. Select a Display Index value; and
  4. Repeat this process until all required variables have been added to the Group Category.

The Display Index column is used to determine the sort order of the variables. Notice the left to right order of the variables in the screen below (First name, Last name, Belt color):

This order was accomplished by specifying a number in the Display Index:

The lower the number, the further to the left the variable will be in the presentation order.

Caution!

If no Category ID is specified for a Category Variable, the Variable is displayed for all Group Categories.

This can be a good thing. Example: you want ITEM_FIRSTNAME and ITEM_LASTNAME to be used in every Group Category. Rather than create an entry for every Category ID, leave Category ID blank and every group will display the column for first name and last name of the item.

This can also be a bad thing. Example: you forget to supply a Category ID to the ITEM_BELT_COLOR variable. Every group, be it a basketball or hockey team, will display the martial arts belt color column.
See Also
Introduction to the Categories and Variables Screen
Predefined Constants
Variables
Group Categories
Categories and Variables Cautions


Categories and Variables Cautions

Categories and Variables Cautions
Categories and Variables Screen > Categories and Variables Cautions

Categories and Variables are a powerful tool that allow you to manage all sorts of information for different types of groups. The process to create group categories and variables is pretty straight forward but there are some things to heed.

  • the Enum, Variable, Category and Category Variable IDs must be unique and must never have a space in them. Use the underscore (_) character between words;
  • If creating several related predefined constants, use a prefix in the Enum ID so that they can be grouped together when sorted;
  • If you use several production languages, go to each of the four pull down menus, select [Displayed Columns] and then display all of the languages;
  • When a new variable is created, by default it is set to group level. If the variable is intended to collect information for items, ensure you change the Item Level column to "Yes"; and
  • Use the Display Index for Category Variables to ensure the data columns are sorted in a logical order.

See Also
Introduction to the Categories and Variables Screen
Predefined Constants
Variables
Group Categories
Category Variables


Application Settings

Application Settings
Configuring the System > Settings > Application Settings

Access the Application Settings from the main menu at Tools>Settings>Application....

Languages

Chameleon works with two language types: one "application language" and one or more "production languages".

The application language selected controls the language on all chameleon screens and how you work with the application. The production language, or languages, are the ones that can be assigned to items and determine the language in which products such as order forms are printed. If activating multiple production languages, translations must be provided for all group names and other translatable variables.

If a item does not have a language assigned, their language will default to the Global language.

Selecting application language

A pull down menu contains all the languages Krasbit Chameleon Studio 2 is available in. Select the one language you wish to use. The system must be restarted after making a selection.

Krasbit Chameleon Studio 2 has been designed to run in any language - it is just a matter of supplying the appropriate language file. All installations come with English (US) and English (UK) by default. Available language files are stored in the C:/program files (x86)/Krasbit Technologies/chameleon/languages directory.

The .csv language files can be opened and edited with most spreadsheet applications. If you need to edit a file to better regionalize the text or phrases, we recommend first backing up the original language file. Edit the new file using Notepad. Ensure every translation ends with a semi-colon.

Caution!

Updates to Krasbit Chameleon Studio may come with new language files. This will overwrite any changes you have made to a language file.

If you wish to create an entirely new language file, contact Krasbit to obtain translation tools.

Selecting production languages

To select a listed language, click in the Active column and set to "Yes". If your required language is not available, you can add it to the list. Click on [Add New] and use the language's two digit ISO 639-1 code as the unique name for the entry. Next, enter the way you wish for the language to be displayed throughout the application. Finally, ensure you set the language to Active by ticking Yes in the Active column.

From now on, when you create a new group or product, you will be prompted to enter the name in all active languages.

Currencies

Krasbit Chameleon Studio 2 can be made to work with all the currencies of the world. There are two levels at which a product's price currency is set:

  • In the Tools>Settings>Application..., there is an option to choose the global currency that is applied to all product prices; and
  • In the View>Inventory Screen>Prices Tab, you can see and edit all prices and their related currencies. Any currency chosen here will have precedence over the global currency.

During the initial setup interview, you are prompted for your default currency. This can be changed if necessary in the Tools/Settings/Application... page.

By default, all product prices are kept empty. This way, every price will adopt the currency of the global currency setting. If all of your products prices are in the global currency, there is no further action to be taken. If however a particular product is to be sold in a different currency, its price can be updated by going to the Inventory Screen and looking at the Prices section, displaying the currency column [Displayed Columns/Currency] and selecting the appropriate currency. Repeat as necessary for all affected prices.

Currency symbol

For some currencies, the display convention is to put the currency symbol before the price (ex: $32.00) and in others after the price (ex: 32.00 €). To make a selection, go to the Tools>Settings>Application... page and check or uncheck the "currency symbol before price?" option.

Errors

At the time of shipping, Krasbit Chameleon Studio 2's database is loaded with all of the world's countries and related currencies. Due to changing political situations or merging of currencies (such as more countries joining the Euro zone), this list can change. If you are aware of any errors to the list, please contact us at support@krasbit.com so that we can issue an update.

Metric/Imperial

If you are in the United States or Canada, you should select “Imperial” so that all product measurements appear in inches. Elsewhere in the world, select “Metric” so that all product dimensions appear in SI units.


Renderer Settings

Renderer Settings
Configuring the System > Settings > Renderer Settings

Access the Renderer Settings from the main menu at Tools>Settings>Renderer....

The Krasbit Chameleon Renderer controls the production of products and manages the connection with CorelDRAW. Your computer may have several version of CorelDRAW installed. The settings page chooses which version of CorelDRAW the Krasbit Chameleon Renderer uses.

Auto-start renderer

This option, if checked, will start the Krasbit Chameleon Renderer when Krasbit Chameleon Studio starts. Otherwise, the Krasbit Chameleon Renderer will start when a product is sent for rendering - this will cause the first rendered product to take longer while waiting for the Krasbit Chameleon Renderer to start.

Auto-close renderer

This option, if checked, will shut down the Krasbit Chameleon Renderer when Krasbit Chameleon Studio is closed. Otherwise, the Krasbit Chameleon Renderer will continue to run in the background and continue to scan the output table of the selected database for new products to render. This can be useful if other networked copies of Krasbit Chameleon Studio are sending information to the output table of the selected database and you are setting up an array of Renderers to process all files.

Use Renderer to produce vector image thumbnails

The ribbons on the Production Screen produce previews of all bitmapped files. However, to produce previews of vector based files, the Krasbit Chameleon Renderer must invoke CorelDRAW. This can consume processing resources and delay product rendering. Tick this only if you have occasional vector thumbnails to produce.

Output Settings

Preview image width

The Krasbit Chameleon Renderer produces previews of all products that appear in order forms and catalogs. These previews files are intentionally much smaller than the actual product files in order to improve processing speed. The pixel width of the preview images is set in this box.

As a guide, for every inch of space your order form or catalog has allotted for the product previews, your preview image width should be 300 pixels (based on a standard 300 pixel per inch print setting).

Note that this width option is also accessible on the Ribbon Options for "Selected Group Members Images" and "Selected Group Images".

Bitmap downsampling (dpi)

Certain files types such as a PDF may contain several bitmap images from different sources that have different resolutions. It makes no sense to keep images in the PDF that are at a higher resolution than what you will be printing at - this just raises the size of the file and the time it takes to open and process it. For this reason, the rendered PDF file can "downsample" the images to match the resolution of the final document.

As a guide, most printers will print at either 300 or 600 dpi.

Use optimized content when rendering order form

When an image is dragged and dropped from a ribbon to a Profile Variable or Profile Field, a thumbnail image can be automatically produced. This thumbnail is then used in the order forms and product previews. Because the thumbnail is smaller in size, the order form and preview images will be produced faster. The only downside to this is that it takes time to produce the thumbnail and the total time for the drag and drop operation is affected.

If you will not be producing any order forms/catalogs, uncheck this box. If you will be producing order forms/catalogs but it is important that the drag/drop process for Profile Variables or Profile Fields be done quickly, then uncheck this box.

Note that this checkbox is also accessible on the Ribbon Options for "Selected Group Members Images" and "Selected Group Images".

Remove comments

When defining a product name, additional information can be added in curly quotes such as {G}, {PG} or {SPG} to indicate for what group level the product should be produced. Ticking the "Remove comments" checkbox will ensure that all information between curly quotes is not seen when product names are produced on order forms and catalogs.

CorelDRAW Options

Create Source (CorelDRAW ) file

When rendering a product, ticking this option will produce the SKU defined product format in addition to keeping the source .cdr file responsible for rendering the product. This can be useful if some manual adjustments are required to the automatically rendered product. To make adjustments, open the .cdr source file (same name as the rendered product but ending in "_src"), edit the file and then render using the file export.

Create product preview file

A product template may have a mockup page or the product may be connected to mockup template or to an effect. This is used to create a product preview for use in an order form or catalog. The preview image can also be produced independently such as for presentations to clients.

Watermark on preview file

A watermark is an image file that is placed over rendered products. This has several purposes:

  • To identify your company as the producer of a product and the copyright holder; or
  • To spoil an image so that a customer buys the unspoiled version.

Watermarks are defined on the Edit>Company Profile/Branding... page. To add a watermark to a product, use the IMG_PH_004 connector and a template object named "Watermark".

Watermarks are handled differently for product previews. The renderer settings have three options:

  • Insert a watermark even if no watermark location has been defined in the product template - Krasbit Chameleon Studio will take the watermark image defined in the branding and enlarge it to occupy 50% of the entire space of the rendered product;
  • Insert a watermark only if a watermark location has been defined in the product template - Krasbit Chameleon Studio templates can have a watermark object on the mockup page. If this object exists, it will be filled with the watermark image. This method provides greater control over watermark sizing and placement. The IMG_PH_004 connector is not required - Krasbit Chameleon Studio will recognize a template object named "Watermark" and retrieve the watermark artwork automatically; or
  • Do not insert a watermark for product previews even if the watermark location has been defined in the product template - this option will produce product previews without any watermarks, whether a "Watermark" template object exists or not.

The transparency of the watermark (the "alpha" level) is controlled at Edit>Company Profile>Branding and then on the Company Watermark tab.

Post-Render Settings

Print after rendering

Ticking this option will send the rendered file to its SKU defined printers. Every product is connected to a SKU and every SKU defines a main printer and a mobile printer. For more information on defining and selecting these printers, visit the SKU page here.

Send e-mail to order form/catalog contact

Ticking this option sends all rendered order forms and catalogs to an item's related contact e-mail address.

If an item does not have a contact, or that contact does not have an e-mail addressed specified, then nothing will be sent.

If an item's related contact has two or more e-mails defined (separated by a comma or semi colon), then the order form/catalog is sent to all listed addresses

Tip

More information on configuring the order form/catalog is available here and more information on the e-mail template is available here.

BCC to custom address:

Krasbit Chameleon Studio relies on a built-in mail server to send outgoing e-mail. This is independent of whatever e-mail program you may be using. In order to get a copy of any outgoing Krasbit Chameleon Studio generated e-mail, you may bcc: yourself. The e-mail will come into your "inbox" and you can then move it to your "sent" folder to have a record.

Two or more e-mail addresses can be defined but must be separated by a comma or semi colon.

Caution!

Ensure that Apply is pressed to save all changes.


Company Profile Section

Company Profile Section
Configuring the System > Company Profile > Company Profile Section

Company Profile Screen can be accessed by clicking on [Edit>Company Profile].

During the registration process, you will be prompted to provide details on your company. This is to pre-populate the Company Profile section. Information provided is used throughout the application on such items as order forms/catalogs or creating accounts with various service providers.

Select further on the menu to access the different screens:

  • Branding...
  • Order Form Settings...
  • E-mail Template...

See Also
Branding
Order Form Settings
E-mail Template


Branding

Branding
Configuring the System > Company Profile > Branding

Krasbit Chameleon Studio stores all the logos that are related to your business. By storing them in one central location, the system never has to prompt you for this artwork during the production of any products.

Go to Edit>Company Profile>Branding... to configure the system.

Company Logos

Krasbit Chameleon Studio allows you specify a "global" logo that is used for all languages. If you have a variant of your logo for a specific language, you can specify that as well.

Example, the Anytown Studio uses this logo:

If the Studio has a lot of Japanese clients, it may wish to use a customized logo for products where the client's language has been identified as Japanese.

To add the Japanese version of the logo, go to the language specific version, select Japanese from the pull down menu (Japanese must have been previously identified as one of your production languages) and then browse for the location of the Japanese logo file.

A company logo is added to a product using the IMG_PH_001 connector and a template object called "logo". The equation for the connector is:

TABLECOLUMN(settings,setting,idkey,imgOwnerLogo_@lang)

This means that the logo is based on the application language. If you want the logo to be based on the item's production language, change "@lang" to "@clang".

Company Watermark

A watermark is an image file that is placed over rendered products. This has several purposes:

  • To identify your company as the producer of a product and the copyright holder; or
  • To spoil an image so that a customer buys the unspoiled version.

Ideally, use a .png image that has a transparent background so your logo or message interferes less with the image it is overwriting. A slider on this page provides control over the transparency (also known as the "alpha" channel).

To add a watermark to a product, use the IMG_PH_004 connector and a template object named "Watermark".

Rendered product preview files can also have watermarks. To enable this feature, go to Tools>Settings>Renderer.. and tick the "Create product preview file" checkbox.

Watermarks are handled differently for product previews. The renderer settings have three options:

  • Insert a watermark even if no watermark location has been defined in the product template - Krasbit Chameleon Studio will take the watermark image defined in the branding and enlarge it to occupy 50% of the entire space of the rendered product;
  • Insert a watermark only if a watermark location has been defined in the product template - Krasbit Chameleon Studio templates can have a watermark object on the mockup page. If this object exists, it will be filled with the watermark image. This method provides greater control over watermark sizing and placement. The IMG_PH_004 connector is not required - Krasbit Chameleon Studio will recognize a template object named "Watermark"; or
  • Do not insert a watermark for product previews even if the watermark location has been defined in the product template - this option will produce product previews without any watermarks, whether a "Watermark" template object exists or not.

Company Barcodes

Krasbit Chameleon Studio can store a QR code and a barcode for use on all product templates.

QR codes are designed to be read by mobile device cameras and reveal a website address, contact information or other text. They can be used as a promotional tool on any products you produce. QR codes are always square and any product template object designed to receive the QR code is also square. They are added to a product using the IMG_PH_002 connector and a template object named "QRCode".

Barcodes can be used for product boxes or simulated magazine cover artwork. They vary in size and there is no fixed ratio for their use on any product templates. They are added to a product using the IMG_PH_004 connector and a template object named "UPCCode".

See Also
Company Profile Section
Order Form Settings
E-mail Template


Order Form Settings

Order Form Settings
Configuring the System > Company Profile > Order Form Settings

One of the Krasbit Chameleon Studio's unique features is its ability to provide you with a customized order form or catalog within seconds of taking a subject’s photos or obtaining the required artwork.

Go to [Edit>Company Profile>Order Form Settings...] to configure the system. The information collected on this screen is used to fill out the appropriate areas of an order form or catalog CorelDRAW template.

Field name | Default text
Web site invitation: This is the text you are using to draw people to your website. | Come visit us at: Alternative texts could include: See our group packages at: Visit us for online specials at: To learn more, click on:
Ordering site : This information appears at the top of the last page of the order form. It should be the URL where you want subjects to go for placing orders. | www.anytownphotostudio.com
Print log in information? Krasbit Chameleon Studio can create a unique userID and password for every order form. |
Owner’s address: This is your full mailing address where completed order forms can be sent. Be sure to include postal codes if required in your country. Phone and fax numbers in addition to a general e-mail address can also be added. Include country codes and area codes if dealing with clients outside of your local area. | Anytown Photo Studios 123 Main Street Anytown, Anystate 1234567 Tel: (123) 456-7890 Fax: (123) 567-8901 sales@anytownphotostudio.com
Shipping instructions: If you will be producing your products off site, you will need to ship your products to the organization that hired you or directly to the customer. Add the cost of shipping and include any alternative options such as pick up at your location. | Flat rate of X shipping for entire order. Alternatives Free shipping for orders above X. Group your order with friends to save on shipping Save shipping costs by coming to our office for pickup.
Family Plan information: Sometimes, two or more children from one family will take part in a photo shoot. If you have discounts or special instructions, place them here. | Have two or more children getting their photo taken today? Contact us to see about combining your order.
Footer Text: This is text that you can insert on the first page of the order form. You can put a copyright notice or other special instructions here. The default setting is text provided by the Sport Photographers Association of America (SPAA). | Copyright Law provides we own the exclusive rights to these photographs and images, even though you purchased them. This means you do not have the right to photocopy, scan, or otherwise reproduce these images unless we give you permission to do so. If you are interested in purchasing the rights to these images, please discuss it with us. Infringing on our copyrights can result in fines and penalties being assessed against everyone involved.
Tax info: If required, insert your local tax rates and provide any tax numbers that you are legally required to provide on invoices or receipts. Some companies choose to include taxes in their prices to simplify the addition of totals and make payment in easy to manage figures (examples, multiples of 5 or 10). | Taxes are included in listed price to simplify totals.
Payment note: Include information on acceptable methods of payments, credit cards accepted, minimum amounts for payment by check or credit card. You can also add policies for NSF checks | Anytown Photo Studio accepts checks and cash. Alternatives Minimum $20 order for credit cards.
Promotions and Discounts: This text appears on the top of the second page of the order form and is highlighted in yellow. It can be used to draw attention to special offers you have for this photo shoot or available online. | Save by ordering a package.

It is recommended that you add the © symbol and current year before your web address. Posting a visible copyright notice or “all rights reserved” makes it impossible for defendants of a copyright violation to claim innocent infringement (legalese for the ever popular “I didn’t know the work was copyrighted”). Without clearly stating that you own the rights to the images you take and produce, a thief may claim that your images are part of the public domain and therefore free for the taking.

If you are using default background imagery supplied by Krasbit , then you must include Krasbit Technologies Inc. in your copyright notice.

Example of a copyright notice where you supply background and foreground artwork

© 2016 Copyright Anytown Photo Studios. All Rights Reserved.

Example of a copyright notice where you use Krasbit Chameleon Studio 2 supplied background or foreground artwork:

© 2016 Copyright Anytown Photo Studios and Krasbit Technologies Inc. All Rights Reserved.

There are three legal forms of a copyright notice:

· © YYYY Name ex: © 2016 Anytown Photo Studio

· Copyright YYYY Name ex: Copyright 2016 Anytown Photo Studio

· Copr. YYYY Name ex: Copr. 2016 Anytown Photo Studio

Copyright legislation varies from one jurisdiction to another. Consult a notary, lawyer or your national photographic association to learn more about policies in your area.

Tip

Set a yearly task in your calendar for January 1st to update your copyright notices to the current year.

See Also
Company Profile Section
Branding
E-mail Template


E-mail Template

E-mail Template
Configuring the System > Company Profile > E-mail Template

Krasbit Chameleon Studio has the ability to produce custom order forms and catalogs. Because you can be producing these for a large number of items, it can be a considerable chore to individually e-mail these to the correct contact address. The e-mail template simplifies this process by automatically sending a rendered order form/catalog to an item's contact e-mail address with a customized cover letter.

Go to [Edit>Company Profile>E-mail Template...] to configure the system.

The first step is to configure the e-mail connection. Enter the following information:

  • "From" name on e-mail - this is the name you want the recipient to see as the originator of the e-mail. It can be any alphanumeric character;
  • Return e-mail address - if the recipient presses "reply" to your e-mail, this is where it will be sent;
  • SMTP Server - this is your outgoing e-mail server. Your ISP or system administrator should have provided you with this information for configuring your e-mail account;
  • Port - your ISP or system administrator should have provided you with this information for configuring your e-mail account;
  • This server requires an encrypted connection - your ISP or system administrator should have provided you with this information for configuring your e-mail account. Note that encrypted connections may require different ports and server addresses than non-encrypted connections;
  • My outgoing server (SMTP) requires authentification - your ISP or system administrator should have provided you with this information for configuring your e-mail account;
  • User name - your ISP or system administrator should have provided you with this information for configuring your e-mail account; and
  • Password - your ISP or system administrator should have provided you with this information for configuring your e-mail account.

The subject and body of the e-mail can be stored in all production languages. By default, the Contact Language is set to your application language. To enter the e-mail information:

  • Subject - type a one line subject for your e-mail. Any alphanumeric character can be used; and
  • E-mail Body - There is no limit to the length of the e-mail.

Caution!

Ensure you press the Save button after editing the E-mail body to record your changes.

Tip

You can test that your mail delivery settings are correct and e-mail properly formatted by sending a test e-mail. Save all changes first, then at the bottom of the screen enter an e-mail address (or several separated by commas) and press Test Settings.

To activate the automatic e-mailing for order forms and catalogs, go to [Tools>Settings>Renderer...] and under the Post-Render Settings, tick the "Send e-mail to order form contact" checkbox.

See Also
Company Profile Section
Branding
Order Form Settings


Understanding Styles

Understanding Styles
Configuring the System > Styles > Understanding Styles

What is a style?

Every sports team or league, school or company usually has a “look” that identifies them. At some point, a graphic artist designed a logo for the organization and included some information on preferred colors and fonts. If you are lucky, the organization will have all of this organized in a “corporate identity manual” and your job of matching colors, logos and fonts is greatly simplified.

As soon as you sign a contract with a client, try to obtain their “corporate identity manual”.

Tip

It is more than likely that the organization you are dealing with has been around for awhile and has had personnel turnover. No one can remember the name of the artist who produced the logo (leaving you with only low resolution versions of the logo off the website) and you having to decipher the team colors from what is on the web site, or on team or school uniforms.

What can you do? Contact printers who have done work for the organization and try to get artwork from them, including color definitions. Printers usually work in the CMYK color space – that is acceptable for you as Krasbit Chameleon Studio can import color information in CMYK and RGB, Pantone and other formats.

Once you collect the colors, logos and fonts from the client organization, Krasbit Chameleon Studio provides you with a simple way to record these so they can be applied to all of the products you create. These color and font combinations are called “Styles”. They allow you to work more efficiently because you do not have to re-create the formatting whenever you have anything to do for your client. Simply connect the style to the group and everything you produce for that group will have the necessary style information.

The image below shows a variety of products that have all been produced for a soccer player with the Anytown Lions team. Notice how the red and white colors and fonts from the Anytown Lions style are applied uniformly across all the items.

Example of Anytown Lions style applied to photo gifting products

The following chapters will show you how to create, duplicate, edit, test and delete styles.

Assigning a Style

Styles can be assigned to groups and parent groups and any level in the organization hierarchy. Assigning styles will be covered in the section titled Groups tab of the Production Screen. What is important to realize is that you will be able to enter an organization's hierarchy into Krasbit Chameleon Studio and for every level of the hierarchy, you can assign a style. For this reason, you should try to obtain a style information for every level of your client's organization.

See Also
Style Basics
Creating and Duplicating Styles
Editing Styles
Testing Styles
Deleting Styles
Default Styles
Style Cautions


Style Basics

Style Basics
Configuring the System > Styles > Style Basics

Before creating a style in Krasbit Chameleon Studio, you need to understand the information that needs to be collected:

Colors

There are four colors that can be defined in a style:

  • FillColor1 - This should be the main color that represents the organization – to be used as the main background color in products;
  • FillColor2 - This is the secondary color that is used as a highlight color and used for outlines;
  • FillColor3 - If the organization has two main colors with equal weight (example, the teams have striped shirts with two colors), treat the second main color as FillColor3. If the organization does not specify a second set of color pairs, duplicate FillColor1 into the FillColor3 location; and
  • FillColor4 - This is a fourth color that can be used for filling objects or defining the outline colors. If the organization does not specify a fourth color, repeat FillColor2 in the FillColor4 location.
Client colors | FillColor1 | FillColor2 | FillColor3 | FillColor4
One main color, one secondary | Main color | Secondary color | Main color | Secondary color
Two main colors, one secondary | Main color 1 | Secondary color | Main color 2 | Secondary color
Two main colors, two secondary | Main color 1 | Secondary color 1 | Main color 2 | Secondary color 2

Caution!

The artwork templates that are provided with Krasbit Chameleon Studio use only the first two colors of a style. You must edit the templates and adjust the objects if you need all four colors in your products.

Tip

CorelDRAW templates produced by Krasbit Technologies use FillColor1, FillColor2, FillColor3 and FillColor4 as Template Object Names. It is recommended that all users follow this convention to ensure that connectors work with all templates.

Fonts

There are three fonts that can be defined in a style:

  • Font for "text". If the group's style is being used for text formatting, this is the font that will be used on all style driven text in the product templates. If no font is explicitly specified by the client, you have access to hundreds of fonts from the CorelDRAW application CDs that can be used to mimic what the organization is using on their website or other printed materials;
  • Font for "numbers". If the group's style is being used for number formatting, this is the font that will be used on all style driven numbers in the product templates. By default, most pre-defined styles are set to the “chameleon Sport 1” font. Any font on the user's system can be used. There are other chameleon Sport fonts designed to match numbers found on sport uniforms:

    Font name

    Sample characters

    Chameleon Sport 1

    Chameleon Sport 2

    Chameleon Sport 3

    Chameleon Sport 4

    Chameleon Sport 5

    Chameleon Sport 6

    Chameleon Sport 7

  • Font for "link" (company URL) . Your company may have its own corporate identity. This part of the style definition allows you to apply your company's style to the website link and copyright notices. The URL and copyright notice are generally very small so use a font that is easy to read at small sizes.

Caution!

“Chameleon Sport” fonts are not designed to be used for alpha text. These fonts only contain numerical and upper case characters. There are no lower case or accented letters.

Text Colors

All fonts used in a style can have a color defined for the inside area and the outline:

  • You can specify a text color and a text outline color. These often are the same colors used for FillColor1 and FillColor2 (but do not need to be);
  • You can specify a number color and a number outline color. These are often the same colors used for FillColor1 and FillColor2 but in most cases a photographer will attempt to match the colors on a player’s uniform; and
  • You can specify a link color and a link outline color for your company URL on products. This text is usually small therefore it is recommended that at small sizes, the link have the same text and outline color. If you edit or create templates with larger URLs with at least 14 points, then it would be safe to have two colors. These colors should be representative of your company’s colors or corporate identity.

Outline Widths

There are two parts to every alphanumeric text character (text, number and links): The inside of the character (fill) and the line used to generate the outside of the character (outline). There are two ways to control the width (thickness) of the outline:

  • Percentage - This is the best option if you will have many different sizes of text in products. It is recommended that for small text, the outline should be set to 2%. For large numbers, you can use up to 5%. When creating a new style, enter the width in a format similar to: “2.00%” using the decimal places and the percentage sign. If using the same color for the text fill and outline, set the outline width to 0%; and
  • Point - This provides the best control over outline width but has the downside that the same point size is applied to small and large texts on your products. A fixed point size may be too large for small text and too small for large text.

For text, number and link style, you have the option to "turn off behind fill option for text outlines". This is explained in the table below:

The letter "t" is drawn here with a simple no width outline. | In this example, the outline is given a width of 4 points and colored light blue. For illustrative purposes, the original outline is visible as the very thin red line. Notice that 2 points of the new width are on the outside and 2 points of the new width are on the inside of the original outline. In this case, the outline goes over the black color used to fill the letter "t". "Behind fill option" is "on" in this case (the fill is "behind" the outline). | In this example, only the outside 2 points of the 4 point outline width are visible. The light blue outline is behind the black fill area of the letter "t". "Behind fill option" is "off" in this case (the fill is not "behind" the outline).

See Also
Understanding Styles
Creating and Duplicating Styles
Editing Styles
Testing Styles
Deleting Styles
Default Styles
Style Cautions


Creating and Duplicating Styles

Creating and Duplicating Styles
Configuring the System > Styles > Creating and Duplicating Styles

To create a new style:

  1. Go to [Edit>Styles...];
  2. Click the icon for a new style: ;
  3. A new style named "New item" will appear at the bottom of the list of existing styles (scroll down if necessary);
  4. "Color style:" will be filled in automatically. This is a system generated number and cannot be changed;
  5. "New item" will appear next to "Style Name:". Change this to an appropriate name for your new style;
  6. The "Description:" field will be blank. Update this with a descriptive text for your new style. This could be the name of the organization for which the style has been created, related styles or information on the source of colors and fonts; and
  7. Click Apply. The new style is now saved.

Another method to create a new style is to duplicate an existing one:

  1. Go to [Edit>Styles...];
  2. Select a style to be duplicated and then click the icon to duplicate an existing style: ;
  3. A new style with a name based on the selected style plus the "_a_duplicate" suffix will appear at the bottom of the list of existing styles (scroll down if necessary);
  4. "Color style:" will be filled in automatically. This is a system generated number and cannot be changed;
  5. "Selected style_a_duplicate" will appear next to "Style Name:". Change this to an appropriate name for your new style;
  6. The "Description:" field will be blank. Update this with a descriptive text for your new style. This could be the name of the organization for which the style has been created, related styles or information on the source of colors and fonts; and
  7. Click Apply. The new style is now saved.

Next step is to update the colors and the fonts.

Colors

  • Use the palette icon ( [image]) to select new colors. Clicking this icon opens a new window that contains pre-defined colors in palettes and also provides the opportunity to create new colors and save these to palettes;
  • Select the desired color palette or use the default palette (chameleon_default.xml);
  • Click on one of the available colors in the palette or define a color using either the RGB, CMYK or Grayscale color spaces;
  • If you expect to re-use a color you have created, click on Add to Color Palette to transfer the new color to the currently displayed palette. Select the color (it should already be selected, if not, click on it in the palette) and type its name on the bottom left (replace "New color:"). Finally, click on Update Palette Color to update the color with its new name;
  • When the color you need for the style is displayed as the "New Color", click on Apply.

The color has now been updated in the style. Repeat this for all the colors you need to specify for the style.

Fonts

Fonts must be defined for a style's text, numbers and the URL links.

To change the font, simply press on the down arrow ( [image]) to bring up a list of available fonts. The fonts displayed are those available on your computer.

Some fonts contain only symbols and their font name will not be properly displayed in the list. In this case, simply mouse over the unknown font and a bubble will appear with the font name. The example below with the barcode fonts illustrates this:

Caution!

The style information is stored in your database. If you use this database on another computer, it is possible that the styles refer to fonts that may not be installed on the second computer. Ensure that if you use non-system fonts that they are installed on all of your computers that are likely to be used to render products.

Outline widths

Finally, set the outline width preference for all text related items.

See Also
Understanding Styles
Style Basics
Editing Styles
Testing Styles
Deleting Styles
Default Styles
Style Cautions


Editing Styles

Editing Styles
Configuring the System > Styles > Editing Styles

To edit a style, select the style in the column on the left of the page.

Colors can be changed by clicking on the palette icon ( [image]). Fonts can be changed by using the font pull-down and selecting the appropriate font.

When editing is done, click Apply to save the changes.

See Also
Understanding Styles
Style Basics
Creating and Duplicating Styles
Testing Styles
Deleting Styles
Default Styles
Style Cautions


Testing Styles

Testing Styles
Configuring the System > Styles > Testing Styles

The styles define many colors for use in the background and foreground and also define colors for different types of text. There exists the possibility of color conflicts when overlaying the different elements. Ex: a green text may not be visible on a slightly different green background.

In order to identify any color conflicts, Krasbit Chameleon Studio has a style testing feature. Select the style to test, select the template for testing using the down arrow ( [image]) and then click [Test Style]. In the example below, the Anytown Lions style is being previewed using the style_tester_1.cdr template. This is a template that is specially designed for testing purposes.

Tip

Style testing templates are stored in the media\templates\test directory (see your workspace settings for the location of your media folder). You can create other CorelDRAW template files to test the color combinations most appropriate for the work you do. Saving the templates in the test directory will make them accessible from the [Preview] pull down menu.

The style_tester_1.cdr template was designed to show all combinations of style colors and texts. It contains:

Background colors

  • Fillcolor1 solid
  • Fillcolor3 solid
  • Fillcolor1 transparent over a background image
  • Fillcolor3 transparent over a background image

Foreground line

  • Fillcolor2 over fillcolor1
  • Fillcolor2 over fillcolor3
  • Fillcolor2 over white
  • Fillcolor2 over grey
  • Fillcolor2 over black
  • Fillcolor4 over fillcolor1
  • Fillcolor4 over fillcolor3
  • Fillcolor4 over white
  • Fillcolor4 over grey
  • Fillcolor4 over black

Photographer studio text

  • Photographer studio text over fillcolor1
  • Photographer studio text over fillcolor3
  • Photographer studio text over Fillcolor1 transparent over a background image
  • Photographer studio text over Fillcolor3 transparent over a background image
  • Photographer studio text over white background
  • Photographer studio text over black background

Artistic text colors

  • Artistic text over fillcolor1
  • Artistic text over fillcolor3
  • Artistic text over Fillcolor1 transparent over a background image
  • Artistic text over Fillcolor3 transparent over a background image
  • Artistic text over white background
  • Artistic text over black background

Number

  • Number over fillcolor1
  • Number over fillcolor3
  • Number over white background
  • Number over black background

Zoom

To the left of the previewed image are some controls for zooming into the image.

Full view. This expands the previewed image to fill the available space;
Actual size view. This sets the image to its original size;
Zoom in. Enlarges the image to see greater detail; and
Zoom out. Makes image smaller so that more of it can be seen.

See Also
Understanding Styles
Style Basics
Creating and Duplicating Styles
Editing Styles
Deleting Styles
Default Styles
Style Cautions


Deleting Styles

Deleting Styles
Configuring the System > Styles > Deleting Styles

To delete a style:

  • Select the style to be deleted;
  • click the [image] icon to delete the style;
  • The style is automatically removed with no further action required.

See Also
Understanding Styles
Style Basics
Creating and Duplicating Styles
Editing Styles
Testing Styles
Default Styles
Style Cautions


Default Styles

Default Styles
Configuring the System > Styles > Default Styles

There are two default styles that you assign on the main style definition page:

  • Style for use with order forms. The order forms that are included with the system use a few of the style definitions:
    • FillColor1 is used as a transparent background color;
    • FillColor2 is used as a solid background color for the copyright text footer.
    • The text font and color are used for the copyright text in the footer. The outline color is not used on the copyright text.
    • The website link on the last page of the order form uses the link color. The link font is not used.
  • Default style for groups with no style defined. It can happen that a group is not assigned a style. In that case, Krasbit Chameleon Studio will use the default style specified here for formatting of non order form/catalog products.
See Also
Understanding Styles
Style Basics
Creating and Duplicating Styles
Editing Styles
Testing Styles
Deleting Styles
Style Cautions


Style Cautions

Style Cautions
Configuring the System > Styles > Style Cautions

Testing Styles

After creating a style, it is recommended to test it to see if there are any conflicts with fill colors, overlapping outline and font colors. A special CorelDRAW template exists for testing all elements of the style. To activate it, select the preview template and then click "Test Style".

Tip

Style tester templates are located in the media/templates/test folder. You can create your own test templates and store them in that folder. They will then be accessible in the above pull down.

You will obtain style tests like those in the examples below:

Sample product rendered using the Anytown Panthers style and the "Style Color Tester" template

Sample product rendered using the Anytown Coyotes style and the "Style Color Tester" template

You can create other test templates using CorelDRAW and saving them in the media/templates/test folder

Testing on Other Computers

Style information is saved in the database and this database can be moved from one computer to another - or accessed by multiple computers if using a MySQL networkable database (Enterprise Edition). The styles refer to palettes and fonts that may not be available on other computers. If other computers are to be used for product rendering, they should be tested to ensure the palettes and fonts are available.

Tip

Palettes are located in a dedicated folder in your media folder. Consult your workspace to see the location of your media folder.

Testing Products

The best test for your new styles is to attach them to a sample group and run a batch of all of your products intended for that group. To simplify the process:

  • Ensure that printing to major and mobile printers is off in your Renderer Settings; and
  • Set the workspace output setting to "Group ID" so that all rendered products end up in the same directory making your verification simpler.

If you are networking computers and have multiple renderers running (Enterprise Edition), shut the other ones down and run the complete batch through your computer's renderer. Next, shut your renderer down and repeat the test on another computer with that computer's renderer. If there are any problems, you will be able to determine which computer is missing access to templates, fonts, media or palettes.

See Also
Understanding Styles
Style Basics
Creating and Duplicating Styles
Editing Styles
Testing Styles
Default Styles
Deleting Styles


Understanding File Name Formats

Understanding File Name Formats
Configuring the System > File Name Formats > Understanding File Name Formats

When creating a SKU for a product, you can define the way that product's filename is produced. This has several advantages:

  • Some photo printers print the filename on the back of the photo. With a suitable filename, you will be able to identify who the photo is for, what group they belong to or print any other relevant variable that is stored within Krasbit Chameleon Studio 2;
  • Some group management software can automatically import photos and match them to the items on file - but only if the files are formatted a certain way. Some software requires the item's last name followed by an ID number, others may want first and last name as part of the photo's filename. Regardless, Krasbit Chameleon Studio 2 gives you full control on structuring the filename.
  • Some products you produce will have multiple pages. Adding the page numbering to the filename can help sort the products.

This chapter will cover how to create, edit, delete and assign filename formats to products.

File name format precedence

Filename formatting will be applied in this order:

  1. The filename format that is assigned to the product's SKU (Pro and Enterprise Edition only);
  2. The filename format that is defined as the "Default" in the filename format table (Pro and Enterprise Edition only);
  3. If the "Default" filename format or a SKU specified filename format has been deleted from the filename format table, then Krasbit Chameleon Studio will use the system default filename format %p %i %n which consists of the "product name", "item ID" and "page number". For Lite Edition or when the system runs in restricted mode, this is the only filename format available.

See Also
Creating File Name Formats
Editing File Name Formats
Deleting File Name Formats
Assigning File Name Formats to SKUs
File Name Format Cautions


Creating File Name Formats

Creating File Name Formats
Configuring the System > File Name Formats > Creating File Name Formats

Krasbit Chameleon Studio 2 comes loaded with some pre-defined file name formats.

Click on [Edit>Table>File Name Format] to see the following list:

ID | File Name Format
DEFAULT | %g %i %p %n
WITH_GROUP | G%g U%i %p %n
WITH_PRINTER_AND_TIME | %P_%p_%i_%n_%t

New file name formats can be created using any of the pre-defined codes below:

  • %g is the group ID number;
  • %i is item ID number;
  • %p is the product ID number;
  • %n is the page number of a product;
  • {%n}, when used, includes the number of pages if the number is greater than 1.
  • %P is printer name; and
  • %t is the time when the product was rendered.

Additional Text

File name formats can also have plain text added to make the file name more user friendly. Examples:

  • Group %g student %i
  • Item %i Time %t

Additional Variables

Any connector can be used in the file name format. As an example, VAR_U_002 is a connector that holds the item's last name. To use the item's last name instead of their item ID, create a file name format like this:

  • Student @VAR_U_002 Class %g
    In order for Krasbit Chameleon Studio to be able to substitute a last name for VAR_U_002, it must collect this information in the product profiles. The connector must therefore be part of the product's list of connectors.

Permitted punctuation

All alphanumeric text, including Unicode characters, in addition to the following symbols can be used to create file name formats: !#$^&()[]{}

The following characters should be avoided // \ / : * ? " < > |

The symbols @ and % should be used carefully so as to be confused with any of the codes indicated above..

See Also
Understanding File Name Formats
Editing File Name Formats
Deleting File Name Formats
Assigning File Name Formats to SKUs
File Name Format Cautions


Editing File Name Formats

Editing File Name Formats
Configuring the System > File Name Formats > Editing File Name Formats

To edit a file name format, go to [View>Tables>File Name Format], select the appropriate line in the table and double-click on the text to be changed.

When editing is done, move the cursor to another location on the screen or close the window and the changes will be recorded.

The file name format ID cannot be edited. If it needs to be changed, you must create a new file name format with the proposed ID and then delete the old one. Use the [Duplicate] button to accomplish this quickly.

The DEFAULT file name format can be edited. The new file name format will then be applied to all Krasbit products that were installed with your copy of Krasbit Chameleon Studio.

See Also
Understanding File Name Formats
Creating File Name Formats
Deleting File Name Formats
Assigning File Name Formats to SKUs
File Name Format Cautions


Deleting File Name Formats

Deleting File Name Formats
Configuring the System > File Name Formats > Deleting File Name Formats

When a file name format is no longer required, it can be deleted.

Go to [View>Table>File Name Format], select the line with the file name format to be deleted (ensuring it is highlighted blue), the press the [Delete] button.

You will be prompted to confirm the deletion. At this point, the file name format will be permanently deleted.

See Also
Understanding File Name Formats
Creating File Name Formats
Editing File Name Formats
Assigning File Name Formats to SKUs
File Name Format Cautions


Assigning File Name Formats to SKUs

Assigning File Name Formats to SKUs
Configuring the System > File Name Formats > Assigning File Name Formats to SKUs

Once a file name format is created, it must be attached to a SKU so that it can be used.

Go to View>Inventory Screen... and then look at the bottom right section to see all of the SKUs in your system. Under the Format column, click on the Edit button for one of the SKUs. A screen will pop up that allows you to specify the file name format for this SKU.

There are two ways to assign a file name format:

  • Use a predefined file name format; or
  • Use a custom file name format.

Custom file name formats use the same codes and text as predefined file name formats. The only difference is that they apply only to the edited SKU.

An example where this would be useful is a situation where you have 20 products based on an 8x10 photo. These products are all one page and use the same SKU. You create a new product that uses 8x10s but has a two page template and produces two sets of 8x10 photos. In this case, the file name must have a page number or time stamp otherwise the second rendered image will overwrite the first since they have the same name. To do this, duplicate the SKU and then create a custom file name format that includes %n or %t. Connect the new two page product to the new SKU.

See Also
Understanding File Name Formats
Creating File Name Formats
Editing File Name Formats
Deleting File Name Formats
File Name Format Cautions


File Name Format Cautions

File Name Format Cautions
Configuring the System > File Name Formats > File Name Format Cautions

Beware of the following situations when using file name formats

  • The @ and % symbols are reserved for connector variables and custom data codes;
  • Multi-page documents should contain %n (page number) or %t (time stamp) so that newly rendered pages do not overwrite older pages because they have the same file name. If your documents are small and can be rendered in under a second, then there is the risk that two successive files have the exact same time stamp and the second one would overwrite the first. If this is the case, then use the %n page numbering; and
  • Do not delete the DEFAULT file name format.

See Also
Understanding File Name Formats
Creating File Name Formats
Editing File Name Formats
Deleting File Name Formats
Assigning File Name Formats to SKUs


Understanding Databases

Understanding Databases
Advanced Features > Databases > Understanding Databases

A database is a collection of data that is organized in such a manner that its contents can easily be searched, accessed and changed. A spreadsheet could be considered an organized collection of data. The first row of the spreadsheet defines the data "fields" and the subsequent rows contain the actual data. A database table is very similar to this.

In the image below is an extract from the Krasbit Chameleon Studio database. This is a "table" containing information on the currencies supported by the system.

The first row defines the "fields" also known as "columns". Every subsequent row is a "record". The "record" is made up of "cells".

Krasbit Chameleon Studio is made up of dozens of tables that record information on the items, group, products and various system settings. Put together, these tables make up the Krasbit Chameleon Studio database.

A DSN, or Database Source Name describes what is required for an application such as Krasbit Chameleon Studio to connect to a data source. The DSN records:

  • The name of the database
  • The name of a driver which can access the data source
  • UserID and password (if required) to access the data source

Generally, a separate DSN is created for every database.

To review:

  • DSN: Database Source Name that defines how to connect to a database
  • Database: a collection of data that may or may not be organized in tables
  • Table: A grid where the first row defines data elements and where subsequent rows represent entered information
  • Fields (also called columns): Items in the first row of a table that define what type of information is stored
  • Record: Subsequent rows in the table that contain the information put into the system
  • Cell: A data item in a record.
See Also
Database Basics
Creating a Database Connection
Deleting a Database
Database Cautions


Database Basics

Database Basics
Advanced Features > Databases > Database Basics

When you first start Krasbit Chameleon Studio, a SQLite database is installed and filled with all the information required to run the software.

Over time, a database can become full and start to slow down. It can also contain data that is no longer required or interferes with more up to date data. You might also want to store different jobs in different databases. For these reasons, Krasbit Chameleon Studio allows you to use multiple databases and switch effortlessly between them.

Each databases contain the following information:

  • All contact and custom information for every item and group leader;
  • information on individual and group photos/logos;
  • Information on products, related SKUs and prices;
  • Color themes;
  • System settings; and
  • Translations to all of the above.

Krasbit Chameleon Studio, by default uses SQLite databases. The Enterprise edition can use more powerful MySQL databases.

SQLite

SQLite is one of two database types that can be used with Krasbit Chameleon Studio. SQLite is best for single-user use (one user accessing the database at a time). Several third party tools exist to manage the database. Its greatest advantage is that the entire database is contained in one file that can be easily saved, moved or backed up.

MySQL

MySQL is the second database type that can be used with Krasbit Chameleon Studio (Enterpise Edition only). MySQL is best for multi-user situations (many users accessing the database at a time). It can be run locally on one computer or from a server but is harder to backup and move from one computer to another. Additionally:

  • MySQL databases can be accessed by multiple users at once. This means you can have multiple copies of Krasbit Chameleon Studio running from the same database. This is a considerable advantage when multiple employees from an organization need access to the same information;
  • MySQL databases can be hosted on a web server. This means you can have users modifying the data through a web interface. An example would be a school principal who could add all the name of his students to a database through a web interface. The school photographer could then work from this online database during a photo shoot; and
  • MySQL databases benefit from many third party tools for editing and importing data. This is a widely used database and there are many database experts that are familiar with it and can be hired to manage systems or develop additional features.

DSN

Each database connects to Krasbit Chameleon Studio 2 through what is know as a Data Source Name (DSN). This DSN tells Krasbit Chameleon Studio what database to use and where to find it. Click here for more information on creating a DSN.

See Also
Understanding Databases
Creating a Database Connection
Deleting a Database
Database Cautions


Creating a Database Connection

Creating a Database Connection
Advanced Features > Databases > Creating a Database Connection

To create a new database connection, click on File>New>Database Connection.

You will be prompted for a Data Source Name (DSN). Every DSN is connected to one database. The name can be any text you wish to use to describe the purpose of the database connection. It should consist of alphanumeric characters A-Z, a-z and the numbers 0-9. The only special character permissible is a hyphen.

Krasbit Chameleon Studio supports two database types:

  • SQLite. A relational database that is stored in one file. Having all data in one file makes it easier to copy, backup and restore. This is the preferred choice if only one person at a time will access the database. Everything required to use a SQLite database is configured when you install Krasbit Chameleon Studio.
  • MySQL (Enterprise Edition only). A relational database that is stored in multiple files. It requires a server to be installed in order to run. It is the preferred choice if multiple users need to access the database or if the database is to be accessible from the web or through a network. The required ODBC drivers and the MySQL server must be installed separately. MySQL is only available for the Enterprise Edition of Krasbit Chameleon Studio.

Depending upon your database type selection, Krasbit Chameleon Studio will prompt for different information.

SQLITE Database

Existing SQLite database

Follow these steps:

  • Enter a new "Data Source Name" (DSN). Choose a name that describes the purpose of the database. The name is not case-sensitive. Use ASCII characters which include A-Z, a-z, 0-9, and the hyphen (-);
  • Select the SQLite option and click on Browse. Choose the SQLite database (it is a .db3 file);
  • The Workspace Settings screen will appear. Select the new DSN from the Data Source Name (DSN) pull down menu; and
  • Set up the workspace associated with the new DSN and press Apply to save the settings.

New SQLite database

Follow these steps:

  • Enter a new "Data Source Name" (DSN). Choose a name that describes the purpose of the database. The name is not case-sensitive. Use ASCII characters which include A-Z, a-z, 0-9, and the hyphen (-);
  • Next, select the SQLite option and click on Create Database File to choose the location and name of the new .db3 file. Click Save to create the new file. A new dialogue box will appear that shows the progress of the construction of the new database file. It is being filled with the basic information required so that it can be used with Krasbit Chameleon Studio. Note that the new database will not contain any group information or products. This will need to be created manually or imported using a CHML File;
  • The Workspace Settings screen will appear. Select the new DSN from the Data Source Name (DSN) pull down menu; and
  • Set up the workspace associated with the new DSN and press Apply to save the settings.

MySQL Database

Existing MySQL database

This database option is only available for the Enterprise Edition and if the appropriate MySQL Server and ODBC drivers have been installed. If the ODBC options are grayed out, then the drivers have not been installed. Click here for instructions on installing the driver before proceeding.

Example demonstrating the difference in appearance between an installed ODBC driver and one that is not

Follow these steps:

  • Enter a Data Source Name (DSN). Choose a name that describes the purpose of the database. The name is not case-sensitive. Use ASCII characters which include A-Z, a-z, 0-9, and the hyphen (-);
  • Select the preferred MySQL ODBC driver that is installed on your system;
  • Type in the Server information. If the MySQL server is installed on your computer and the database is also located on your computer, type in 127.0.0.1 or localhost. If the database is elsewhere, there are three ways a server address can be provided:
    • 1. Using a fully qualified domain name (ex: dbserver.anytownphotostudio.com:7024);
    • 2. Using IPv4 (ex: 192.168.19.46, and port 3306);
    • 3. Using IPv6 (ex: 2001:4898:23:1002:20f:1fff:feff:b3a3, and port 3306).
  • Type in the Database Server Port. Default is 3306;
  • Type the Database User. This can be any name. Select "root" as the default in order to connect to all schemas on the database;
  • Type the Database Password. This can be any combination of letters, numbers and special characters;
  • Click on Delete Existing Tables in this Schema and Add Chameleon Tables. A new dialogue box will appear that shows the progress of the data being added to the existing database file. It is being filled with the basic information required so that it can be used with Krasbit Chameleon Studio. Note that the database will not contain any group information or products. This will need to be created manually or imported using a CHML File;

    CAUTION!

    Using an existing database schema means that Krasbit Chameleon Studio 2 will delete the existing Chameleon tables and add new Krasbit Chameleon Studio 2 tables. Any non-Chameleon tables will not be affected. If your database schema is being used for some other purpose, do not select it. Create a new database schema instead.
  • The Workspace Settings screen will appear. Select the new DSN from the Data Source Name (DSN) pull down menu; and
  • Set up the workspace associated with the new DSN and press Apply to save the settings.

New MySQL database

Follow these steps:

  • Enter a Data Source Name (DSN). Choose a name that describes the purpose of the database. The name is not case-sensitive. Use ASCII characters which include A-Z, a-z, 0-9, and the hyphen (-);
  • Select the preferred ODBC driver that is installed on your system;
  • Ensure a Data Source Name (DSN) was previously entered.Type in the Server information. If the MySQL server is installed on your computer and the database is also located on your computer, type in 127.0.0.1 or localhost. If the database is elsewhere, there are three ways a server address can be provided:
    • 1. Using a fully qualified domain name (ex: dbserver.anytownphotostudio.com:7024);
    • 2. Using IPv4 (ex: 192.168.19.46, and port 3306); or
    • 3. Using IPv6 (ex: 2001:4898:23:1002:20f:1fff:feff:b3a3, and port 3306).
  • Type in the Database Server Port. Default is 3306;
  • Type the Database User. This can be any name. Select "root" as the default in order to connect to all schemas on the database;
  • Type the Database Password. This can be any combination of letters, numbers and special characters;
  • Click on Create New Schema and Add Chameleon Tables. A new dialogue box will appear that shows the progress of the data being added to the existing database file. It is being filled with the basic information required so that it can be used with Krasbit Chameleon Studio. Note that the database will not contain any group information or products. This will need to be created manually or imported using a CHML File;

    Caution!

    If you are using a networked MySQL database, the administrator may not have provided you with privileges to create new schemas. If this is the case, an alternative option is to use an existing schema and click on Delete Existing Tables in this Schema and Add Chameleon Tables. This will overwrite any existing Chameleon related tables and add all other required tables.
  • The Workspace Settings screen will appear. Select the new DSN from the Data Source Name (DSN) pull down menu; and
  • Set up the workspace associated with the new DSN and press Apply to save the settings.

See Also
Understanding Databases
Database Basics
Deleting a Database
Database Cautions


Installing MySQL Server

Installing MySQL Server
Advanced Features > Databases > Installing and Configuring a MySQL Database > Installing MySQL Server

The MySQL database server is a separate installation. It can be done before or after the Krasbit Chameleon Studio 2 installation.

To begin, go to: http://dev.mysql.com/downloads/mysql/5.1.html and choose version 5.1 (MSI Installer) for your Windows version (32-bit or 64-bit), then download MySQL. It is not necessary to login or sign up.

Locate the file in your download folder and run it. After the installation, you will need to configure the server. Ensure the "Configure the MySQL Server now" tick box is checked.

The registration tick box is optional.

Configure the system in the same manner as the following screenshots.

On the next screen, it is important to tick “Add firewall exception” to let other computers in your network access to this MySQL database.

The next step involves choosing a password for the root user. This is an extremely important password and should be recorded in a safe location. It will be necessary when creating new connections to this database.

The next step is the last one. Click on "Execute" and wait for the configuration to finish.

Your MySQL server is now installed.

The next step will be to create a database connection and have Krasbit Chameleon Studio 2 populate the database.

See Also
Installing MySQL ODBC Drivers


Installing MySQL ODBC Drivers

Installing MySQL ODBC Drivers
Advanced Features > Databases > Installing and Configuring a MySQL Database > Installing MySQL ODBC Drivers

This page applies only to the Krasbit Chameleon Studio 2 Enterprise Edition.

MySQL Server Installation

This is an optional installation. If you will be connecting to MySQL databases running on a server or other computers, you do not require the server on your computer. If you plan to run the MySQL database locally (on your computer), then the database must be installed on your computer.

MySQL ODBC Driver Installation

A MySQL ODBC driver must be installed to connect to a MySQL database. Go to: http://dev.mysql.com/downloads/connector/odbc/5.1.html and choose version 5.1.6 (MSI Installer) for Windows (32 bit for 32 bit systems, 32 and 64 bit are required for a 64-bit system), then download the MySQL Connector/ODBC 5.1 driver. This driver creates a connection between Krasbit Chameleon Studio and a MySQL database.

Set ODBC Source

Go to your computer's Control Panel/Administrative Tools and open "ODBC Data Sources ". You will get a dialogue box similar to the following:

Next, click on Add... and select the MySQL ODBC driver.

Click Finish. The following dialogue box will appear:

Fill fields like this:

Data Sources Name: Any name can be used. Any alphanumeric characters and spaces can be used
Description: optional
Server: fill with “127.0.0.1” to use local server on your computer. If the MySQL server is on another computer, then provide that computer's IP address or the domain of that server (computer)
Name: chameleonAdmin
Password: 123chameleon or whatever password was used
Database: Select the “chameleon” database from the drop-down list

Now, click the Test button to ensure the connection is working. If so, click OK. The ODBC connection is now complete.

See Also
Installing MySQL Server


Deleting a Database

Deleting a Database
Advanced Features > Databases > Deleting a Database

There are several reasons why a database may need to be deleted:

  • A database may contain out of date information and not be required anymore;
  • A database may be so large that it is affecting performance and should be split into two or more smaller databases; or
  • Information has been migrated to another system and the database is no longer in use.

SQLite Database

Deleting a SQLite database is a simple process. Locate the appropriate .db3 database file using Windows Explorer and delete this file.

MySQL Database

This capability is not available within Krasbit Chameleon Studio. Database management tools are required to delete a database.

See Also
Understanding Databases
Database Basics
Creating a Database Connection
Database Cautions


Database Cautions

Database Cautions
Advanced Features > Databases > Database Cautions

Your business depends on your database. Without it, Krasbit Chameleon Studio can not function. It is recommended that you back up your database monthly.

SQLite

The SQLite database is contained in one file. Good practice includes:

  • This file should be stored in a location where it is unlikely to be deleted or overwritten;
  • If other users login to your computer and use Krasbit Chameleon Studio, the .db3 file should be placed in a location where everyone logging in can access it;
  • The file may be placed in a location that is synchronized with cloud backup;
  • The file should not be stored on a network or any drive that is not physically connected to the computer. If so, data transmission times will be slowed making Krasbit Chameleon Studio respond slowly;
  • Duplicates of the .db3 file can be made and saved as backups; and
  • Only one user at a time should be writing to the SQLite database.

The SQLite drivers come in both a 32 and a 64 bit version. 64 bit users need to install both versions. 32 bit users need only install the 32 bit version.

To see what version you are running, click on the Windows [Start] button, right-click on [Computer], and select the Properties option.

If uninstalling, re-installing or upgrading SQLite ODBC drivers, ensure that both Krasbit Chameleon Studio 2 and the renderer or other applications using the driver are not running.
If uninstalling, re-installing or upgrading SQLite ODBC drivers, your DSN connections will be lost. Prior to re-installing or upgrading, make a note of your DSN names and the .db3 databases they connect to. You will then need to manually recreate the DSN connections.

MySQL

Unlike SQLite, a MySQL database is not contained in one file and can not be backed up as easily. The best method to backup portions of the database is to follow the instructions at Exporting a CHML Package. Alternatively, if you have third party management tools (ex: MySQL Administrator or MySQL Workbench), you can perform backups of the entire database.

See Also
Understanding Databases
Database Basics
Creating a Database Connection
Deleting a Database


Understanding Workspaces

Understanding Workspaces
Advanced Features > Workspaces > Understanding Workspaces

The Krasbit Chameleon Studio system is currently storing photos, logos and artwork in a variety of directories. This collection of directories make up what is known as a "workspace". The advantage of having a workspaces is that it allows you to define a collection of directories, save the collection, and easily switch between other collections of directories.

If you will be doing all of your work on one computer and putting all of your clients into the same database, you may never need to change the workspace. If you want to keep client data separate, use multiple computers or store images in various directories or drives, then you require an understanding of how a workspace functions.

The following chapters will show you how to create, edit and delete workspaces. Below are two examples that demonstrate the workspace concept and its utility.

Example 1:

You are developing new artwork for a particular sport and you want to test out your designs. You don’t want this test material to interfere with your production material. The solution is to create a workspace for testing and one for your production data.

  • Workspace 1. Call this workspace Production. It contains the directories used for your production work and refers to locations that contain the artwork, photos and logos for real clients;
  • Workspace 2. Call this workspace Test. It contains the directories that have been created to store sample data that you will use for testing. The workspace points to directory locations that contain sample photos for items and groups. The media folder directory is a location that contains the artwork you are testing. You can choose to output to the same location as your production products or specify a different location.

Example 2:

You generally work alone and do all of your photography and production on one computer. For a new contract for a large client, you need to have several computers working together.

  • Standalone operation. You continue to use your default workspace settings for your day to day operations. Everything is stored locally on your computer.
  • Networked operation. You create and connect to an online or network accessible database.
    • Computer 1. Within your networked database, you define a workspace for your computer that uses network accessible directory locations (a server or another computer that allows its files to be read). The workspace could be called "computer 1 workspace". The cache folder must be a local directory.
    • Computer 2. Connect to the same networked database. This computer should have access to the same networked folders as computer 1. Create a new workspace called "computer 2 workspace". The folder locations should be identical to computer 1 - the only exception being that a local directory must be specified for the cache folder.
    • Computer 3 and other computers - repeat the process as with computer 2 ensuring that the cache folder is always local (not networked).

.

See Also
Workspace Basics
Creating a Workspace
Editing a Workspace
Deleting a Workspace
Workspace Cautions


Workspace Basics

Workspace Basics
Advanced Features > Workspaces > Workspace Basics

Access your current workspace by going to File>Open>Workspace.

This chapter will cover the parts of a workspace.

Database

The first item on the workspace page identifies the database you are connected to. The database stores all the information that you put into Krasbit Chameleon Studio. Every database has at least one workspace defined. There is no limit to how many workspaces you can create for a database.

Some users choose to keep all clients within one database and one workspace. Other users chose to create a database and workspace for every type of client they have. As you become familiar with the system, you can choose what is most convenient for your workflow.

Tip

Changing database will change the workspace. Krasbit Chameleon Studio remembers the last workspace you used with a particular database and will activate that one.

Workspace ID

This is a short unique number or name that you select that is used to create sub-directories to store information. The default workspace ID is "1". The paragraphs below will provide examples of how the workspace ID is used to create sub-directories.

Media folder

This is where most of your production/rendering information is stored. The following sub-directories are located in the default media folder:

  • custom - This folder contains logos, watermarks and other artwork used by your company to customize the application and rendered products;
  • groups - This folder contains all group photos that have been connected to a group. The directory has a sub-directory identified by the workspace ID and then the Group's ID number. Example: using the default workspace ID, a group with group ID "345", would have its photos and logos stored in C:\chameleon\media\groups\1\345.
  • palettes - This folder contains all color palettes used for defining styles;
  • photos - This folder contains individual photos that have been connected to an item. The directory has a sub-directory identified by the workspace ID and then the item's ID number. Example: using the default workspace ID, an item with user ID "20", would have his photos stored in C:\chameleon\media\photos\1\20.
  • samples - This folder contains sample poses, also known as silhouettes, that are used on the Profiles tab to guide the user with respect to the type of photos or images required. It also contains thumbnails that show the dimensions and layout of dynamic artwork used in product foregrounds and backgrounds. The folder is pre-populated to support the products that come pre-loaded with Krasbit Chameleon Studio.
  • templates - This folder contains all the CorelDRAW templates used for rendering products;

If you define a new media folder location, there are sub-directories that are automatically created by chameleon and added to the new media folder and there are others that are created when required (ex: when creating a new product and specifying a product template, Krasbit Chameleon Studio will create a "templates" sub-directory to store the template)

Sub-directories created by Krasbit Chameleon Studio Sub-directories created when required
  • custom
  • groups
  • palettes
  • photos
  • samples
  • templates

Caution!

Do not specify a media folder location when no media files exist there. If it is necessary to specify a different media location, use the Move Media Folder button on the workspace page.

Output folder

The output folder is where rendered products will appear. The default location is C:\chameleon\output\workspace. The workspace definition page provides options on how the folder is sub-divided. There are fifteen subfolder options to choose from.

To illustrate the different options, assume the following values :

  • Workspace ID is "1"
  • User ID is "2" (Ronnie Arbuckle)
  • Group ID is "17" (Anytown Lions)
  • Parent group ID is "9" (Anytown Soccer League)
  • Printer is "Ricoh"

The "Append translated name" checkbox, when ticked, adds a translated item or group name to the end of the subdirectory. It also removes directories such as "groups", "printers" and "items" from the directory address.

The "Custom output preference:" allows you to specify a directory location under the specified "output folder" location. The Workspace ID will be part of the directory structure.

Output subfolder based on: | Example output location | Example output location (With "Append Translated Name" set to yes)
only workspace ID subfolder | C:\chameleon\output\1 | C:\chameleon\output\1
Printer | C:\chameleon\output\1\printers\Ricoh | C:\chameleon\output\1\Ricoh
Printer and parent group ID | C:\chameleon\output\1\printers\Ricoh\groups\9 | C:\chameleon\output\1\Ricoh\9-Anytown Soccer League
Printer and group ID | C:\chameleon\output\1\printers\Ricoh\groups\17 | C:\chameleon\output\1\Ricoh\17-Anytown Lions
Printer and user ID | C:\chameleon\output\1\printers\Ricoh\items\2 | C:\chameleon\output\1\Ricoh\2-Ronnie Arbuckle
User ID | C:\chameleon\output\1\items\2 | C:\chameleon\output\1\2-Ronnie Arbuckle
User ID and printer | C:\chameleon\output\1\items\2\printers\Richo | C:\chameleon\output\1\2-Ronnie Arbuckle\Ricoh
Group ID | C:\chameleon\output\1\groups\17 | C:\chameleon\output\1\17-Anytown Lions
Group ID and user ID | C:\chameleon\output\1\groups\17\items\2 | C:\chameleon\output\1\17-Anytown Lions\2-Ronnie Arbuckle
Group ID, user ID and printer | C:\chameleon\output\1\groups\17\items\2\printers\Ricoh | C:\chameleon\output\1\17-Anytown Lions\2-Ronnie Arbuckle\Ricoh
Group ID and printer | C:\chameleon\output\1\groups\17\printers\Ricoh | C:\chameleon\output\1\17-Anytown Lions\Ricoh
Parent group ID and group ID | C:\chameleon\output\1\groups\9\groups\17 | C:\chameleon\output\1\9-Anytown Soccer League\17-Anytown Lions
Parent group ID, group ID and printer | C:\chameleon\output\1\groups\9\groups\17\printers\Ricoh | C:\chameleon\output\1\9-Anytown Soccer League\17-Anytown Lions\Ricoh
parent group ID | C:\chameleon\output\1\groups\9 | C:\chameleon\output\1\9-Anytown Soccer League
Parent group ID and printer | C:\chameleon\output\1\groups\9\printers\Ricoh | C:\chameleon\output\1\9-Anytown Soccer League\Ricoh
custom output preference | C:\chameleon\output\1\specified subfolder | C:\chameleon\output\1\specified subfolder

Caution!

Note that the appended text is written in the "application" language. If you were to change your application language from English to French, then the group ID subdirectory with "appended translated name" would be written as C:\chameleon\output\1\groups\17 Lion's d'Anytown. This could create a problem because you now have two directories where the output information is stored. If you will be switching application languages regularly, it is recommended that "Append translated name" not be selected.

Caution!

Do not use any "\" characters in your printer, group or item name. The system will interpret this "\" character as being a sub directory and will change the output location structure.

Whenever a product is sent to be rendered, information regarding that product is stored in the database. This information can be viewed in the Output Browser. Over time, this database table can become very large and affect system performance. To clear the table, simply press the Empty Output Table button.

Monitored Folder Settings

There are five directories that you can define for inputting and storing photos or graphics. These are locations that the various ribbons on the production screen refer to. For example, the location for the images that appear in the Input ribbon below is defined in the workspace as being the C:\chameleon\monitored folder\input directory.

Sample input ribbon

Folder | Description | Default
Input folder | This is the main folder where photos entering the system should be placed. If you tether your camera (connect to computer via a cable) or send images wirelessly, they should be sent to the input folder. If you transfer images from your camera's media card, they should be copied to the input folder. The input folder should ideally be a local directory. | C:\chameleon\monitored folder\input
For keying folder | This folder is only required if you are taking chroma key images. The folder and its operation is explained in greater detail in the section on chromakey photography. | C:\chameleon\monitored folder\keying
Keyed folder | This folder is only required if you are taking chroma key images. The folder and its operation is explained in greater detail in the section on chromakey photography. | C:\chameleon\monitored folder\keyed
Exception images | During a photo shoot, there may be items or groups that are unidentified or other images that can't be used immediately in your workflow. The exception folder exists to transfer these "exception" images so they can be processed at a later time. This directory can be a local or a shared location. | C:\chameleon\monitored folder\exceptions
Archive folder | Once images from the input folder are processed, they can be moved to the archive folder. This reduces the number of images in the input folder and makes continued processing simpler. The archived folder can be a local or a shared location such as a backup drive or cloud directory. Additional information on archiving is available in the archiving images chapter. | C:\chameleon\monitored folder\archive

Tip

A custom location folder can also be defined but this is done within the ribbons, not the workspace.

Cache folders

Every photo or artwork introduced into the Krasbit Chameleon Studio system has a small thumbnail generated and stored in a cache folder. These small thumbnail images are easier to manipulate and render faster than the original much larger file so Krasbit Chameleon Studio uses them whenever an image must be displayed. There are two folders for storing these thumbnails:

  1. C:\chameleon\monitored folders\cache\ is used to store all images that are displayed in the monitored folders; and
  2. C:\chameleon\media\cache\ is used to store thumbnails of all images used in the production of products (foreground/background images, previews of product templates, etc.).

Tip

Over time, cache folders can contain many images so they should be on a drive or a location with adequate space. Also, the cache folder is accessed in most Krasbit Chameleon Studio operations so it should be on a local rather than a networked drive to ensure rapid access.

The monitored folder cache directory is not visible in a ribbon directly, but its contents are used to populate all ribbons.

Caution!

Emptying the cache folder will necessitate regenerating thumbnails for all images when they are viewed again. This will slow the system down while an image's thumbnail is being rendered.

If thumbnails for products are not available, then order forms/catalogs will use the original full resolution images. Again, this will slow the system down during rendering.

See Also
Understanding Workspaces
Creating a Workspace
Editing a Workspace
Deleting a Workspace
Workspace Cautions


Creating a Workspace

Creating a Workspace
Advanced Features > Workspaces > Creating a Workspace

Access your current workspace by going to File>Open>Workspace.

To create a new workspace:

  • Click the icon for a new workspace: ;
  • The name in the "available workspace" box will be changed. It will include a suffix of "NEW". Disregard this entry for now;
  • The next row is called "New chameleon workspace label". Enter the name you would like for your new workspace here. Naming convention could include the purpose of the workspace, the computer for which this workspace is configured, or the type of work you do with the workspace (example: production, test or training). Once you click Apply, the name of the "available workspace" will change to the chosen label;
  • Enter the locations of the media and output folders and output sub-directory preference; and
  • Enter the location of all working directories.

Tip

The workspace information is stored within the database. If you open the database on another computer, the workspaces are available on that computer but may not necessarily point to valid locations since the second computer's directory structure could be different. If you will be using the database on different computers, it is recommended that a workspace unique to each computer be created. It is also required that the cache and input ribbons be on a local drive. Mapping networked locations to a local drive letter will work.

See Also
Understanding Workspaces
Workspace Basics
Editing a Workspace
Deleting a Workspace
Workspace Cautions


Editing a Workspace

Editing a Workspace
Advanced Features > Workspaces > Editing a Workspace

Access your current workspace by going to File>Open>Workspace.

To edit a workspace, select the desired workspace, edit the required locations, and press Apply. The new information is now saved and can be retrieved at any time.

See Also
Understanding Workspaces
Workspace Basics
Creating a Workspace
Deleting a Workspace
Workspace Cautions


Deleting a Workspace

Deleting a Workspace
Advanced Features > Workspaces > Deleting a Workspace

Access your current workspace by going to File>Open>Workspace.

To delete an existing workspace:

  • Select the workspace to delete in the "Available workspaces" option;
  • click the delete icon: ; and
  • Confirm you wish to delete the workspace:

The workspace will be removed from the database. It will no longer be available on any computer that uses this database.

See Also
Understanding Workspaces
Workspace Basics
Creating a Workspace
Editing a Workspace
Workspace Cautions


Workspace Cautions

Workspace Cautions
Advanced Features > Workspaces > Workspace Cautions

Mixing databases and workspaces can create problems. Ideally, every database has its own workspaces with unique directory locations.

Example. Database 1 contains the name of soccer players with user_ids numbered from 1 to 100. This database uses Workspace ID 1 and the default media folder location. Individual photos are therefore stored in the media\photos\1 directory. Example, the subject with user_id 20 has his photos stored in media\photos\1\20.

If you have database 2 containing the names of volleyball players with user_ids from 1 to 200, then the volleyball player with user_id 20 will have his individual photos placed into media\photos\1\20 if you continue to use a workspace ID of '1" and the default media folder location - this means the volleyball and the soccer player photos are mixed together in the same directory.

Solution 1. Database 2 should have a different workspace ID if you continue to use the same media location. If you select "2" as the workspace ID, then the volleyball player's photos will be in media\photos\2\20 and there will be no conflict with the soccer players.

Solution 2. Specify a different media folder location for different databases. The downside to this solution is that template files must be copied for every media folder location used. This can have advantages if you have many templates and their management is becoming an issue. You could use Workspace ID 1 for both soccer and volleyball but specify media\soccer as the media folder for the soccer database and media\volleyball as the media folder for the volleyball database. You would then place your soccer templates into a folder called media\soccer\templates and your volleyball templates into a folder called media\volleyball\templates. Folders for individual photos would then be automatically created for soccer players under media\soccer\photos\1 and under media\volleyball\photos\1 for volleyball players. Likewise, the same process happens for group photos where the system would create media\soccer\groups\1 for soccer group photos and media\volleyball\groups\1 for volleyball group photos.

Solution 3. Use same workspace ID for all databases but assign a range of group and user IDs unique to every database. Example, database 1 could contain groups numbered from 1000 to 1999 and players from 1000 to 1999. Database 2 would start with groups at group_id 2000 and players with user_id at 2000. If the group_ids and user_ids stay within their allotted range, there is no risk of overlap and user and group photos will not end up in shared directories. Although workable in theory, this solution may create problems in practice if the player information is not imported properly.

See Also
Understanding Workspaces
Workspace Basics
Creating a Workspace
Editing a Workspace
Deleting a Workspace


Importing data Introduction

Importing data Introduction
Advanced Features > Importing/Exporting Data > Importing data Introduction

The power of Krasbit Chameleon Studio comes from its ability to easily merge data and images into any output format. To accomplish this, one needs to get data into the system and this chapter will explain the many ways that can be done.


Importing Data using Speadsheets

Importing Data using Speadsheets
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Importing Data using Speadsheets

Krasbit Chameleon Studio comes pre-loaded with sample data – both groups and players. If you have read this far and worked your way through the Production Screen section, you have had a chance to experiment with this data. Krasbit Chameleon Studio will only be of use to you if you can get real client data into the system. This can be done by manually entering one at a time but this is a cumbersome process. The better and faster technique is to import the data. This chapter will show you how to do that.

File formats

Krasbit Chameleon Studio can import the following file formats:

  • Comma Separated Value (.csv)
  • Excel 97 (.xls)
  • Excel 2003 (.xls)

Caution!

Versions of Excel after 2003 that are XML based are not supported. These files are identifiable by their suffix that ends in .xlsx.

Demonstration files

The best way to learn about importing spreadsheets is to work with some actual data. Training files are located in the training folder at C:\chameleon\training. We will be working with a file called spreadsheet import training.xls.

The following section contains several examples of how data can be imported

Example 1

The simplest of imports involves adding information to an existing group. Contains:

  • Only Variable information of the type that matches the group's Category ID (Category ID determines what information is collected for a group).

Example 2

Adds information to an existing group. Contains:

  • Variable information that matches the group's Category ID; and
  • Profile information (height and weight that are not defined in the Group Category but are required for some products).

Example 3

Adds information to an existing group. Contains:

  • Variable information that matches the group's Category ID;
  • Profile information: and
  • Contact information.

Example 4

Adds information to an existing group. Contains:

  • Variable information that matches the group's Category ID;
  • Profile information: and
  • Contact information with multiple items sharing the same contact.

Example 5

Adds information to a new group created under a selected parent group. Contains:

  • Variable information that matches the group's Category ID; and
  • Information to create the new group.

This exercise will create a new group with Category ID "TEAM_HOCKEY". You will not be adding players to an existing group but rather to the new one being created. When prompted to select a location to in the group hierarchy to place your new group, you must select the Anytown Hockey League so that your new group is placed under it.

Example 6

Adds information to new groups created under a selected parent group. Contains:

  • Variable information that matches the group's Category ID;
  • Information to create the new group; and
  • Information to assign the Category ID to the group.

Example 7

Adds information to a new group created under a selected parent group. Demonstrates how multilingual names are added. Contains:

  • Variable information that matches the group's Category ID;
  • Information to create the new group;
  • Information to assign the Category ID to the group; and
  • Multilingual group name.

Example 8

Demonstrates how to handle items that have identical contact information.


Exercise 1

Exercise 1
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 1

This example will import one team's players into a pre-existing team. The Anytown Panthers are a football team in the Anytown Football League. Go to the Production Screen, look in the group hierarchy under sports and locate this team. Note that the team does not contain any players.

Click on the team and then select "Edit" from the [Groups] pull down menu. This will show you all the details on the Anytown Panthers. Note that the group's Category ID is "Sports Team". Being identified as a "Sports Team" means the group stores certain information on its players:

  • First Name;
  • Last Name;
  • Position;
  • Number; and
  • Gender.

If the group's Category ID was "School Class", the group would not be recording information such as "Position" or "Number". It is important to know the Category ID of a group to know what data is being recorded and required for the import. More information on Category IDs is available in the Categories and Variables View section. This will show you what variables are attached to each Category ID.

Proceed to File>Import>Spreadsheet. A dialogue box appears asking you to select a file (ensure the file you wish to import is not open in any other application). Proceed to c:\chameleon\training and select the spreadsheet import training.xls file. A new screen appears showing you the contents of the spreadsheet.

Ensure that "Valid data starts on this line" is set to 2. You will see a series of tabs that match the tabs (pages/sheets) within the Excel document. If not already selected, click on the tab for Example 1. You will now see all the data that is part of Example 1.

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Notes

This is a simple text column with information that is imported directly into the item's notes field.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.


Exercise 2

Exercise 2
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 2

This example adds more complexity to the data import.

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exercise 3

Exercise 3
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 3

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exercise 4

Exercise 4
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 4

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exercise 5

Exercise 5
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 5

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exercise 6

Exercise 6
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 6

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exercise 7

Exercise 7
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 7

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exercise 8

Exercise 8
Advanced Features > Importing/Exporting Data > Importing Data using Spreadsheets > Exercise 8

You can quickly tell there are five names that are going to be imported. Lets break each of the columns down and study them separately:

Column Header | Description
Calculated Group Header | There are several columns that are blank. These columns will be filled in by chameleon once you have selected the location (group/team) where these players are to imported. Every player in the system is stored under an "Item ID". Every item (player/student/object) belongs to a group that has a unique "Group ID". The player's information can't containg a Group ID until you have told the system what group they are to be imported into. Clicking on "Analyze Spreadsheet" allows you to select the group. Chameleon then fills in this column with the appropriate "Group ID" number in a green font. There are several examples of this process in this spreadsheet.
Contact e-mail

Contact information such as a person's name along with their shipping and billing addresses are stored in a separate database table. The reason for this is because several items (players/students/objects) may share the same contact information; example: a brother and sister on a sports team have the same parent as a contact. Note that the Arbuckle brothers have the same contact information.

Contact information is also used to fill out the billing and shipping information for an order form.

If no order forms are to be printed, then contact information can be skipped.
contact first name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's first name here.
contact last name | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's last name here.
billing address | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing address here.
billing city | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing city here.
billing zip | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's billing zip here.
phone | Similar to above, if order forms are to be printed or there is a need to store contact information, record the contact's phone here.
Calculated item ID | Every item in the chameleon database has a unique item ID. These ID numbers are assigned sequentially as an item is entered into the database. It is difficult to manually determine the item ID number of the last item created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated item ID numbers appear in green.
language

On the Applications Settings page, you indicated your application language (only one can be set and this is the language that chameleon is displayed in) and your production language(s) (one or more can be set and represent the languages you expect your clients to use and for which you will produce products in that language).

This column can be left blank in which case every item (player/student/object) is assigned the application language. Otherwise, the column can be filled in with any of the production language codes. If a language code is used that is not one of the selected production languages, the system will treat that item as using the application language.

Language codes in use are defined by the two digit ISO XXXX code. Example: FR for French, ES for Spanish, EN for English (UK), EN-US for American English.
Calculated contact ID

Every contact in the chameleon database has a unique contact ID. These numbers are assigned sequentially as a contact is entered into the database. It is difficult to manually determine the contact ID number of the last contact created in chameleon so the system will calculate this for you when you press "Analyze Spreadsheet". You will see the calculated contact ID numbers appear in green.

In our example, the Arbuckle brothers have the same contact (their father). Note that in the calcualted contact ID column the "#1" entry is in two locations. This is telling the system that when contact ID numbers are assigned, the rows with "#1" should be assigned the same contact ID. If there were three Arbuckle family members, the "#1" would be used in three rows. If Paul Martin had a brother on the team, he and his brother would be assigned "#2". Repeat this process for every situation where multiple items have the same contact.

In the event a contact is already in the system, and you know that contact has contact ID number 1234, enter 1234 as the contact ID in the spreadsheet. The "Analyze Spreadsheet" function will skip over this entry and keep the number that was entered.
First Name | This is the first name of the player. This is the name that will be used to customize any rendered products. The contact first name is only used on the order form. This is a Variable that belongs to the Sports Team Group Category.
Last Name | This is the last name of the player. This is the name that will be used to customize any rendered products. The contact last name is only used on the order form.
Number | This is the player's jersey number. It will be used to customize any rendered products. Chameleon treats the number field as optional (not all teams have numbers, ex: swim teams) so the column can be left blank.
Position | This is the player's position on the team. It will be used to customize any rendered products. Chameleon treats the position field as optional (not all teams have positions, ex: ski team) so the column can be left blank.
Gender | This is the player's gender. It can be used to customize products that are gender based. Chameleon treats the gender field as optional (not all products require this information) so the column can be left blank.
Height | This column has been added to demonstrate how product labels work. When producing a sports trading card, there is a section that shows the player's height, weight and what they want to be when they grow up. Some of this information can't be known in advance, some can. When rendering the sports trading cards, you will be prompted for the missing information.


Exporting a CHML Package

Exporting a CHML Package
Advanced Features > Importing/Exporting Data > Exporting CHML Packages > Exporting a CHML Package


Backing Up a Database

Backing Up a Database
Advanced Features > Importing/Exporting Data > Exporting CHML Packages > Backing Up a Database


Chroma key photography

Chroma key photography
Advanced Features > Chromakey Photography > Chroma key photography

Krasbit Chameleon Studio supports chroma key photography (also known as green screen or blue screen photography). To perform chroma keying, you will need:

  • Green or blue screen background with support;
  • Suitable lighting; and
  • Software to perform the keying (removal of green or blue).

The photo display ribbons in Krasbit Chameleon Studio 2 allow you to view your incoming and keyed photos.

Workflow

There are two ways to do chroma keying:

  • Images are selectively sent for keying; or
  • Every image that enters the Krasbit Chameleon Studio 2 system is automatically keyed.

Here is how to configure your workspace for both methods:

Selective Keying All Images Keyed
  • Use the c:\chameleon\monitored folders\input folder as your "input folder" (tethered images or wireless);
  • Use the c:\chameleon\monitored folders\forkeying folder as your "For keying folder". Your chroma keying software must use the same folder as its "hot folder". In other words, any image that ends up in this folder will be keyed by the system; and
  • Use the c:\chameleon\monitored folders\keyed folder as your "Keyed folder". Your chroma keying software must also use this folder as its "output" folder.
  • Use the c:\chameleon\monitored folders\input folder as your "input folder" (tethered images or wireless);
  • Use the c:\chameleon\monitored folders\input folder as your "For keying folder". Your chroma keying software must use the same folder as its "hot folder". Any image that comes into the system will be displayed in the input folder and will be automatically keyed; and
  • Use the c:\chameleon\monitored folders\keyed folder as your "Keyed folder". Your chroma keying software must also use this folder as its "output" folder.

Software

Consult “Owner Manual – Configuring Chroma Key Software” guide for more information about suitable software packages that can integrate with Krasbit Chameleon Studio.

Tip

New high key chroma keying software also supports “high key” chroma keying – this is essentially a bright white background that can be removed electronically from an image. Photographers who already have high-key lighting equipment can benefit from this.


Optimization Memory settings

Optimization Memory settings
Advanced Features > Optimization > Optimization Memory settings

CorelDRAW will render products faster if there is more RAM available to do calculations. 32-bit operating systems are limited to a maximum of 4 GB of RAM. This limitation is imposed by Windows. The only way to make use of more installed RAM is to run a 64-bit operating system. This is only possible with Windows 7 / 8 / 10

The benefit of having a large amount of RAM is that you can have multiple "big" applications running at the same time and still have memory to spare.

CorelDraw X6 is the first to be a true 64-bit application that can take advantage of the 64-bit operating system, increased RAM and multi-core processors.


Customizing templates
Working with Templates > Customizing templates

Customizing templates

Chameleon Studio comes pre-loaded with templates for several sports, different levels of schools and some sample events. You can take any of these templates and modify them to suit the requirements of the sport, school or event that you are working with.

This section will cover all aspects of creating and editing Krasbit Chameleon Studio templates.


Creating Mockup Pages

Creating Mockup Pages
Working with Templates > Creating Mockup Pages

If you render an order form, Krasbit Chameleon Studio 2 will render all the component products and place this artwork into the form. This may not always be desirable as some product templates have a lot of extra information and meta data that you don't necessarily want shown to your client.

The solution to this is a "mockup" page on the product template that is used to create an image of a completed product. The example below shows on the left what Krasbit Chameleon Studio renders to produce a wall clock (this is the file you print and sublimate) and it also shows on the right what the mockup produces (which is more representative of the final product). If you did not have a mockup page, the image on the left is what would appear in your order form.

Comparison of rendered product and mocked up product

Another comparison of rendered product and mocked up product

Advantages of mockup pages

In the wall clock example above, there are several advantages to creating a mockup page:

  • The mockup more accurately represents the final product; and
  • The mockup required for the order form is much smaller in size and will therefore render faster thereby speeding up the production of the order form. A fully rendered wall clock will be 12 inches (31 cm) in size whereas the mockup only needs to be rendered at 2 inches (5 cm) in size – this leads to a substantial difference in rendering time.

Creating a mockup page

You can create a mockup page in your template by clicking on the page icon with the “+” symbol in it located at the bottom left of your CorelDRAW screen. A new page is created next to the currently selected page. Right click on the page to rename it. The naming is case sensitive so you must spell “mockup” in all lowercase letters with no spaces.

Figure – Creating new template pages

The order of the pages is not important. There can be only one “mockup” page but as many pages as necessary starting with “Page “. “notes” pages are used by the template designer to store information relative to the template. The “notes” pages are never rendered.

Artwork for mockup page

The mockup page can be created very quickly by simply cutting and pasting all of the content from Page 1. Ideally, shrink the entire product to a size that is consistent with your requirements for the order form. Caution, see Scale with image regarding issues with shrinking content.

If you have a multi-page product, you can create a mockup that is representative of all of the pages. For example, if creating a 10 page photo book, a mockup of the opened book can be used with a sample of one of the pages. if creating player trading cards, the mockup page can contain both sides of the card displayed side-by-side like in the example below.

.

See Also
Scale with image
Notes pages


Scale with image

Scale with image
Working with Templates > Scale with image

Be aware that when shrinking objects for which you have defined a line thickness greater than “hairline”, the line thickness will remain the same unless you have specified “scale with image” for the object’s line. The figure below shows what happens when an object with a 2mm line thickness is shrunk.

Figure – Scaling line width with image

To enable “scale with image”, select the object for which you have specified a line width and then press F12. This will open the Outline Pen dialogue box. Tick the “Scale with image” check box to ensure that the line thickness is reduced when making your products smaller for the mockup page.

Figure - Outline Pen dialogue box


Notes pages

Notes pages
Working with Templates > Notes pages

The notes pages are an optional part of a product template. They are used by the template designer to store information regarding the template and communicate this to the user.

Notes pages are generally after the product pages and mockup page. The order is however not important and there can be as many "notes" pages as required.

Product templates supplied by Krasbit and authorized 3rd party suppliers have a standard notes page that provides the following information:

  • Design Studio - The individual or company that created the template;
  • Designer - The name of the template's designer;
  • Collection - Provides the name of the collection this template may be a part of;
  • Version - Indicates the current version of the template and for what version of Krasbit Chameleon Studio is limited to;
  • Title - The unique title for this template;
  • Description - Describes the purpose of the template and what other related products are available. ;
  • Canvas - the size of the background and any special resolution considerations;
  • Fonts - Indicates if there are any special font requirements;
  • Artwork - Discusses licensing or special considerations related to any artwork that is part of the template;
  • License/Terms of use - Outlines what permissions you have with this template from its designers;
  • Copyright and Trademarks - Copyright notice of the designer or design studio.
  • Support - if available, lists the support languages and contact information for the designer or design studio.

When creating your own notes page, there is not constraint on the size of the page or what information you put into it. Bear in mind that this page will not be rendered by Krasbit Chameleon Studio so any connector objects will not produce anything.


Naming Conventions

Naming Conventions
Working with Templates > Naming Conventions

When creating a new product, you will first need to provide a Product ID, then a file name and then link the product to a Krasbit Chameleon Studio template. Each of these must have a name and it is best to think beforehand how to structure these names to ensure a smooth operation.

Product ID Naming

When creating the new product, the first prompt is for a Product ID. The Product ID can be made of any alphanumeric character but cannot have any spaces. . Ideally, the name will indicate all available product variants in a standardized way. For instance, all Product IDs supplied by Krasbit follow this convention:

  • Product name of the item being rendered - Example: coffee mug, mouse pad;
  • Number of sides - Is it a one sided or two sided product?
  • Number of pages - A photo book may have 10 or 30 pages. Differentiate the different models by page number;
  • Color - A photo book may have a black or white cover;
  • Texture - A photo book may have a leather or linen cover;
  • Finish - A photo may have a gloss or matte finish;
  • Dimensions - A photo can come in many sizes and orientations;
  • Capacity - A water bottle may hold 500 or 750 ml;
  • Edition - There may be design variants A, B and C of the same product;
  • Group Level - Is this product designed for Group level, Parent Group level or Super Parent Group Level;
  • Green Screen - Is this a product designed for Green Screen photography (using photos with transparent images);
  • 3D - Is this a product for 3D printing.

Product Naming

After creating the product and providing a Product ID, a plain language product name is required. This can be a copy of the Product ID's format and is made up of any alphanumeric characters and can include spaces.

Extra information can be added to the product name by enclosing it in curly quotes such as {Group version} or {Greenscreen version}, This text will appear in the product name on the Production Screen and Inventory screen to help differentiate products but will be removed whenever the product name is printed on an order form or catalog. Products provided by Krasbit include extra information such as {G}, {PG}, {SPG} to indicate for what group level a product has been designed. {GS} and {NGS} are also used to differentiate between Green Screen and Non Green Screen products.

Product Template Naming

A product template may be used for several products. For instance, the template used to produce a 30 page template could apply to a product that has a leather or a linen cover - the artwork is the same. All that differs is the finish and the price that is charged. The product template in this case would not need to have the texture distinction between leather and linen in its name and would therefore have a shorter name than the Product ID or Product Name.

Template file names can contain any alphanumeric characters including spaces.

This naming defined here should not be confused with File Name Format which defines how a product's rendered image is named.
See Also

File Name Formats

Understanding File Name Formats


Creating a Template

Creating a Template
Working with Templates > Creating a Template

A Krasbit Chameleon Studio template is simply a Krasbit Chameleon Studio file that contains specially named objects that can be filled with photos, images or text and appropriately sized, positioned and colored.

To create a template:

  1. Open Krasbit Chameleon Studio. Click on [File>New...];
  2. A new window titled "Create a New Document" will appear.
  3. Enter the template name - see Naming Conventions for tips.


Inserting Company Information into a Template

Inserting Company Information into a Template
Working with Templates > Inserting Company Information into a Template

Krasbit Chameleon Studio stores information on your company in different locations:

  • Company logos are entered into Krasbit Chameleon Studio at [Edit>Company Profile>Branding...];
  • Company information is entered into Krasbit Chameleon Studio at [Edit>Company Profile>Order Form Settings...]; and
  • Company color style is defined at [Edit>Styles...].

To move these logos into a product template, some connectors have been predefined for this purpose:

Connector ID | Name | Template Object | Connector Type | Priority | Equation
IMG_PH_001 | Logo - Company Logo (Global) | Logo | customfilepath | 0 | TABLECOLUMN(settings,setting,idkey,imgOwnerLogo)
IMG_PH_001A | Logo - Company Logo (Application Language) | Logo | customfilepath | 0 | TABLECOLUMN(settings,setting,idkey,imgOwnerLogo_@lang)
IMG_PH_001P | Logo - Company Logo (Production Language) | Logo | customfilepath | 0 | TABLECOLUMN(settings,setting,idkey,imgOwnerLogo_@clang)
IMG_PH_002 | Logo - Company QR Code | QRCode | customfilepath | 0 | TABLECOLUMN(settings,setting,idkey,imgOwnerLogoQR)
IMG_PH_003 | Logo - Company UPC Code | UPCCode | customfilepath | 0 | TABLECOLUMN(settings,setting,idkey,imgOwnerLogoUPC)
IMG_PH_004 | Logo - Company Watermark | Watermark | customfilepath | 0 | TABLECOLUMN(settings,setting,idkey,imgWatermark)

Steps:

  1. In the Krasbit Chameleon Studio template, create an object with the appropriate "Template Object" name;
  2. In the product definition, add the appropriate connector. and
  3. The appropriate logo will now appear within the template object when the product is rendered.

To move company information such as the web address to a product template, these connectors are available:

Connector ID | Name | Template Object | Connector Type | Priority | Equation
TXT_PH_001 | Text - Company Web Address (In Application Language) | txtHomePage | text | 0 | TABLECOLUMN(settings,setting,idkey,txtWebHomePage_@lang)
TXT_PH_002 | Text - Company Web Address (In Item Language) | txtHomePage | text | 0 | TABLECOLUMN(settings,setting,idkey,txtWebHomePage_@lang)
TSL_PH_001 | text style - photographer link (global style) | txtHomePage | textstyle | 0 | PTEXTSTYLE(link)

The two first connectors are essentially the same except the equation uses either @lang or @clang. The first uses the application language, the second retrieves the web site defined for a certain language that matches the language of the item (player, student, object). These web addresses are entered at [Edit>Company Profile>Branding...] under the "language Specific Company Logo".

Since the two connectors are putting information into the same Template Object, it stands to reason that only one of these two connectors can be used within a product. You must decide if your product will have the company web address always in the application language or if it will change based on different production languages associated with the items. If you only work in one language, then only use the first connector.

The web address object can be formatted using the third connector in the above table. On the [Styles] page, the color style known as "Photographer's Default" contains a Link Style. This contains the font and color information that is sent to the web address using the PTEXTSTYLE(LINK) equation.

If a different style is required for the web address, consult the connectors page under "textstyle" for alternative equations.

Steps:

  1. In the Krasbit Chameleon Studio template, create an object with the name "txtHomePage";
  2. In the product definition, add the appropriate text connector and if required, the appropriate textstyle connector; and
  3. The company web address will now appear within the template object when the product is rendered.


CorelDRAW versions and features

CorelDRAW versions and features
Working with Templates > CorelDRAW versions and features

CorelDRAW is being constantly improved. As a result, there are new features that will only work on newer versions. This page will attempt to list the features that are version specific.

Feature | X3 | X4 | X5 | X6 | X7
Custom QR Codes |  |  |  |  |
Complex Fills |  |  |  |  |
Enhanced font editing |  |  |  |  |
Colored layers |  |  |  |  |
Different page sizes within document |  |  |  |  |
XML based Color palettes |  |  |  |  |


Krasbit Template Utilities

Krasbit Template Utilities
Krasbit Template Utilities > Krasbit Template Utilities

To facilitate the development of product templates, Krasbit Chameleon Studio 2 installs a tool in CorelDRAW called the Krasbit Templae Utilities. It is accessible by clicking on this icon:

The utilities appear in a free-floating dialogue box. This box can not be docked within CorelDRAW but it can be used in a multiple monitor configuration and moved to another screen.

Each of the sections are explained in greater detail below.

Image Properties

This section is very important for template objects that import photographs.

All templates provided with Krasbit Chameleon Studio 2 are constructed with the assumption that photographs to be used have a 4:3 aspect ratio - this is how most photos from professional DSLR camera are produced. In theory, you as the photographer will be taking 4:3 or 3:4 aspect ratio images and Krasbit Chameleon Studio 2 will place them into 4:3 or 3:4 aspect ratio objects.

There may be occasions where you have a requirement to place a different aspect ratio photo into an existing 4:3 object. For example, you are shooting 9:16 aspect ratio panoramas and don't have the time to crop the images. In this case, you instruct the template object on what to do with the incoming photo.

  • No scale - This places the entire image in front of the object and aligns it based on the selected alignment mode. For example, if the object is one inch square (300 by 300 pixels assuming 300 dpi) and the image is 600 by 600 pixels, the entire image will be visible (four times the size of the object) and it will be touching the object based on the alignment selection. This option should be selected if the goal is to maintain the original size of the image and center or align to some edge;
  • Scale to object - This fits the entire image into the available object space. If the image does not have the same aspect ratio as the object, there will be blank space above and below or to the left and right. The alignment setting is used to control where the image is located within the object;
  • Scale and crop to object - This enlarges the image within the available object space until there is no blank space. If the image does not have the same aspect ratio as the object, then parts of the image will be cropped (outside of the object area). The alignment mode can used to control which end of the image remains and which gets cropped;
  • Crop to object - This places the image in front of the object and displays only a portion of it based on the selected alignment mode and the images size. For example, if the object is one inch square (300 by 300 pixels assuming 300 dpi) and the image is 600 by 600 pixels (four times the size of the object), then only a quarter of the image will be visible and what part is visible is determined by the selected alignment;
  • Ignore aspect ratio (stretch to object) - This takes the image and will stretch it vertically or horizontally as required to fill the available space. As the full image is shown, albeit stretched, the alignment mode selections are not required.

The image below summarizes the process for when some artwork that is vertical in nature (higher than it is wide) is put into a square object.

To verify your choice, select the target object and use the Import test image button to see how the image would fit into it.

Object information and flattening

This section contains icons for adding information to template objects and for controlling the smart flattening feature.

The icons are described below.

Icon | Description
 | This icon attaches a name to an object.
 | This icon clears any attached names from an object.
 | This icon provides information on a selected object.
 | This icon unmarks an object for flattening.
 | This icon marks an object for flattening.
 | This icon clears all object information.

..

Search

The search feature looks at objects' properties and selects those that meet the necessary criteria.

Icon | Description
 | Search text items
 | Search bitmap items
 | Search vector items
 | Search outline items
 | Search objects with effects attached (transparency, shadow, etc.)
 | Search PowerClip items
 | Search items marked for flattening
 | Search items unmarked for flattening

The "Make group from selected" creates a group of items from those selected from the search.


Group Management Introduction

Group Management Introduction
Tutorials > Group Management > Group Management Introduction

To proceed with these lesson, you will need to understand the difference between “Groups”, “Parent Groups” and “Super Parent Groups” levels. In the figure below:

  • The Anytown Panthers are the “Group”;
  • The Anytown Football League is the “Parent Group” level. The organization that is one level up is known as the Parent Group; and
  • Football, which in this case is one level higher up, is the “Super Parent Group” level.

Figure 1 – Hierarchy between Groups, Parent Groups and Super Parent Groups

Every sport or activity for which you need to organize groups may have different levels and hierarchies. In Figure 2, the football league has another level to its hierarchy called a “Division. Therefore:

  • The Anytown Panthers are the “Group” level;
  • The Junior Division is the “Parent Group” level; and
  • The Anytown Football League is the “Super Parent Group” level.

Figure 2– Hierarchy illustrating Groups, Parent Groups and Super Parent Groups

This distinction is important because there are different logos and color styles associated with the Group, Parent Group and Super Parent Group levels. You will be controlling which logos, colors and fonts are being put into the products you create based on the level you choose for a product.

An important exception to understand is the use of “group dividers”. These are dividers that are placed into the group hierarchies for the purpose of visual clarity but that do not have any logos, photos or color styles associated with them. In Figure 3 below, the Anytown Football League has several hundred teams (groups) so the photographer has decided to sort them by boy or girl teams, and if they play on Saturday or Sunday. The “Boys/Girls” and “Saturday/Sunday” levels do not form part of the Group/Parent Group/Super Parent Group hierarchies.

Figure 3 – Example illustrating the use of group dividers

In Figure 3, the levels are as follows:

  • The Anytown Panthers are the “Group” level;
  • The Anytown Football League is the “Parent Group” level; and
  • The Football sport level is the “Super Parent Group” level.

The following lessons will demonstrate the process of:

  • Creating a group;
  • Creating a sub-group;
  • Moving groups;
  • Deleting groups; and
  • Editing groups.

A


Lesson 1 - Creating and managing group

Lesson 1 - Creating and managing group
Tutorials > Group Management > Lesson 1 - Creating and managing group

Objective

This lesson will introduce you to the [Production/Groups Tab] page and enable you to create, move, edit and delete groups.

Performance Objectives

At the conclusion of this lesson, you will be able to:

  • Create new groups and position them in the hierarchy;
  • Understand the purpose of a divider;
  • Move groups to new locations in the hierarchy;
  • Edit groups and understand the information they contain;
  • Delete groups and related material.

Pre-requisites

Prior to starting this lesson, you must have:

  • Krasbit Chameleon Studio available and running.
  • The training.chml file must be installed.

Step 1 - Creating a Group

Start Krasbit Chameleon Studio and go to the [Production/Groups Tab]. On the left of this page you will see an area dedicated to displaying groups and the area on the right for displaying the items in those groups.

On the groups pull down menu, notice the [1] indicates that there is one group in the hierarchy. This number will change as more groups are added.

Click on the down arrow and select Add and then select Add New Item as Sub Item of Selected. A new window will appear that prompts for information related to this new group.

Fill in the Name for this group as


Template Production Introduction

Template Production Introduction
Tutorials > Template Production > Template Production Introduction


Lesson 2 - Creating a Basic Product

Lesson 2 - Creating a Basic Product
Tutorials > Template Production > Lesson 2 - Creating a Basic Product


Importing artwork

Importing artwork
Tutorials > Importing artwork

A powerful feature of Krasbit Chameleon Studio is that it allows you to add artwork for both groups and their parent groups to your products.

Krasbit Chameleon Studio 2 can use a variety of file formats, but some are better than others. The image files that clients provide you can fall into two broad categories: vector based artwork and bitmap artwork.

Vector Art

Vector based artwork includes these formats:

  • .ai (adobe Illustrator)
  • .cdr (CorelDraw)
  • .eps (encapsulated Postscript)
  • .cmx (Corel Interchange Format)
  • .wmf (Windows Metafile)
  • .emf (Enhanced Windows Metafile)
  • .cgm (Computer Graphics Metafile)
  • .pdf (Portable Document Format)
  • .svg (Scalable Vector Graphic)
  • .svgz (Compressed SVG)
  • .dsf (Corel Micrografix Designer)
  • .dxf (AutoCAD)
  • .dwg (AutoCAD)
  • .plt (HP Plotter file)

The advantage of vector art is that it is scalable – this means it can be enlarged to any size and there is no loss in quality. This can be done because the design of the artwork is stored in Krasbit Chameleon Studio as a group of defined shapes and lines. As an example. If the logo is simply a square, the system draws this logo based on some characteristics such as:

  • Shape: square
  • Size of edge: 2
  • Thickness of line: 1
  • Fill color: blue

If you were to double the size, Krasbit Chameleon Studio would generate the logo based on this information:

  • Shape: square
  • Size of edge: 4
  • Thickness of line: 1
  • Fill color: blue

All that changed was the length of the edge. In theory, you could set the square to any size and Krasbit Chameleon Studio would continue to draw it using the same process without any change to the actual file size.

Bitmap Art

Your clients may send you their logos in one of these bitmap formats:

  • .cpt (Corel Photo-Paint image)
  • .psp (Corel Paint Shop Pro)
  • .jpg (also .jpeg )
  • .gif (Graphics Interchange Format)
  • .tif (Tagged Image Format)
  • .psd (Adobe Photoshop)
  • .png (portable network graphic)
  • .tiff (also .tif) (tagged image format)

A bitmap image is made of a grid of pixels (picture elements). A photo that you take with a digital camera is an example of a bitmap image. If you zoom in closely to the image, you will notice the pixels start to appear and give the image a grainy appearance. Zoom in further or enlarge the image and the picture will get even grainier. Because of this limitation, you can not use bitmaps for large applications like posters unless you have a very high resolution image (many pixels) which also means a very large file size.

Zoom on image demonstrating the graininess of a bitmap

How to get artwork from a client

There are usually some images on a sport club or league’s website but these are bitmap images and usually very low resolution. You can use these for some initial proposals and mockups but when it comes time for print ready images, you need the quality that only a vector image can provide.

When someone has a logo created, the artist was likely using a vector based illustration package like CorelDraw or Adobe Illustrator. The club or league needs to go back to their artist and request the original source file or a vector based export version.

Reasons you want the vector based file:

  • Allows for “transparency” behind the logo (.png, .gif and .tif bitmaps also have transparency);
  • Changing size of the logo with no effect on the quality;
  • No “graininess” at any size; and
  • Modifying the file easily if a black and white version is required or any changes to the colors are required.

Overlay of vector artwork demonstrating the benefit of transparency


Copyright & Trademarks

Copyright & Trademarks
Copyright, Licensing and Credits > Copyright & Trademarks

Krasbit Chameleon Studio 2 is Copyright ©2016

  • Chameleon and the chameleon logo, are Registered trademarks of Arnim Vogel, licensed to Krasbit Technologies Inc., registered in the U.S., Canada and the European Union.
  • CorelDRAW is a registered trademark of the Corel Corporation and/or its subsidiaries in Canada, the United States and/or other countries.
  • Digimarc is a registered trademark of the Digimarc Corporation.
  • Adobe and Photoshop are trademarks or registered trademarks of Adobe Systems Incorporated in the U.S. and/or other countries.
  • Boot Camp is a registered trademark of Apple.
  • ActiveX, Internet Explorer, Microsoft, Visual Basic, Visual Basic .NET, Visual C# .NET, Visual C++ .NET, Visual Studio, Visual Studio, Windows, Windows 95, Windows 98, Windows 2000, Windows Millennium Edition, Windows .NET server family, Windows NT, Windows XP, Windows Vista and Windows 7 are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.
  • Other company and product names mentioned herein may be trademarks of their respective companies

Mention of third-party products is for informational purposes only and constitutes neither an endorsement nor a recommendation. Krasbit Technologies assumes no responsibility with regard to the performance or use of these products. All understandings, agreements, or warranties, if any, take place directly between the vendors and the prospective users. Every effort has been made to ensure that the information in this manual is accurate. Krasbit is not responsible for printing or clerical errors.

Third-Party Software Statement

Krasbit Technologies does not own the intellectual property of the third-party software and applications that are delivered with this product. Therefore, Krasbit Technologies will not provide any warranty of any kind for third party software and applications. Neither will Krasbit Technologies provide support to customers who use third-party software and applications, nor be responsible or liable for the functions or performance of third-party software and applications.

Third-party software and applications services may be interrupted or terminated at any time, and Krasbit Technologies does not guarantee the availability of any content or service. Third-party service providers provide content and services through network or transmission tools outside of the control of Krasbit Technologies. To the greatest extent permitted by applicable law, it is explicitly stated that Krasbit Technologies shall not compensate or be liable for services provided by third-party service providers, or the interruption or termination of third-party contents or services.

Krasbit Technologies shall not be responsible for the legality, quality, or any other aspects of any software installed on this product, or for any uploaded or downloaded third-party works in any form, including but not limited to texts, images, videos, or software etc. Customers shall bear the risk for any and all effects, including incompatibility between the software and this product, which result from installing software or uploading or downloading the third-party works.

DISCLAIMER

ALL CONTENTS OF THIS MANUAL ARE PROVIDED “AS IS”. EXCEPT AS REQUIRED BY APPLICABLE LAWS, NO WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE MADE IN RELATION TO THE ACCURACY, RELIABILITY OR CONTENTS OF THIS MANUAL. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL Krasbit Technologies BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES, OR LOSS OF PROFITS, BUSINESS, REVENUE, DATA, GOODWILL SAVINGS OR ANTICIPATED SAVINGS REGARDLESS OF WHETHER SUCH LOSSES ARE FORESEEABLE OR NOT.

THE MAXIMUM LIABILITY (THIS LIMITATION SHALL NOT APPLY TO LIABILITY FOR PERSONAL INJURY TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH A LIMITATION) OF Krasbit Technologies ARISING FROM THE USE OF THE PRODUCT DESCRIBED IN THIS MANUAL SHALL BE LIMITED TO THE AMOUNT PAID BY CUSTOMERS FOR THE PURCHASE OF THIS PRODUCT.

Import and Export Regulations

Customers shall comply with all applicable export or import laws and regulations and be responsible to obtain all necessary governmental permits and licenses in order to export, re-export or import the software product mentioned in this manual.

For any queries related to Krasbit Technologies products, contact us through the Support Center at www.krasbit.com/support


Licensing

Licensing
Copyright, Licensing and Credits > Licensing

Krasbit Chameleon Studio comes with several 3rd party applications and utilities installed. End User License Agreements (EULA) for these items are included here.

Expand each section to see the license information as supplied by the manufacturer.

CorelDRAW®

CorelDRAW® is a trademark or registered trademark of Corel Corporation and/or its subsidiaries in Canada, the United States and/or other countries.

Fonts

Font End User License Agreement (EULA) for Personal or Internal Business Use

This is a contract between you and Krasbit Technologies Inc. This is not a contract for sale of font software, but a license to use font software subject to the terms and conditions of the Agreement. Please read the terms carefully. You, on behalf of your employer or personally, agree as follows:

Font Software. The font software you selected to license through the installation of Krasbit Chameleon Studio is the property of Krasbit Technologies Inc.. The term “Font Software” includes any related documentation, updates and permitted copies of the Font Software licensed to you by Krasbit Technologies Inc. As used in this Agreement, the term “Krasbit Technologies Inc.” means collectively Krasbit Technologies Inc., its successors and assigns, its affiliated companies, its authorized distributors and resellers, and any third party which has licensed to Krasbit Technologies Inc. any or all of the intellectual property rights associated with the Font Software.

Personal or Internal Business Use. Use of the font software is for your personal or internal business purposes. Personal or internal business use shall not include any use of the font software by persons that are not members of your immediate household, your authorized employees or your authorized agents. All such household members, employees and agents shall be notified by you as to the terms and conditions of the Agreement and shall agree to be bound by it before they can have use of the font software.

Commercial Product. "Commercial product" as used herein shall mean an electronic document or data file created by use of the font software which is offered for distribution to the general public (or to some subset of the general public) as a commercial product in exchange for a separate fee or other consideration. By way of illustration and not by way of limitation, an electronic book or magazine distributed for a fee shall be considered a commercial product; a document distributed in connection with a commercial transaction in which the consideration is unrelated to such document (for example, a business letter, a ticket for an event, or a receipt for purchase of tangible goods such as clothing) shall not be considered a commercial product.

Limited License. Upon payment of the non refundable license fee, Krasbit Technologies Inc. grants you a nonexclusive, nontransferable, limited right to use the Font Software for personal or internal business use by you on the permitted number of Licensed Computers at a single, physical location designated by you (the “Licensed Location”). The term “use” means to install and access the font software, and give commands (by keyboard or otherwise) followed by the Font Software. You may not use the font software to electronically distribute a commercial document without a separate license from Krasbit Technologies Inc. authorizing you to do so.

The permitted number of Licensed Computers is 5 unless you have obtained a license for additional Licensed Computers (available in increments of 5). For each 5 Licensed Computers, you may also download the Font Software to the memory (hard disk or RAM) of 1 output device connected to 1 Licensed Computer for the purpose of having the Font Software remain resident in the output device. Portable computers may be included within the number of permitted Licensed Computers provided that such portable computers are primarily used at the Licensed Location.

You may install the Font Software on a file server for use on a local area network located at the Licensed Location, provided that use of the Font Software is limited to those computers that are the Licensed Computers. For the avoidance of doubt, each computer that will access the Font Software on the network must be a Licensed Computer located at the Licensed Location. You may not install the Font Software on a file server that can be accessed via the Internet or other external network system by computers and printers not located at the Licensed Location.

Embedding Restrictions. Embedding of the Font Software is prohibited except as expressly provided in this section. You may embed the Font Software into electronic documents for use on computers that are NOT Licensed Computers, subject to the following restrictions: (a) the electronic documents are distributed in a secure format that allows only printing and viewing, and prohibits editing, selecting, enhancing or modifying the text; and (b) the electronic documents are for personal or internal business use. If you are unable to limit access to the document to “view and print” only, then the electronic document may not be used on computers that are NOT Licensed Computers.

You may embed the Font Software into electronic documents for use on computers that are Licensed Computers provided that the electronic documents are for personal or internal business use only. Without the purchase of an additional license, you may NOT otherwise embed the Font Software. For example and without limitation: (i) You may NOT embed the Font Software into your hardware, software or other products, such as, application programs, electronic games, e-books, kiosks, printers, etc.; (ii) You may NOT embed the Font Software into your web pages; and (iii) You may NOT embed the Font Software into electronic documents that permit editing, selecting, enhancing or other modifying of the text.

Permitted Copies. You may not duplicate or copy the Font Software except as needed to use it as expressly permitted by this Agreement. However, you may make 1 copy of the Font Software for backup purposes. All permitted copies you make must contain the exact copyright, trademark and other proprietary notices that appear on and/or in the Font Software.

Intellectual Property Rights; No Modifications. You acknowledge and agree that the Font Software and permitted copies, and the trademarks associated with the Font Software, are the intellectual property owned by Krasbit Technologies Inc.. You further acknowledge and agree that the structure, organization and code of the Font Software are valuable trade secrets and confidential information of Krasbit Technologies Inc.. The Font Software is protected by copyright including without limitation, by United States Copyright Law, international treaty provisions, and applicable laws in the jurisdiction of use.

You may not copy the Font Software except as provided under the "Permitted Copies" provision above. YOU AGREE THAT YOU WILL NOT MODIFY, ADAPT, TRANSLATE, ALTER NOR CREATE DERIVATIVE WORKS OF THE FONT SOFTWARE. YOU FURTHER AGREE THAT YOU WILL NOT REVERSE ENGINEER, DECOMPILE, DECRYPT, DISASSEMBLE, NOR SEEK TO DISCOVER THE SOURCE CODE OF THE FONT SOFTWARE. IF THE FONT SOFTWARE CONTAINS EMBEDDING BITS THAT LIMIT THE CAPABILITIES OF THE FONT SOFTWARE, YOU MAY NOT CHANGE OR ALTER THE EMBEDDING BITS. Notwithstanding, if applicable law in your jurisdiction permits you to decompile the Font Software, then you may only do so to achieve operability of the Font Software with another software program provided that you first request in writing that Krasbit Technologies Inc. provide the information necessary to achieve such operability and Krasbit Technologies Inc. has not made such information available to you subject to reasonable conditions.

You acknowledge and agree that the term “derivative work” includes code or data based upon or derived from the Font Software or any portion of the Font Software, in any form in which such code or data may be transformed, translated or adapted including, without limitation, code or data in any format in which the Font Software may be converted. You further acknowledge and agree that the following are examples of prohibited derivative works: (1) If the Font Software is PostScript Type 1 font software, you may not convert the Font Software into TrueType, OpenType, or any other format existing now or in the future; (2) If the Font Software is TrueType font software, you may not convert the Font Software into Type 1, OpenType, or any other format existing now or in the future; (3) You may not create additional characters, accents, symbols or typeface weights (e.g. italics, extra bold, etc.) from the Font Software or any portion of it.

Transfer; Service Bureaus. You may not rent, lease, sublicense, distribute, lend nor transfer the Font Software, or any copy or portion of the Font Software, without Krasbit Technologies Inc.'s prior written consent. You may send a copy of the Font Software, or any portion of the Font Software, used in a particular document, to a commercial printer or service bureau to enable the editing or printing of such documents, provided that the commercial printer or service bureau has a valid license to use the Font Software.

No Other Use. You are granted only the rights expressly stated in this Agreement, and you may not use the Font Software for any other use. Without limitation, below are examples of uses that are NOT permitted under this Agreement and require purchase of a separate license from Krasbit Technologies Inc.: (1) You may not share the Font Software with other business entities (e.g. your advertising agency, dealer, subsidiary, parent company, service bureau, etc.); (2) You may not use the Font Software on more than the permitted number of Licensed Computers; (3) You may not use the Font Software at more than one physical location; (4) You may not change the name of the Font Software; (5) You may not embed the Font Software into your hardware, software, other products, or web pages; (6) You may not embed the Font Software into editable documents for use on computers that are not Licensed Computers; (7) You may not convert the Font Software into other formats (e.g. OpenType) or translate the Font Software into other platforms (e.g. UNIX).

Termination. The license rights granted under this Agreement will immediately and automatically terminate without notice if you fail to comply with any term or condition of this Agreement. Upon termination, you must destroy all copies of the Font Software. The balance of the Agreement shall survive any such termination of license rights.

Limited Warranty. For a period of 90 days after delivery, Krasbit Technologies Inc. warrants that the Font Software will substantially perform as outlined in the user documentation in effect at the time of the commencement of this license. Krasbit Technologies Inc. will correct substantial malfunctions occurring during this warranty period provided that such malfunctions are reproducible, your product is properly registered, and you give immediate notice and sufficient detail of such malfunctions to Krasbit Technologies Inc.. Such corrections generally will be incorporated into new revisions of the Font Software, or until the release of such new revisions into temporary versions, at Krasbit Technologies Inc.’s discretion. The correction may also be achieved by delivery of new versions of the Font Software in which case the warranty does not cover such additional functionality and performance. Krasbit Technologies Inc. will have no responsibility in the event you fail to provide proof you licensed the Font Software from an authorized Krasbit Technologies Inc. source.

Disclaimer; No Refunds. EXCEPT AS EXPRESSLY PROVIDED IN THE FOREGOING PARAGRAPH, THE FONT SOFTWARE IS PROVIDED “AS IS.” Krasbit Technologies Inc. DOES NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE FONT SOFTWARE. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY WHICH MAY NOT BE LIMITED OR EXCLUDED BY LAW APPLICABLE IN YOUR JURISDICTION, Krasbit Technologies Inc. MAKES NO WARRANTIES, CONDITIONS, REPRESENTATIONS OR TERMS, EXPRESS OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE AS TO OTHER MATTERS, INCLUDING WITHOUT LIMITATION, NON INFRINGEMENT OF THIRD PARTY RIGHTS, TITLE, INTEGRATION, SATISFACTORY QUALITY, MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE. Your license for the Font Software is nonreturnable and nonrefundable.

Damages Limitations. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL Krasbit Technologies Inc. BE LIABLE FOR PERSONAL INJURY, OR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES WHATSOEVER, INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, LOSS OF DATA, BUSINESS INTERRUPTION OR ANY OTHER COMMERCIAL DAMAGES OR LOSSES, ARISING OUT OF OR RELATED TO YOUR USE OR INABILITY TO USE THE FONT SOFTWARE, HOWEVER CAUSED, REGARDLESS OF THE THEORY OF LIABILITY (CONTRACT, TORT OR OTHERWISE) AND EVEN IF Krasbit Technologies Inc.HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY FOR PERSONAL INJURY, OR OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Krasbit Technologies Inc.’s cumulative liability for any loss or damage to you (other than as may be required by applicable law in cases involving personal injury) exceed the amount of fifty dollars (US$50.00). The foregoing limitations will apply even if the above-stated remedy fails of its essential purpose.

Business or Organization End Users Only. The term "internal business use" does not include use by: (a) individuals who are not your employees or authorized agents; or (b) your employees or authorized agents who are not using the Font Software on a Licensed Computer at the Licensed Location. You agree to notify your employees and authorized agents of the terms and conditions of this Agreement, and all such persons shall agree to be bound by this Agreement before they are given access to the Font Software.

If you are licensing the Font Software for business use, you further agree that, within 30 days of receipt of a written request from Krasbit Technologies Inc., you will fully document and certify that use of any and all Krasbit Technologies Inc. font software in your possession at the time of the request conforms with your license(s) from Krasbit Technologies Inc..

U.S. Government End Users Only. The Font Software you are licensing consists of commercial computer software programs developed exclusively at private expense. It is published and copyrighted, and therefore "restricted computer software" under FAR 52.227-19(c) (June 1987). Use, duplication, and disclosure by civilian agencies of the U.S. Government shall be in accordance with FAR 52.227-19(c) (June 1987).

Governing Law. This Agreement is governed by the laws of Ontario, Canada, excluding conflict of laws provisions and excluding the United Nations Convention on Contracts for the International Sale of Goods. You expressly agree that any disputes related to this Agreement will be resolved in the Provincial Court of Durham Region, Ontario, Canada, and you consent the to personal jurisdiction and venue of those courts. If any part of this Agreement is found void and unenforceable the balance of the Agreement will remain valid and enforceable according to its terms.

This Agreement represents the entire agreement between you and Krasbit Technologies Inc. in connection with its subject matter. This Agreement supersedes any other "Krasbit Technologies Inc. End User License Agreement" which may be included with the Font Software or previously displayed in this manual, and/or any prior agreements between you and Krasbit Technologies Inc. in connection with its subject matter. This Agreement may only be modified by Krasbit Technologies Inc. in a writing that expressly states that such writing is intend

7-Zip

7-Zip
~~~~~
License for use and distribution
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

7-Zip Copyright (C) 1999-2012 Igor Pavlov.

Licenses for files are:

1) 7z.dll: GNU LGPL + unRAR restriction
2) All other files: GNU LGPL

The GNU LGPL + unRAR restriction means that you must follow both GNU LGPL rules and unRAR restriction rules.

Note: You can use 7-Zip on any computer, including a computer in a commercial organization. You don't need to register or pay for 7-Zip.

GNU LGPL information
--------------------

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You can receive a copy of the GNU Lesser General Public License from http://www.gnu.org/

unRAR restriction
-----------------

The decompression engine for RAR archives was developed using source code of unRAR program. All copyrights to original unRAR code are owned by Alexander Roshal.

The license for original unRAR code has the following restriction:

The unRAR sources cannot be used to re-create the RAR compression algorithm, which is proprietary. Distribution of modified unRAR sources in separate form or as a part of other software is permitted, provided that it is clearly stated in the documentation and source comments that the code may not be used to develop a RAR (WinRAR) compatible archiver.

--
Igor Pavlov

ImageMagick

Terms and Conditions for Use, Reproduction, and Distribution

The legally binding and authoritative terms and conditions for use, reproduction, and distribution of ImageMagick follow:

Copyright 1999-2011 ImageMagick Studio LLC, a non-profit organization dedicated to making software imaging solutions freely available.

1. Definitions.

License shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

Licensor shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

Legal Entity shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, control means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

You (or Your) shall mean an individual or Legal Entity exercising permissions granted by this License.

Source form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

Object form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

Work shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

Derivative Works shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

Contribution shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as Not a Contribution.

Contributor shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

* You must give any other recipients of the Work or Derivative Works a copy of this License; and
* You must cause any modified files to carry prominent notices stating that You changed the files; and
* You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and
* If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.
You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an AS IS BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

How to Apply the License to your Work

To apply the ImageMagick License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information (don't include the brackets). The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright 2013 Krasbit Technologies Inc.

Licensed under the ImageMagick License (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.imagemagick.org/script/license.php

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.


Use of Krasbit Chameleon Studio Characters and Artwork

Use of Krasbit Chameleon Studio Characters and Artwork
Copyright, Licensing and Credits > Use of Krasbit Chameleon Studio Characters and Artwork

We appreciate the creative energies of customers.

Use of our background/foreground artwork or characters from Krasbit Chameleon Studio in your original compositions is limited for your own personal use and creative exploration. You may not sell or distribute for commercial purpose any artwork containing samples of characters or artwork taken from the media directory of Krasbit Chameleon Studio. Any use of these materials would also be subject to the terms of our End User License Agreement included with each product.


Photographic Credits

Photographic Credits
Copyright, Licensing and Credits > Photographic Credits

The following individuals and organizations contributed their talents to the production of this manual and the training material.

Gord Weber, www.gordweber.com
Rob Miracle, www.robmiracle.com
Jim Mondry


Product Support

Product Support
Support > Product Support

Evaluation Support

Every user evaluating Krasbit Chameleon Studio 2 is entitled to:

  • Unlimited email based support for the period of evaluation (30 days); and
  • Unlimited access to the on-line support materials available on the Krasbit Technologies web site.

Standard Support

Every licensed Krasbit Chameleon Studio 2 user is entitled to:

  • 60 days free email based product support;
  • Unlimited access to the on-line support materials available on the Krasbit Technologies web site; and
  • Critical bug fix updates for the version of software purchased.

Subscription Level Support

Every licensed user who holds a subscription license for Krasbit Chameleon Studio 2 is entitled to:

  • Unlimited email based support for the duration of the subscription license;
  • Unlimited access to the on-line support materials available on the Krasbit Technologies web site;
  • Critical bug fix updates for the duration of the subscription license; and
  • Product enhancement updates for the duration of the subscription license.

Obtaining Product Updates

Krasbit Chameleon Studio automatically checks for updates and will let you know on the home page if there is anything to install.

Suggestions

If you wish to make a suggestion or report an issue you have discovered using Krasbit Chameleon Studio 2, you can do so by emailing Krasbit Technologies support at support@krasbit.com

The amount of information you can provide about the nature of a problem you are having will directly affect our ability to resolve it. Include information about your environment, the steps to reproduce the problem, what you have done to try to resolve the issue, etc.

See Also
Troubleshooting
Contacting Customer Support


Troubleshooting

Troubleshooting
Support > Troubleshooting

See the Krasbit support wiki at http://support.krasbit.com for the most up to date knowledge base and support files.

Consult this troubleshooting document before trying to contact technical support. Your answer may be here.

Issue

Chameleon will not display thumbnails for .tif, eps, .cdr, .ai files.

Solution

Go to Tools>Settings>Renderer... and check the box marked "Use Renderer to produce vector image thumbnails".

Issue

I get a warning that says: Object Library invalid or contains references to object definitions that could not be found.

Solution

This error can happen after installing a certain Windows update: http://support.microsoft.com/default.aspx?scid=kb;en-us;932349

To fix the error, you need to delete EXD files and they will be recreated as needed. These files should be located in the folder: %APPDATA%\Microsoft\Forms\

On Windows XP, it is usually located in:
C:\Documents and Settings\%USERNAME%\Application Data\Microsoft\Forms\

And on Windows Vista/7:
C:\Users\%USERNAME%\AppData\Roaming\Microsoft\Forms\

Issue

My thumbnail images all have black lines around them.

Solution

The thumbnail images you are seeing are created by your camera and stored in the JPG file as 160x120 pixel images. A DSLR’s image proportions are 4x6 ratio. In theory, the thumbnail preview should be 106x160 pixels. Your camera is creating preview files and is filling in the extra space with 14 pixels of black.

Issue

I get error code 2147467259

Issue

I select a font for substitution in the template optimizer. The resulting templates are not changed to this font.

Solution

Krasbit Chameleon Studio 2 has access to all the fonts on your computer. CorelDRAW is more selective about the fonts it can use. Ensure the font you want to substitute to is selectable in CorelDRAW. Choose your font from the available font list in CorelDRAW and then select that font on the template optimizer.

See Also
Product Support
Contacting Customer Support


Contacting Customer Support

Contacting Customer Support
Support > Contacting Customer Support

Before You Contact Technical Support, visit our support forum and FAQ.

Krasbit will be developing a user forum on which you can research all known issues.

Try to isolate the problem. If possible, make the application the only application open, and make sure that all of the other applications have been quit and closed properly (they may appear closed but are still visible in Task Manager).

If you have read all of the pertinent sections in the user’s manual, and you still can't get your software to work properly, contact us via the provided Web link. Before contacting us, make sure that you are in front of your computer and that you have the following information on hand:

  • Operating system and version (example: Windows 7, Vista or XP and what service packs (updates) you have installed);
  • Computer brand and model;
  • Amount of memory installed (Control Panel/System will show you. Provide a screen capture if possible);
  • Other devices installed on your computer (tethered cameras, connected printers, etc); and
  • Names of applications used and version numbers.

Krasbit Technical Support
North America | support@krasbit.ca
Europe | support@krasbit.com
Elsewhere | support@krasbit.com

See Also
Product Support
Troubleshooting


Glossary

Glossary
A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

Album
A presentation of photos similar to a physical photo album, containing a number of photos per page and without motion (as compared to a slide show).

Anti-aliasing
In computer graphics, anti aliasing improves the appearance of polygon edges, so they are not "jagged" but are smoothed out on the screen. However, it incurs a performance cost for the graphics card and uses more video memory. The level of anti-aliasing determines how smooth polygon edges are.

Application
The main part of any software program where the user exercises the functionality intended by the software maker, and any supporting modules required by the software to correctly perform its intended functions.

ASCII
The American Standard Code for Information Interchange is a character-encoding scheme originally based on the English alphabet. ASCII codes represent text in computers.

Aspect Ratio
The relative horizontal and vertical sizes. For example, if a graphic has an aspect ratio of 2:1, it means that the width is twice as large as the height. When resizing graphics, it is important to maintain the aspect ratio to avoid stretching the graphic out of proportion.

B

Bitmap
A representation, consisting of rows and columns of pixels, of a graphics image in computer memory. Bitmap image file formats include .jpg, .jpeg, .tif, .png, .bmp and many others.

Bits
Binary Digits - the smallest unit of information on a machine.

Blog
A blog is a type of web site used for occasional or regular publishing of new articles or thoughts, generally short, and dealing with a particular subject.

Brightness
Each pixel's lightness value between black and white.

Browser
A software application used to locate and display Web pages.

Bytes
A unit of computer storage capable of holding a single character. Equal to 8 bits.

C

Character
In computer software, any symbol that requires one byte of storage, including all ASCII and extended ASCII characters, and the space character. In character-based software, everything that appears on the screen, including graphics symbols, is considered to be a character. In graphics-based applications, letters, numbers, and punctuation are considered characters.

CHML File
CHML refers to a file type ending in .chml. This is a file used by Krasbit Chameleon Studio 2 to store data with related photos, logos, styles, sample images and product templates.

Chroma key

Also known as color keying, green screen or blue screen. This is a technique used to remove one color from an image. Optional software used with Krasbit Chameleon Studio 2 removes a colored background and creates a PNG file with a transparent background.

Client

A term to define the person or organization that has hired the photographer to do a photo shoot. The people being photographed are the subjects. In some cases, the client and the subject are the same. For high volume photo shoots, there is one client and many subjects.

Within Krasbit Chameleon Studio 2, the subjects are referred to as "items".

CMYK
Cyan, Magenta, Yellow, Key (black) - the primary colors for devices that use ink to display images. Each CMYK color is represented by a value between 0 - 100. The CMYK model works by partially or entirely masking colors on a lighter, usually white, background. The ink reduces the light that would otherwise be reflected. Such a model is called subtractive because inks "subtract" brightness from white.

Connector

A connector is a tool used in Krasbit Chameleon Studio 2 that "connects" data to an object in a product template. As an example, the IMG_U_001 connector is used to connect a User's image with the imgPhoto001 object in a template.

Every product that can be rendered in Krasbit Chameleon Studio 2 has connectors in its definition. The connectors retrieve or prompt for the necessary information on the production profile page. The information (be it text, images or styles) is then sent to the product template and the product is rendered.

Crop
Cropping an image involves selecting an area and removing the rest. This is often used to remove unnecessary space from around an image or to extract an important element of an image.

CSV
Comma-Separated Values is a common file format that is used to move tabular data between programs that natively operate on incompatible formats. This works because so many programs support some variation of CSV as an alternative import/export format. A CSV file consists of any number of records, separated by line breaks of some kind; each record consists of fields, separated by some other character or string, most commonly a literal comma or tab. Usually, all records have an identical sequence of fields.

D

Darkroom
Work area for storing and manipulating photos.

Database drivers
These are programs that are installed on your computer. They consist of a protocol that facilitates data transfer between databases and related programs.

Default
A preset value or setting automatically selected by a program or device if a substitute is not selected.

Dialog Window
A box that appears on a display screen to present information or request input. Typically, dialog boxes are temporary - they disappear once you have entered the requested information.

Digitize
To translate into a digital form.

Directory
A location in your operating system’s file structure that can contain files such as images.

Download
To copy data or a file from a main source to your own computer or site.

DPI
Dots Per Inch is a measure of spatial printing or video dot density, in particular the number of individual dots that can be placed in a line within the span of 1 inch (2.54 cm).

Drag and Drop
Dragging a file or object (such as a photo) from one place to another in order to trigger an action.

DSLR
Digital Single Lens Reflex camera.

DSN
Database Source Name (sometimes called a Data Source Name as the data source is not limited to Databases). This is a structure used to describe a connection to a data source. The attributes include the name of the data source, the name of the driver used to access the data source and the userID and password to grant access.

E

EXIF
EXchangeable Image Format. These are extensions to image file formats that hold the camera settings used to take pictures. Additional information such as GPS coordinates or photo metadata can be stored within the EXIF data. Only JPG and TIFF files store EXIF data.

F

FAQ
Frequently Asked Questions. This is a section on the Krasbit web site or help manual that answers questions often posed by users of Krasbit products.

Folder
A virtual file folder in which to store/organize your photos, logos or rendered products.

Font
A design for a set of characters, combining typeface, size, pitch, and spacing.

F-Stop
Aperture settings are called f-stops and indicate the size of the aperture opening. Each f-stop lets in half as much light as the next larger opening and twice as much light as the next smaller opening.

G

G
Group. Part of the group hierarchy structure in Krasbit Chameleon Studio 2 that defines the lowest element as "Group" (G), followed by "Parent Group" (PG) and then by "Super Parent Group" (SPG). These levels are important in how they relate to the item. Each level can have custom text, group photos and color styles associated.

GB
Gigabyte or 1,073,741,824 bytes of memory

Group Level
Group Level refers to the different points in the group hierarchy structure in Krasbit Chameleon Studio. The lowest is the "group" (G), followed by "parent group" (PG) and then by "super parent group" (SPG). These levels are important in how they relate to the base group's items. Each level has custom text, artwork/photos and styles associated.

GS
Green Screen. Products and templates within Krasbit Chameleon Studio 2 are designed for either GS (Green Screen) or NGS (Non Green Screen) photos. The GS or NGS suffix is used to indicate what type of photo is to be associated with a product or template.

GUI
Graphical User Interface. A program interface that takes advantage of the computer's graphics capabilities to make the program easier to use. Besides their visual components, GUIs also make it easier to move data from one application to another. A true GUI includes standard formats for representing text and graphics.

H

High key chroma keying
This is a keying process where very bright or white backgrounds are removed from an image. Chroma keying is generally associated with green or blue backgrounds. High key refers to the lighter colors.

Homepage
The opening page of a website or application.

I

Icon
A small symbol which represents an object or program.

Index
A list of items, each of which identifies a unique record.

ISP
Internet Service Provider. The company that provies you with acces to the Internet.

J

JPEG
Joint Photographic Experts Group. A compressed image optimized for online display quality. Used interchangeably with JPG.

JPG
Joint Photographic (Experts) Group. A compressed image optimized for online display quality. Used interchangeably with JPEG.

K

kB
Kilobyte or 1,024 bytes of memory.

Keying
The process whereby a color, usually a background, is removed from an image. Used interchangeably with chroma key.

L

Landscape
A picture orientation whereby the width of the image is greater than the height. Opposite is “portrait” orientation.

Language

Krasbit Chameleon Studio distinguishes between two types of languages: application and production. The application language is the one that is displayed on the Krasbit Chameleon Studio screen and is the language assigned to any users who do not have a language specified for them. The production languages are the languages which Krasbit Chameleon Studio can assign to the item.

Example: you are running Krasbit Chameleon Studio in English (application language) and you support producing products for item in English, French and Spanish (production languages). Whenever a new group is created, you provide the name of the group in English, French and Spanish.

Layout
The organization of objects or content to achieve a desired appearance.

Link
A connection to another web document or site.

M

MB
Megabyte or 1,048,576 bytes of memory

Menu
A list of commands or options from which you can choose.

Menu bar
A horizontal menu that appears at the top of a page.

Metadata
Data about data; metadata describes how, when, and by whom a particular set of data was collected, and how the data is formatted. Metadata, in a photography context, provides additional information on a photo and is usually stored as EXIF data in a JPG file. Extensible Metadata Platform (XMP) was created to be a better metadata format for photography and image processing. However, it is generally unsupported in cameras and only useful for post production. Krasbit Chameleon Studio 2 supports both EXIF and XMP data.

N

NGS
Non Green Screen. Products and templates within Krasbit Chameleon Studio 2 are designed for either GS (Green Screen) or NGS (Non Green Screen) photos. The GS or NGS suffix is used to indicate what type of photo is to be associated with a product or template.

O

ODBC
Open Database Connectivity (ODBC) is a widely used programming interface that enables applications such as Krasbit Chameleon Studio to access data in Database Management Systems (DBMS) such as SQLite and MySQL. ODBC drivers must be installed for every type of database.

P

PG
Parent Group. Part of the group hierarchy structure in Krasbit Chameleon Studio 2 that defines the lowest element as "group" (G), followed by "parent group" (PG) and then by "super parent group" (SPG). These levels are important in how they relate to the item. In Krasbit Chameleon Studio 2, the group refers to a group, the parent group refers to parent group. The super parent group refers to an even higher level in the hierarchy. Each level can have custom text, group photos and color styles associated.

Photo Gifting Product
Products on which photos can be printed, engraved or lasered. These include such items as coffee mugs, mouse pads, plaques, shirts, coasters, water bottles, etc.

Pixel
PIcture ELement (the most basic component in a graphic image) the smallest thing that can be drawn on a computer screen. Every computer graphic is made up of a grid of pixels. When these pixels are 'painted' onto the screen, they form an image. This grid of pixels is called a bitmap.

Plug-in
A small software module that adds a specific feature/service to a larger system, e.g. to a browser.

PNG

Portable Network Graphic is a bitmapped image format that employs lossless data compression. The format was created to improve upon and replace GIF (Graphics Interchange Format) images.

PNG was designed for transferring images on the Internet. Because of its ability to have transparency, the format is also very popular with chroma keying applications.

It does not support EXIF therefore limited metadata is available.

Portrait
A picture orientation whereby the height of the image is greater than the width. Opposite is “landscape” orientation.

Product
When Krasbit Chameleon Studio 2 renders an image or a data file, it is said to be producing a product. This product can be a photograph, a print directly to a garment or even an image that is lasered onto a surface.

R

RAM

Random-Access Memory is a type of data storage used by computers. Generally, it refers to solid-state memory devices such as integrated circuits that make up the main memory in most computers.

This memory is used as temporary storage and is the "working space" for the operating system and all running applications. As writing to RAM memory is much faster than writing to a hard drive, having a lot of RAM helps speed up applications.

Red eye
Red discoloration of photo subjects' eyes, caused by the light of the flash bouncing off the retina in the back of the eye.

Render
The process by which Krasbit Chameleon Studio combines photographs, data, styles and artwork in a product template to produce an image that is ready to be printed.

Resolution
Refers to the sharpness and clarity of an image, determined by the density of dots.

RGB
Red, Green, Blue - the primary colors for devices that use light to display images. Each RGB color is represented by a value between 0 - 255. Most of the visible spectrum of color can be represented by mixing the three basic components of colored light in various proportions.

S

SPG
Super Parent Group. Part of the group hierarchy structure in Krasbit Chameleon Studio 2 that defines the lowest element as "group" (G), followed by "parent group" (PG) and then by "super parent group" (SPG). These levels are important in how they relate to the item. In Krasbit Chameleon Studio 2, the group refers to a group, the parent group refers to parent group. The super parent group refers to an even higher level in the hierarchy. Each level can have custom text, group photos and color styles associated.

SSD
Solid State Device. This refers to hard drives with no moving parts. They are made of an array of memory that is similar to what is found in camera media cards.

Style
In the Krasbit Chameleon Studio context, this is a collection of colors and fonts that are grouped together. These styles can be applied to Groups, Parent Groups and Super Parent Groups. The colors and fonts are then used in Products created for those groups.

Subject
The object, person or persons being photographed. Should not be confused with "client" who is the person hiring the photographer. In some cases, the client and the subject are the same. For high volume photo shoots, there is one client and many subjects.

T

Template
A CorelDRAW file that is used by Krasbit Chameleon Studio to render a product.

Thumbnail
A miniature display of a photo.

TOC
Table Of Contents is a list of the parts of a book or document organized in the order in which the parts appear.

U

URL
Uniform Resource Locator; path through a directory to a file or site.

User Interface
The junction between a user and a computer program. An interface is a set of commands or menus through which a user communicates with a program. Graphical user interfaces (GUIs) that use windows, icons, and pop-up menus have become standard on personal computers.

W

Watermark
A mark (it may be slightly transparent) comprised of text, logos or images that is put over an image to identify the copyright owner.

Wiki
A wiki is a website that allows its users to add, modify, or delete its content via the web browser. Most wikis are created collaboratively and generally used for knowledge management.

Workspace
A workspace defines the Krasbit Chameleon Studio 2 environment you are working in. It consists of a database you connect to, the folders where all of your information is stored and a variety of settings for outputting your products.

WYSIWYG
Acronym for What You See Is What You Get. It implies an interface that allows the user to view something very similar to the end result while the document is being created.


Adjusting an Object's Color

Adjusting an Object's Color


Boolean Connector

Boolean Connector


.

.

Krasbit Chameleon Studio 2

CorelDRAW Edition


Controlling Output using SKUs

Controlling Output using SKUs


Creating an Order Form

Creating an Order Form

Adding additional product information

txtName

txtDescription

txtPrice

imgThumbnail


Creating Templates for resale

Creating Templates for resale


Data Privacy

Data Privacy

European User

On 5 February, 2010, the commission of the European Union (EU) updated the set of standard contractual clauses for the transfer of personal data to processors in non-EU countries. It is possible that photographs taken in the EU along with personal information may be transferred outside the EU for product fulfillment. The protection of data in this case is in conformance with EU policies as all subcontractors and fulfillment partners are contractually bound by the more stringent EU policies in order to be a part of the Krasbit Chameleon Studio fulfillment network.

Canadian User

United States User

Patriot Act implications?


Deleting an Order Form

Deleting an Order Form


Editing an Order Form

Editing an Order Form


Effects

Effects


Excel Formatting Requirements

Excel Formatting Requirements

This page lists some formatting requirements for any Excel spreadsheets that are to be imported.

Date Formats

Dates should be written in the international YYYY-MM-DD format. The dashes should be present between the year, month and day. The cells must be set to a "text" or "general" number format.

Excel stores dates and times as a number representing the number of days since 1900-Jan-0. This is called a serial date, or serial date-time. If the cell is set to a "date" number format, Excel stores this as a serial date. When importing the spreadsheet, dates will then appear as number representing the serial date.

Example, if your cell contains 2000-07-28 and is formatted as a "date", Excel stores this as 36735. The number 36735 will be imported.

If your cell contains 2000-07-28 and is formatted as "text" or "general", then 2000-07-28 will be imported. The variable to which it is being sent should also be formatted


Formatting Text and Numbers

Formatting Text and Numbers

We overlay two identical number objects in the product template. We apply the “number style” formatting to one object, and then “Link Style” formatting to the other.

To obtain two colors, we therefore use this style definition (notice the outline color width is zero in both cases. Only the green and blue are therefore used in this example):

Produces this (inside font is green, outside font is blue):

In the example below, we have a black outline around the “full Chameleon Sport 3” font. However, we are now overlapping with the blue “outside” of the “Chameleon Sport 3 outside” font. Notice the outline for the link style is set to zero so there is no orange component.

Here is this result we obtain:

To obtain four colors, we can use all the colors from the style definition by ensuring the widths are set to a positive value:

Produces this four color number:

Note that these techniques can be combined with complicated fills as defined in the template – this part requires the new beta Krasbit Utilities within CorelDRAW. Here is an example of a gold foil color being specified as the fill in the template:


Global Language

Global Language


Inserting Objects & Formatting

Inserting Objects & Formatting


Inserting Text & Formatting

Inserting Text & Formatting


Installation - MySQL Database

Installation - MySQL Database

A SQLite database is automatically created in order to store all the information generated by Krasbit Chameleon Studio. The Enterprise Edition has the option to use a more powerful MySQL database.

There are two items that must be installed in order to use a MySQL database:

  • MySQL Server
  • MySQL ODBC Drivers

Click on the links above for more information.

See Also
Overview
System Requirements
Installation - CorelDraw®
Installation - Krasbit Chameleon Studio
Product Trial
Product Activation
Product Deactivation
Administrator Mode
Setup Wizard


Installing MySQL Tools

Installing MySQL Tools

An optional installation is the MySQL Graphical User Interface (GUI) Tools. This tool provides a spreadsheet like view of the contents of all the database tables.

Download these tools at http://dev.mysql.com/downloads/gui-tools/5.0.html

After installation, Open MySQL Query Browser, then create a new user and a database for Krasbit Chameleon Studio 2.
(It is recommended to create a new user with a limited privileges, so that user won't be able to see and modify other databases within MySQL server,
but will be only related to chameleon). Creation of the user is attached in script, which you will open and execute further.

By default this chameleon related user name is: chameleonAdmin
Password is: 123chameleon
Go to: Start Menu\All Programs\MySQL\ and here open MySQL Query Browser application.
You will get the window like below:

Enter the password that you chose before for the root user. After clicking "OK" you will get warning that there is no default database. Click "ignore" (because you will use own creating database SQL script later). You will now see the main MySQL Query Browser screen.


Installing SQLite ODBC Drivers

Installing SQLite ODBC Drivers

1. I had an error while SQLite driver was installed. A a result it was installed partially, sqlite3odbc.dll driver file was locked by renderer that runs in background.Renderer queries this file due to his pooling and does not allow to instal driver corectly until i closed it.

Problem related to user that are doing update/fix of thiers existing instalation and have renderer running or another party application that intensively is using same driver.

2. Another issue is that drivers are not really updated after setup is launched from Inno Setup.
I had previously v3.3.15 and installed 3.3.17 - dialog boxes said all is ok, but system32 stil contains old version of driver - what was confirmed by chameleon when conteted and displays driver version. treid with unistal first older version same result. Registry was updated but not dll driver files in system32.
It was required to run same Sqlite setup packagages manually, out of stuido to have really updated all related driver files. Need to google about similar problems with DLL and inno setup.

3.another issue is fact that when you unintsal sqlite drivers uising control panel - it also removes all of configured datasources for that removed driver.
So there will be unhappy scenario that also happen today to me:
User has got chamelon studio up and running, his registry has setting that definies active database connection to an ODBC data source like "Chameleon SQLite default" which was configured for SQlite3 driver version x. After some time he wants update driver on his own, or we distribute newer version of of chameleon that contains newer version of Sqlite3 drivers with info that older driver has to be romoved first. Older driver removed (with all related DSNs - including "Chameleon SQLite default" without user knowledge and agreement). New driver is installed. User launches chameleon - and is negativelly supprised that he sees error that connection failed to his previously configured DSN. Drivers are working, but chameleon registry setting still points to DSN that not exist anymore. Solution User has to create new DSN connection using chmelon studio and BROWSE to existing db3 file instead of CREATE new file when he configures conection.

4. 64 bit windows users HAVE to install both versions of drivers. Because:
-32 bit version of driver is used by 32bit chameleon studio and corelDraw X3/X4/X5 which are 32bit
-64 bit version of sqlite driver is used by CorelDraw X6 if user ship 64 bit versio of X6. BTW have no ide if X6 is distruibuted with x32 version for 32 bit systems?
That also should be noted. Arnim should write this in manual and in translation tag for inno setup:
en.ODBC_DRIVER_FOR=ODBC driver for %1. Required to connect to %2 database.
fr.ODBC_DRIVER_FOR=Pilote ODBC pour %1. Nécessaire pour se connecter à la base de données %2.
pl.ODBC_DRIVER_FOR=Sterownik ODBC dla %1. Wymagany aby połączyć się do bazy danych %2.


Legal FAQ

Legal FAQ

Where can I send suggestions for games?

We appreciate the time and energy people put into making suggestions for our current and future products. Our company policy, however, prevents us from accepting for review any unsolicited ideas. Often in our industry, an idea being submitted will be identical or similar to one already used by other companies, or already being independently developed by or for a company. Therefore, Blizzard Entertainment® has adopted the unalterable policy of refusing to accept or look at any unsolicited submissions or ideas. You can post your suggestions under the appropriate category in the most relevant game forum:.

.

What is Blizzard Entertainment's® copyright/trademark policy for the Internet, specifically for fansites? Can I use Blizzard Entertainment's® images, text or sound on my web page? Is it ok if I use screenshots I take in-game on my web page?

Yes, within certain limits. We asked our legal department to provide some guidelines for you, and here is what they said:

Blizzard Entertainment® hereby grants you a personal, non-exclusive, non-transferable and non- assignable license to use and display, for home, noncommercial and personal use only, one copy of any material and/or software that you may download from this site, including, but not limited to, any files, codes, audio or images incorporated in or generated by the software (collectively the "Downloaded Content") provided, however, that you must include or maintain all copyright and other notices contained or associated with such Downloaded Content. You acknowledge and agree that you may not sublicense, assign or otherwise transfer this license or the Downloaded Content and that no title to the Downloaded Content has been or will be transferred to you from Blizzard Entertainment® or anyone else. You also agree that you will not alter, disassemble, decompile, reverse engineer or otherwise modify the Downloaded Content.

Also, we reserve the right to revoke this limited use license at any time, for any reason, and at the sole discretion of Blizzard Entertainment®. You may not use our materials on sites that feature defamatory pornographic, or inflammatory content, including, but not limited to, hacks and cheats for any of our games or any other content that Blizzard Entertainment® find objectionable or unlawful.

Are there any legal notices and disclaimers that I need to have on my site when talking about your products?

Yes. You must include all copyright, trademark and other notices as appropriate. Appropriate notices can be acquired from here.

Can I register a domain names containing some portion of your product names such as "star-craft.com" or "war-craft.com?"

No. We are concerned that such use could cause confusion for our customers who may assume that the domain is associated with Blizzard Entertainment®.

Can I put your patches and demos on my web site for download?

Yes. We allow non-commercial mirroring of our patches and demos, so long as you do not alter the patches or demos in any way, and all files included with the original patch or demo are present and intact. Blizzard Entertainment® reserves the right to refuse permission to host or distribute our patches and demos to anyone, for any reason, at any time.

Can I translate your site into another language if no such site exists?

No. Aside from the confusion it might cause our customers, we would have no control over the quality, accuracy or content of such translated sites.

Can I make add-ons or expansions for Blizzard Entertainment® games? Can I sell them?

We do not allow add-ons or expansions for Diablo®. You may make and distribute StarCraft® and Warcraft® maps and campaigns that you have created yourself, so long as it is for personal, non- commercial purposes. Any such maps or campaigns would also be subject to the other terms outlined in our End User License Agreements included with those products.

Can I sell or charge for a CD or other media containing maps, add-ons or campaigns found on the Internet?

No.


Letter to coaches/league administrators

Letter to coaches/league administrators

Consistent uniforms

It may be that a team has practice uniforms, home and away game uniforms. It is important that everyone be wearing the same shirt and this be passed along to parents. In the event of a photo make-up day, it is equally important that the same uniform be worn so that the player matches the uniform of the team photo.


Mockup Page

Mockup Page


Notes Page

Notes Page


Optimizing Templates

Optimizing Templates


Order Form Cautions

Order Form Cautions


Order Forms Basics

Order Forms Basics


Photo day tips

Photo day tips

Plan, prepare, practice and perform

Planning

Get all the logos and color themes required from the team and league managers

Provide them with spreadsheets or data files well in advance

Prepare

Add all logos to system

Perform

Line the kids up behind the photo booth so that they do not distract the person having their photo taken.


Photographing Groups

Photographing Groups

While there will always be some challenges with Group Photos there are a number of things you can do to help improve your chances of getting the shot you’re after:

Prepare

There is nothing that will make people posing for a photograph turn upon you faster than you not being prepared. People don’t like to be kept waiting so think ahead about some of the following aspects of your photo:

  • scope out the location of your shot before hand
  • think ahead about how you will pose people and frame your shot
  • one of the group’s head hiding behind another person
  • make sure everyone you want in the shot knows you want them a few minutes ahead of time
  • make sure your camera is on and has charged batteries

Location

The place that you have your group stand is important to group shots for a number of reasons. For starters it can give the photo context – for example a shot of a sporting team on their playing field means more than a shot of them in front of a brick wall. The other reason that choosing locations carefully is important is that it can have distractions in it.

Choose a position where your group will fit, where there is enough light for the shot and where there is no distractions in the background. Also avoid setting up a group shot directly in front of a window where the light from your flash might reflect back in a way that destroys your shot.

Take Multiple Shots

One of the best ways to avoid the problems of not everyone looking just right in a shot is to take multiple photos quickly. Switch your camera into continuous shooting mode when taking group shots and shoot in short bursts of shots.

Let your group know that you be taking multiple shots. Tell them that the first series is a “serious” look. Let them know the second series they should be smiling. Give the option of a third series where the subjects can do what they want.

Similarly – shoot some frames off before everyone is ready – sometimes the organization of a group shot can be quite comical with people tell each other where to go and jostling for position.

Get in Close

Try to get as close as you can to the group you’re photographing (without cutting some members of it out of course). The closer you can get the more detail you’ll have in their faces – something that really lifts a shot a lot.

If your group is a smaller one get right in close to them and take some head and shoulder shots. One effective technique for this is to get your small group to all lean their heads in close to enable you to get in even closer. Another way to get in closer is to move people out of a one line formation and stagger them by putting some people in front and behind.

Pose the group

In most cases your group will pose itself pretty naturally (we’ve all done it before). Tall people will go to the back, short people to the front. But there are other things you can do to add to the photo’s composition:

  • If you are shooting a sport such as football where one player has a different colored uniform, put them front and center in the photo.
  • If the event is centered around one or two people (like a wedding or a birthday) make them the central focal point by putting them right in the middle of the group (you can add variation to your shots by taking some of everyone looking at the camera and then
  • For formal group photos put taller members in the group not only towards the back of the group but centered with shorter people on the edges of the group.
  • Try not to make the group too ‘deep’ (i.e. keep the distance between the front line of people and the back line as small as you can). This will help to keep everyone in focus. If the group is ‘deep’ use a narrower aperture.
  • Tell everyone to raise their chins a little – they’ll thank you later when they see the shot without any double chins!

Timing Your Shoot Well

Ideally, your group photo will be taken before the individual shots. This allows you to associate the group photo with the group in chameleon® and thereby print out memory mates and other group items on every user’s order form.

Another reason for doing the group shot before any game is that the uniforms will be cleaner, players won’t be sweaty and dirty and everyone will be in less of a hurry to leave the sports area.

If you can, pick the moment for your shot carefully to try and get the optimum lighting for the area chosen.

Think about Light

In order to get enough detail in your subjects you need to have sufficient light. The way you get this varies from situation to situation but consider using a flash if the group is small enough and you are close enough for it to take effect – especially if the main source of light is coming from behind the group.

If it’s a bright sunny day and the sun is low in the sky try not to position it directly behind you or you’ll end up with a collection of squinting faces in your shot. You may also end up with a long shadow of yourself in the photo.

Take Control

I’ve been in a number of group photos where the photographer almost lost control of his subjects by not being quick enough but also by not communicating well with their group of subjects. It is important to keep talking to the group, let them know what you want them to do, motivate them to smile, tell them that they look great and communicate how much longer you’ll need them for.

Also important is to give your subjects a reason to pose for the photograph. For example at a wedding you might motivate people to pose by saying ‘((insert name of couple being married here)) have asked me to get some group shots’ or at a sporting event ‘lets take a group photo to celebrate our win’. When you give people a reason to pose for you you’ll find they are much more willing to take a few minutes to pose for you.

Another very useful line to use with group is – ‘If you can see the camera it can see you’. This one is key if you want to be able to see each person’s face in the shot.

If there are more photographers than just you then wait until others have finished their shots and then get the attention of the full group otherwise you’ll have everyone looking in different directions.

Of course you don’t want to be a dictator when posing your group or you could end up with lots of group shots of very angry people. The best photographers know how to get people’s attention, communicate what they want but also keep people feeling relaxed and like they are having fun.

For large groups

Large groups of people can be very difficult to photograph as even with staggering people and tiering to make the back people higher you can end up being a long way back to fit everyone in.

One solution to this is to find a way to elevate yourself as the photographer. If I’m photographing a wedding and the couple wants one big group shot I’ll arrange for a ladder to be present (I’ve even climbed up onto church roofs) to take a shot looking down on the group. In doing this you can fit a lot more people in and still remain quite close to the group (you end up with a shot of lots of faces in focus and less bodies). It also gives an interesting perspective to your shots – especially if you have a nice wide focal length.

Use a Tripod

There are a number of reasons why using a tripod when taking photographs of groups can be useful. Firstly a tripod communicates that you’re serious about what you’re doing and can help you get their attention (it’s amazing what a professional looking set up can make people do). Secondly it gives you as the photographer more freedom to be involved in the creation of the posing of your subjects. Set your camera up on your tripod so that it is ready to take the shot in terms of framing, settings and focus and then it will be ready at an instant when you get the group looking just right to capture the moment.

Use an Assistant

If you have a very large group and assistant can be very handy to get the group organized well.

An assistant is also incredibly handy if you are taking multiple group shots (like at a sports tournament when you are photographing many teams). In these cases, it may be worthwhile to ask the tournament organizers to provide an assistant who has a running sheet of the different groups to be photographed. Having a member of the organization do this helps to make sure you don’t miss anyone out but also is good because the group is familiar with this person and will generally respond well when they order them around.

Smile

Yes YOU should smile! There’s nothing worse than a grumpy stressed out photographer. Have fun and enjoy the process of getting your shots and you’ll find the group will too. It really does work.

Darren Rowse is the editor and founder of Digital Photography School. He lives in Melbourne Australia and is also the editor of the ProBlogger Blog Tips and TwiTip Twitter Tips blogs.


Running the camera tethered

Running the camera tethered

See “Running the camera tethered section in the chameleon Studio – photographic Techniques manual.

File formats supported by chameleon:

  • JPG and JPEG
  • PNG
  • GIF
  • CR2
  • NEF
  • CRW
  • MRW
  • TIFF and TIF
  • DNG
  • PEF
  • ARW
  • RW2
  • SR2
  • SRW
  • ORF
  • PGF
  • RAF
  • PSD
  • JP2

These formats must have an image thumbnail embedded in the file’s EXIF data in order for the image to appear in the chameleon studio photo ribbons.

EXIF data is information that is stored with an image file and provides insight into such items as the camera used, the shutter speed, the ISO setting, etc. EXIF is only available with JPG (JPEG) and TIF (TIFF) files.


Status ID

Status ID

Status ID can be used to differentiate elements in a group. This can be useful for:

  • Sorting by status ID in the production view; or
  • Using the status ID to filter products available for rendering.

Status IDs can be adapted in a variety of ways. Examples include:

  • A sports team can have members that have a status of either coach or player;
  • A classroom could have members that have a status of either teacher or student; or
  • A product group could have items to which a status of level 1, 2 or 3 is assigned. There is no limit to the number of statuses that can be created.

Group members can be assigned:

  • no status ID; or
  • one, and only one, of any pre-defined statuses.

On the other hand, products can be assigned none, one, or several status IDs. As an example, a clipboard product can be made available to group leaders only. When selecting a group member who is a group leader in the production view, the clipboard will appear as an available product. When selecting a item in the production view, the clipboard product is not an available product.

The default status ID setting for all products included with Krasbit Chameleon Studio 2 and all sample group members is "none specified". This means that if no status ID is specified for a group member, all products, regardless of their status ID, will be displayed. Likewise, all products with no status ID will be displayed regardless of the status ID of the group member. The table below summarizes the relationship between the sample status ID of group members and the status ID of products.

 |  | Product status id
 |  | none specified | All | 1 | 2 | 3 | 4 | 2,3 (multiple status IDs) | 2,3,4 (multiple status IDs)
group member status id | none specified |  |  |  |  |  |  |  |
 | All |  |  |  |  |  |  |  |
 | 1 |  |  |  |  |  |  |  |
 | 2 |  |  |  |  |  |  |  |
 | 3 |  |  |  |  |  |  |  |
 | 4 |  |  |  |  |  |  |  |

Legend:

Icon | represents
 | Product is visible in production view
 | Product is not visible in production view

Tip

Your company makes customized clocks. One set has children's characters, another one is contemporary styling for adults and the third version has larger type for seniors. You want to ensure only the right product can be offered and produced based on the user's age category.

You begin by creating new status_ids called "child", "adult" and "senior".

Next, you assign a status ID to every product. This can be done on the production screen (products tab) by displaying the status ID column and editing each entry. Alternatively, go to the inventory screen (products tab), display the status ID column and edit it for each of the affected products. If a particular clock can be offered to both adults and seniors, enter both status IDs. If a clock can be offered to everyone, either leave the product's status ID blank or enter all available status IDs.

As people are added to your system, ensure their status ID is displayed on the production screen (groups tab). When you go to the production screen (products tab), you will then only see age appropriate products available for rendering.

Caution!

In the event that a group of different aged people are collectively selected on the production screen (groups tab), then all appropriate products are displayed. In the above example, this means that if both a child and a senior are selected at the same time, the production screen (products tab) will then display all products that have a status ID of either "child" or "senior". This means that a child product could be selected and printed for a senior.

For this reason, status IDs are only effective at filtering products when one user at a time (or a group of users that has the same status ID) is selected.


Template Dimensions

Template Dimensions


Understanding CHML Importing

Understanding CHML Importing


Understanding Order Forms

Understanding Order Forms


Winter camera usage

Winter camera usage

Protect your camera gear fromwinter temperatures.

It is clear that neither the camera needs a winter sleep as humans. Light snow or rain can harm a camera so fast nothing. It is important, of course, the camera dry for the winter photo tour with a lint free cloth and not to forget in your bag, because that could take one the electronics and metal parts evil. In heavy rain or snow, it makes sense to protect the camera before this extreme moisture through an underwater housing, with which one plunges otherwise. Many photographers fall as rain or snow in the umbrella. This can end in acrobatics and the big downside is that you only have one hand free to photograph what the orientation and operation of the camera, of course, enormously difficult. Is photographed with a so-called outdoor camera, so you need to make any great thoughts, for these recording devices are waterproof. A lens hood provides good protection for the lens in light rain or snow. She generally makes sure that not a drop falls on the lens and the image blurred makes.

In addition to the moisture also plays cold in winter a role. Lenses, depending on the sub-zero temperatures, ice, the determination of aperture and shutter speed is difficult, the photographer is, if it does not protect, risk of contracting frostbite if it touches the cold camera. Gloves that ensure the operation of the camera, are the top priority and guarantee carefree pleasure. A common mistake is to increase beyond a warm gear out of the house or car in the freezing cold and photograph the same. Snowflakes falling on the camera, melt and freeze at extremely low temperatures tightly. Such a crust of ice can only be removed when the camera back into the warmth brings. Prevent the problem can be when the camera gives the time to cool slowly. Even when the camera is low outside temperatures has adjusted so the front lens can freeze at extremely low temperatures, when breath falls on it.The ice covering can be removed by sliding the lens is breathed again and the moisture is removed with a special lens cloth. Batteries / accumulators are more stressed by low temperatures, therefore, spare batteries are required. This should be kept in the best pocket so that they retain their body heat through the performance.